﻿//---------------------------------------------------------------------------------------------------------------------
// Copyright (c) AUMA Riester GmbH & Co. KG (2013). All Rights Reserved
// Target System: SIMATIC PDM
//---------------------------------------------------------------------------------------------------------------------
// Imported data:
//  Name....................: Doors Export P70
//  DeviceId................: unknown
//  DeviceName..............: SGM/C
//  Description.............: Baseline: 1.75, BudingV, 08/02/12 10:14:08, SGx Version 01.05.01
//     Fehler in der Datendefinition behoben (Sammelview 47 doppelt)
//  RequestedFirmwareVersion: 0.23
//  SchemaVersion...........: 12.00
//  Timestamp...............: 02.08.2012 10:34:55
//  Version.................: 01.75
//  Author..................: Viktor Buding
//---------------------------------------------------------------------------------------------------------------------
// Generated 12.04.2013 10:13:21 by EDD-Generator Version 01.00.13.01
//  Selected root menu: Hauptmenü
//  (c) Sipos Aktorik GmbH (Mathias Monse <mathias.monse@sipos.de>)
//---------------------------------------------------------------------------------------------------------------------
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Ident information
// 
MANUFACTURER     0x013F,
DEVICE_TYPE      4,
DEVICE_REVISION  105,
DD_REVISION      175
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Includes
// 
#ifdef _PDM_
#include "SI_FileM.inc"
#include "SI_OptM.inc"
#include "SI_HlpM.inc"
#include "Diagnosis.inc"
#endif /* _PDM_ */
#ifdef ISEDDWB
#include "pdmapi.inc"
#endif /* ISEDDWB */
#ifdef dtmGENERATOR
#include "SxCPC.ddl"
#include "SxCUP.ddl"
#endif /* dtmGENERATOR */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Constants and macros
// 
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Main menu and methods
// 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU Menu_Main_Specialist
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
MENU Menu_Main_Maintenance
{
    LABEL		[main_menu]; //PDM based reference text
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}
 
METHOD std_LoadinDevice
{
    LABEL		[menu_Device_LoadinDevice]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_LoadinPC
{
    LABEL		[menu_Device_LoadinPC]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
MENU Menu_View
{
    LABEL		[menu_View]; //PDM based reference text
    ITEMS
    {
        std_Funktionsleiste,
        std_Statuszeile
    }
}
 
METHOD std_Funktionsleiste
{
    LABEL		[menu_View_Toolbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Statuszeile
{
    LABEL		[menu_View_Statusbar]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
 
METHOD std_Update
{
    LABEL		[menu_View_Update]; //PDM based reference text
    CLASS		INPUT;
    DEFINITION
    {
    }
}
#endif /* defined(_PDM_) && !defined(_V700_) */
 
MENU Menu_S_Device
{
    LABEL		[TXT_Menu_Device];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487,
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
        SEPARATOR,
        std_LoadinDevice,
        std_LoadinPC
#endif /* defined(_PDM_) && !defined(_V700_) */
    }
}
 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU Menu_M_Device
{
    LABEL		[menu_Device]; //PDM based reference text
    ITEMS
    {
        std_LoadinPC
    }
}
#endif /* defined(_PDM_) && !defined(_V700_) */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Bus identification
// 
VARIABLE PROFIBUS_Profile_Ident_Number
{
    LABEL		[TXT_PROFIBUS_Profile_Ident_Number];
    CLASS		LOCAL;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0x013F;
    }
    HANDLING	READ;
}
 
phys_tag_desc LIKE VARIABLE PRM_1165
{}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Generator version
// 
VARIABLE VersionEddGen
{
    LABEL		[TXT_VersionEddGenerator];
    HELP		[HLP_VersionEddGenerator];
    CLASS		LOCAL;
    TYPE		ENUMERATED (2)
    {
        { 0,"01.00.13.01" }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Common methods
// 
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Variable definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_5
// 
VARIABLE PRM_5	// Taktstrecke: Start AUF
{
    LABEL		[TXT_PRM_5];
    HELP		[HLP_PRM_5];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_5
{
    SLOT		0;
    INDEX		5;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_5    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_6
// 
VARIABLE PRM_6	// Taktstrecke: Ende AUF
{
    LABEL		[TXT_PRM_6];
    HELP		[HLP_PRM_6];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_6
{
    SLOT		0;
    INDEX		6;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_6    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_7
// 
VARIABLE PRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	20;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_7
{
    SLOT		0;
    INDEX		7;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_7    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_8
// 
VARIABLE PRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	40;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_8
{
    SLOT		0;
    INDEX		8;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_8    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_9
// 
VARIABLE PRM_9	// Abschaltart AUF
{
    LABEL		[TXT_PRM_9];
    HELP		[HLP_PRM_9];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_9
{
    SLOT		0;
    INDEX		9;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_9    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_12
// 
VARIABLE PRM_12	// Selbsthaltungsverhalten Ort
{
    LABEL		[TXT_PRM_12];
    HELP		[HLP_PRM_12];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_12
{
    SLOT		0;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_12    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_13
// 
VARIABLE PRM_13	// Takbetrieb Mode AUF
{
    LABEL		[TXT_PRM_13];
    HELP		[HLP_PRM_13];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_13
{
    SLOT		0;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_13    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_45
// 
VARIABLE PRM_45	// Interface1-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_45];
    HELP		[HLP_PRM_45];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_45
{
    SLOT		0;
    INDEX		45;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_45    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_67
// 
VARIABLE PRM_67	// NOT-Funktion Betriebsart
{
    LABEL		[TXT_PRM_67];
    HELP		[HLP_PRM_67];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_252
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_262] }, // nur FERN
        { 1, [TXT_TYP_263] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_67
{
    SLOT		0;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_67    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_68
// 
VARIABLE PRM_68	// NOT-Funktion Auslösung
{
    LABEL		[TXT_PRM_68];
    HELP		[HLP_PRM_68];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_253
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_260] }, // Zuerst Gut
        { 2, [TXT_TYP_261] }  // Sofort aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_68
{
    SLOT		0;
    INDEX		68;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_68    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_69
// 
VARIABLE PRM_69	// NOT Überbrückung Thermofehler
{
    LABEL		[TXT_PRM_69];
    HELP		[HLP_PRM_69];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_69
{
    SLOT		0;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_69    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_70
// 
VARIABLE PRM_70	// NOT Überbrückung Drehmomentfehler
{
    LABEL		[TXT_PRM_70];
    HELP		[HLP_PRM_70];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_70
{
    SLOT		0;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_70    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_71
// 
VARIABLE PRM_71	// NOT Überbrückung Taktgeber
{
    LABEL		[TXT_PRM_71];
    HELP		[HLP_PRM_71];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_364
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_365] }, // Überbrückung inaktiv
        { 1, [TXT_TYP_366] }  // Überbrückung aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_71
{
    SLOT		0;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_71    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_79
// 
VARIABLE PRM_79	// Drehsinn
{
    LABEL		[TXT_PRM_79];
    HELP		[HLP_PRM_79];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_223
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_224] }, // rechtdrehend schliessen (Uhrzeigersinn)
        { 1, [TXT_TYP_225] }  // linksdrehend schliessen (Gegenuhrzeigersinn)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_82
// 
VARIABLE PRM_82	// Anfahrüberbrückungszeit
{
    LABEL		[TXT_PRM_82];
    HELP		[HLP_PRM_82];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_82
{
    SLOT		0;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_82    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_84
// 
VARIABLE PRM_84	// Stellungsregler Adaptives Verhalten
{
    LABEL		[TXT_PRM_84];
    HELP		[HLP_PRM_84];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_234
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_235] }, // ausgeschaltet
        { 1, [TXT_TYP_237] }  // Adaptiv 1
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_84
{
    SLOT		0;
    INDEX		84;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_84    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_86
// 
VARIABLE PRM_86	// Totzeit Tt
{
    LABEL		[TXT_PRM_86];
    HELP		[HLP_PRM_86];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	2;
        MAX_VALUE	600;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_86
{
    SLOT		0;
    INDEX		86;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_86    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_87
// 
VARIABLE PRM_87	// Totzone Xt
{
    LABEL		[TXT_PRM_87];
    HELP		[HLP_PRM_87];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_87
{
    SLOT		0;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_87    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_163
// 
VARIABLE PRM_163	// MotorRunningTime (User)
{
    LABEL		[TXT_PRM_163];
    HELP		[HLP_PRM_163];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_164
// 
VARIABLE PRM_164	// NumberOfStarts (User)
{
    LABEL		[TXT_PRM_164];
    HELP		[HLP_PRM_164];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_165
// 
VARIABLE PRM_165	// Resets (User)
{
    LABEL		[TXT_PRM_165];
    HELP		[HLP_PRM_165];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_166
// 
VARIABLE PRM_166	// StopsTrqClose (User)
{
    LABEL		[TXT_PRM_166];
    HELP		[HLP_PRM_166];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_167
// 
VARIABLE PRM_167	// ErrorsEDMax (User)
{
    LABEL		[TXT_PRM_167];
    HELP		[HLP_PRM_167];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_168
// 
VARIABLE PRM_168	// ErrorsEDTime (User)
{
    LABEL		[TXT_PRM_168];
    HELP		[HLP_PRM_168];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_170
// 
VARIABLE PRM_170	// ErrorsThermo (User)
{
    LABEL		[TXT_PRM_170];
    HELP		[HLP_PRM_170];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_171
// 
VARIABLE PRM_171	// ErrorsTrqOpen (User)
{
    LABEL		[TXT_PRM_171];
    HELP		[HLP_PRM_171];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_172
// 
VARIABLE PRM_172	// StopsPosClose (User)
{
    LABEL		[TXT_PRM_172];
    HELP		[HLP_PRM_172];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_173
// 
VARIABLE PRM_173	// StopsTrqOpen (User)
{
    LABEL		[TXT_PRM_173];
    HELP		[HLP_PRM_173];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_174
// 
VARIABLE PRM_174	// StopsPosOpen (User)
{
    LABEL		[TXT_PRM_174];
    HELP		[HLP_PRM_174];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_175
// 
VARIABLE PRM_175	// ErrorsTrqClose (User)
{
    LABEL		[TXT_PRM_175];
    HELP		[HLP_PRM_175];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_181
// 
VARIABLE PRM_181	// Bus-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_181];
    HELP		[HLP_PRM_181];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1108
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1109] }, // Kein Feldbus
        { 1, [TXT_TYP_1110] }, // Profibus
        { 2, [TXT_TYP_1111] }  // Modbus
    }
    HANDLING		READ;
}
COMMAND read_PRM_181
{
    SLOT		1;
    INDEX		81;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_181    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_185
// 
VARIABLE PRM_185	// Filesize in kByte
{
    LABEL		[TXT_PRM_185];
    HELP		[HLP_PRM_185];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1024;
        DEFAULT_VALUE	548;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_186
// 
VARIABLE PRM_186	// SD-Refreshtime in mSec
{
    LABEL		[TXT_PRM_186];
    HELP		[HLP_PRM_186];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1000;
        MAX_VALUE	65535;
        DEFAULT_VALUE	50000;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_187
// 
VARIABLE PRM_187	// BufferSize in Ereignissen
{
    LABEL		[TXT_PRM_187];
    HELP		[HLP_PRM_187];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	100;
        DEFAULT_VALUE	50;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_188
// 
VARIABLE PRM_188	// Prozessdaten Filtereinstellung (bitorientiert)
{
    LABEL		[TXT_PRM_188];
    HELP		[HLP_PRM_188];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_992
    {
        DEFAULT_VALUE	0x00006426;
        { 0x00000001, [TXT_TYP_993], [HLP_TYP_993] }, // Sammelmeldung 1
        { 0x00000002, [TXT_TYP_994] }, // Sammelmeldung 2
        { 0x00000004, [TXT_TYP_995] }, // Sammelmeldung 3
        { 0x00000008, [TXT_TYP_996] }, // Sammelmeldung 4
        { 0x00000010, [TXT_TYP_997] }, // Sammelmeldung 5
        { 0x00000020, [TXT_TYP_998] }, // Sammelmeldung 6
        { 0x00000040, [TXT_TYP_999] }, // Sammelmeldung 7
        { 0x00000080, [TXT_TYP_1000] }, // Sammelmeldung 8
        { 0x00000100, [TXT_TYP_1001] }, // Sammelmeldung 9
        { 0x00000200, [TXT_TYP_1002] }, // Sammelmeldung 10
        { 0x00000400, [TXT_TYP_1003] }, // Sammelmeldung 11
        { 0x00000800, [TXT_TYP_1004] }, // Sammelmeldung 12
        { 0x00001000, [TXT_TYP_1005] }, // Sammelmeldung 13
        { 0x00002000, [TXT_TYP_1006] }, // Sammelmeldung 14
        { 0x00004000, [TXT_TYP_1007] }, // Sammelmeldung 15
        { 0x00008000, [TXT_TYP_1008] }, // Sammelmeldung 16
        { 0x00010000, [TXT_TYP_1009] }, // Sammelmeldung 17
        { 0x00020000, [TXT_TYP_1010] }, // Sammelmeldung 18
        { 0x00040000, [TXT_TYP_1011] }, // Sammelmeldung 19
        { 0x00080000, [TXT_TYP_1012] }, // Sammelmeldung 20
        { 0x00100000, [TXT_TYP_1013] }, // Sammelmeldung 21
        { 0x00200000, [TXT_TYP_1014] }, // Sammelmeldung 22
        { 0x00400000, [TXT_TYP_1015] }, // Sammelmeldung 23
        { 0x00800000, [TXT_TYP_1016] }, // Sammelmeldung 24
        { 0x01000000, [TXT_TYP_1017] }, // Sammelmeldung 25
        { 0x02000000, [TXT_TYP_1018] }, // Sammelmeldung 26
        { 0x04000000, [TXT_TYP_1019] }, // Sammelmeldung 27
        { 0x08000000, [TXT_TYP_1020] }, // Sammelmeldung 28
        { 0x10000000, [TXT_TYP_1021] }, // Sammelmeldung 29
        { 0x20000000, [TXT_TYP_1022] }, // Sammelmeldung 30
        { 0x40000000, [TXT_TYP_1023] }, // Sammelmeldung 31
        { 0x80000000, [TXT_TYP_1024] }  // Sammelmeldung 32
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_189
// 
VARIABLE PRM_189	// System Filtereinstellung (bitorientiert)
{
    LABEL		[TXT_PRM_189];
    HELP		[HLP_PRM_189];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1025
    {
        DEFAULT_VALUE	0x0000001F;
        { 0x00000001, [TXT_TYP_1026] }, // Befehle
        { 0x00000002, [TXT_TYP_1027] }, // Parametrierung
        { 0x00000004, [TXT_TYP_1028] }, // Freischaltung und Sperrung von Anwenderfunktionen
        { 0x00000008, [TXT_TYP_1029] }, // Systemereignisse
        { 0x00000010, [TXT_TYP_1030], [HLP_TYP_1030] }, // Prozessdatensimulation
        { 0x00000020, [TXT_TYP_1031] }, // nicht verwendet
        { 0x00000040, [TXT_TYP_1032] }, // nicht verwendet
        { 0x00000080, [TXT_TYP_1033] }, // nicht verwendet
        { 0x00000100, [TXT_TYP_1034] }, // nicht verwendet
        { 0x00000200, [TXT_TYP_1035] }, // nicht verwendet
        { 0x00000400, [TXT_TYP_1036] }, // nicht verwendet
        { 0x00000800, [TXT_TYP_1037] }, // nicht verwendet
        { 0x00001000, [TXT_TYP_1038] }, // nicht verwendet
        { 0x00002000, [TXT_TYP_1039] }, // nicht verwendet
        { 0x00004000, [TXT_TYP_1040] }, // nicht verwendet
        { 0x00008000, [TXT_TYP_1041] }, // nicht verwendet
        { 0x00010000, [TXT_TYP_1042] }, // nicht verwendet
        { 0x00020000, [TXT_TYP_1043] }, // nicht verwendet
        { 0x00040000, [TXT_TYP_1044] }, // nicht verwendet
        { 0x00080000, [TXT_TYP_1045] }, // nicht verwendet
        { 0x00100000, [TXT_TYP_1046] }, // nicht verwendet
        { 0x00200000, [TXT_TYP_1047] }, // nicht verwendet
        { 0x00400000, [TXT_TYP_1048] }, // nicht verwendet
        { 0x00800000, [TXT_TYP_1049] }, // nicht verwendet
        { 0x01000000, [TXT_TYP_1050] }, // nicht verwendet
        { 0x02000000, [TXT_TYP_1051] }, // nicht verwendet
        { 0x04000000, [TXT_TYP_1052] }, // nicht verwendet
        { 0x08000000, [TXT_TYP_1053] }, // nicht verwendet
        { 0x10000000, [TXT_TYP_1054] }, // nicht verwendet
        { 0x20000000, [TXT_TYP_1055] }, // nicht verwendet
        { 0x40000000, [TXT_TYP_1056] }, // nicht verwendet
        { 0x80000000, [TXT_TYP_1057] }  // nicht verwendet
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_208
// 
VARIABLE PRM_208	// Mode Temperaturfehler
{
    LABEL		[TXT_PRM_208];
    HELP		[HLP_PRM_208];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_239
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_240] }, // Rücksetzung automatisch
        { 1, [TXT_TYP_241] }  // Rücksetzung manuell über RESET
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_208
{
    SLOT		2;
    INDEX		8;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_208    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_209
// 
VARIABLE PRM_209	// DelayTime
{
    LABEL		[TXT_PRM_209];
    HELP		[HLP_PRM_209];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	3000;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_209
{
    SLOT		2;
    INDEX		9;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_209    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_212
// 
VARIABLE PRM_212	// Nachlauf AUF (innere Totzone Xi_AUF)
{
    LABEL		[TXT_PRM_212];
    HELP		[HLP_PRM_212];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_212
{
    SLOT		2;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_212    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_213
// 
VARIABLE PRM_213	// Nachlauf ZU (innere Totzone Xi_ZU)
{
    LABEL		[TXT_PRM_213];
    HELP		[HLP_PRM_213];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	100;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_213
{
    SLOT		2;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_213    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_214
// 
VARIABLE PRM_214	// Toleranz E1 AUF
{
    LABEL		[TXT_PRM_214];
    HELP		[HLP_PRM_214];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	950;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_214
{
    SLOT		2;
    INDEX		14;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_214    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_215
// 
VARIABLE PRM_215	// Toleranz E1 ZU
{
    LABEL		[TXT_PRM_215];
    HELP		[HLP_PRM_215];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_215
{
    SLOT		2;
    INDEX		15;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_215    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_230
// 
VARIABLE PRM_230	// NOT-Funktion Verhalten
{
    LABEL		[TXT_PRM_230];
    HELP		[HLP_PRM_230];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_254
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_255] }, // Stop
        { 1, [TXT_TYP_256] }, // Fahre ZU
        { 2, [TXT_TYP_257] }  // Fahre AUF
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_258] }} // Fahre auf Position (using RULE_14)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_230
{
    SLOT		2;
    INDEX		30;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_230    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_231
// 
VARIABLE PRM_231	// NOT-Position
{
    LABEL		[TXT_PRM_231];
    HELP		[HLP_PRM_231];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_231
{
    SLOT		2;
    INDEX		31;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_231    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_232
// 
VARIABLE PRM_232	// NOT-Drehzahl
{
    LABEL		[TXT_PRM_232];
    HELP		[HLP_PRM_232];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_232
{
    SLOT		2;
    INDEX		32;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_232    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_495
// 
VARIABLE PRM_495	// MotorRunningTime (Factory)
{
    LABEL		[TXT_PRM_495];
    HELP		[HLP_PRM_495];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_496
// 
VARIABLE PRM_496	// NumberOfStarts (Factory)
{
    LABEL		[TXT_PRM_496];
    HELP		[HLP_PRM_496];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_497
// 
VARIABLE PRM_497	// StopsTrqClose (Factory)
{
    LABEL		[TXT_PRM_497];
    HELP		[HLP_PRM_497];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_498
// 
VARIABLE PRM_498	// StopsPosClose (Factory)
{
    LABEL		[TXT_PRM_498];
    HELP		[HLP_PRM_498];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_499
// 
VARIABLE PRM_499	// StopsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_499];
    HELP		[HLP_PRM_499];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_500
// 
VARIABLE PRM_500	// StopsPosOpen (Factory)
{
    LABEL		[TXT_PRM_500];
    HELP		[HLP_PRM_500];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_501
// 
VARIABLE PRM_501	// ErrorsTrqClose (Factory)
{
    LABEL		[TXT_PRM_501];
    HELP		[HLP_PRM_501];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_502
// 
VARIABLE PRM_502	// ErrorsTrqOpen (Factory)
{
    LABEL		[TXT_PRM_502];
    HELP		[HLP_PRM_502];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_503
// 
VARIABLE PRM_503	// ErrorsThermo (Factory)
{
    LABEL		[TXT_PRM_503];
    HELP		[HLP_PRM_503];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_505
// 
VARIABLE PRM_505	// ErrorsEDTime (Factory)
{
    LABEL		[TXT_PRM_505];
    HELP		[HLP_PRM_505];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_506
// 
VARIABLE PRM_506	// ErrorsEDMax (Factory)
{
    LABEL		[TXT_PRM_506];
    HELP		[HLP_PRM_506];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_507
// 
VARIABLE PRM_507	// Resets (Factory)
{
    LABEL		[TXT_PRM_507];
    HELP		[HLP_PRM_507];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_519
// 
VARIABLE PRM_519	// Selbsthaltungsverhalten Fern1
{
    LABEL		[TXT_PRM_519];
    HELP		[HLP_PRM_519];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_62
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_63] }, // ausgeschaltet (Tippbetrieb AUF + ZU)
        { 1, [TXT_TYP_64] }, // Selbsthaltung AUF, Tippbetrieb ZU
        { 2, [TXT_TYP_360] }, // Selbsthaltung ZU, Tippbetrieb AUF
        { 3, [TXT_TYP_362] }, // Selbsthaltung AUF + ZU
        { 4, [TXT_TYP_363] }  // Direkt AUF-ZU
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_519
{
    SLOT		5;
    INDEX		19;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_519    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_578
// 
VARIABLE PRM_578	// Abschaltart ZU
{
    LABEL		[TXT_PRM_578];
    HELP		[HLP_PRM_578];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_578
{
    SLOT		5;
    INDEX		78;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_578    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_590
// 
VARIABLE PRM_590	// Taktbetrieb Mode ZU
{
    LABEL		[TXT_PRM_590];
    HELP		[HLP_PRM_590];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_68
    {
        DEFAULT_VALUE	3;
        { 0, [TXT_TYP_69], [HLP_TYP_69] }, // ausgeschaltet
        { 1, [TXT_TYP_70], [HLP_TYP_70] }, // nur FERN
        { 2, [TXT_TYP_71], [HLP_TYP_71] }, // nur ORT
        { 3, [TXT_TYP_72], [HLP_TYP_72] }  // FERN und ORT
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_590
{
    SLOT		5;
    INDEX		90;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_590    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_591
// 
VARIABLE PRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	40;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_591
{
    SLOT		5;
    INDEX		91;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_591    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_592
// 
VARIABLE PRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	20;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_592
{
    SLOT		5;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_592    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_593
// 
VARIABLE PRM_593	// Taktstrecke: Ende ZU
{
    LABEL		[TXT_PRM_593];
    HELP		[HLP_PRM_593];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	999;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_593
{
    SLOT		5;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_593    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_594
// 
VARIABLE PRM_594	// Taktstrecke: Start ZU
{
    LABEL		[TXT_PRM_594];
    HELP		[HLP_PRM_594];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	1000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_594
{
    SLOT		5;
    INDEX		94;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_594    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_828
// 
VARIABLE PRM_828	// EndpositionAUF-Rohwert	
{
    LABEL		[TXT_PRM_828];
    HELP		[HLP_PRM_828];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	65535;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_829
// 
VARIABLE PRM_829	// EndpositionZU-Rohwert	
{
    LABEL		[TXT_PRM_829];
    HELP		[HLP_PRM_829];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	65535;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_873
// 
VARIABLE PRM_873	// DigitalIn1-Signal-Ausgang (Default: MODE)
{
    LABEL		[TXT_PRM_873];
    HELP		[HLP_PRM_873];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }  // Fern1_ESD
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_878
// 
VARIABLE PRM_878	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_878];
    HELP		[HLP_PRM_878];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_920
// 
VARIABLE PRM_920	// Digital-Signal-Ausgang (Default: Fern HALT)
{
    LABEL		[TXT_PRM_920];
    HELP		[HLP_PRM_920];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }  // Fern1_ESD
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_921
// 
VARIABLE PRM_921	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_921];
    HELP		[HLP_PRM_921];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_926
// 
VARIABLE PRM_926	// Digital-Signal-Ausgang (Default: Fahre AUF)
{
    LABEL		[TXT_PRM_926];
    HELP		[HLP_PRM_926];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	18;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }  // Fern1_ESD
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_927
// 
VARIABLE PRM_927	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_927];
    HELP		[HLP_PRM_927];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_932
// 
VARIABLE PRM_932	// Digital-Signal-Ausgang (Default: Fahre ZU)
{
    LABEL		[TXT_PRM_932];
    HELP		[HLP_PRM_932];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_272
    {
        DEFAULT_VALUE	19;
        { 0, [TXT_TYP_988], [HLP_TYP_988] }, // Nichts erzeugt
        { 22, [TXT_TYP_299], [HLP_TYP_299] }, // Fern1-Mode
        { 18, [TXT_TYP_302], [HLP_TYP_302] }, // Fern1_AUF
        { 19, [TXT_TYP_303], [HLP_TYP_303] }, // Fern1_ZU
        { 20, [TXT_TYP_304], [HLP_TYP_304] }, // Fern1_HALT
        { 32, [TXT_TYP_301], [HLP_TYP_301] }  // Fern1_RESET
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 275, [TXT_TYP_691], [HLP_TYP_691] }} // Remote Bus Aktivierung (Bus/Extern) (using RULE_348)
        { 364, [TXT_TYP_688], [HLP_TYP_688] }, // Fern1_Zweidraht
        { 21, [TXT_TYP_300], [HLP_TYP_300] }  // Fern1_ESD
        IF (PRM_181 != 0) {{ 348, [TXT_TYP_305], [HLP_TYP_305] }} // Kunde_DigitalIn_1 (using RULE_304)
        IF (PRM_181 != 0) {{ 349, [TXT_TYP_306], [HLP_TYP_306] }} // Kunde_DigitalIn_2 (using RULE_304)
        IF (PRM_181 != 0) {{ 350, [TXT_TYP_307], [HLP_TYP_307] }} // Kunde_DigitalIn_3 (using RULE_304)
        IF (PRM_181 != 0) {{ 351, [TXT_TYP_308], [HLP_TYP_308] }} // Kunde_DigitalIn_4 (using RULE_304)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_933
// 
VARIABLE PRM_933	// IsInverted (Invertierter Eingang)
{
    LABEL		[TXT_PRM_933];
    HELP		[HLP_PRM_933];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1012
// 
VARIABLE PRM_1012	// Digital-Signal-Eingang (Default AUMA-Fehler)
{
    LABEL		[TXT_PRM_1012];
    HELP		[HLP_PRM_1012];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	259;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, // DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 1130, [TXT_TYP_2235], [HLP_TYP_2235] }  // System bereit
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1012
{
    SLOT		10;
    INDEX		12;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1012    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1013
// 
VARIABLE PRM_1013	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1013];
    HELP		[HLP_PRM_1013];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1013
{
    SLOT		10;
    INDEX		13;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1013    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1092
// 
VARIABLE PRM_1092	// Digital-Signal-Eingang (Default: Wahlschalter FERN)
{
    LABEL		[TXT_PRM_1092];
    HELP		[HLP_PRM_1092];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	115;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, // DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 1130, [TXT_TYP_2235], [HLP_TYP_2235] }  // System bereit
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1092
{
    SLOT		10;
    INDEX		92;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1092    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1093
// 
VARIABLE PRM_1093	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1093];
    HELP		[HLP_PRM_1093];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1093
{
    SLOT		10;
    INDEX		93;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1093    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1097
// 
VARIABLE PRM_1097	// Digital-Signal-Eingang (Default: Endlage AUF)
{
    LABEL		[TXT_PRM_1097];
    HELP		[HLP_PRM_1097];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	79;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, // DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 1130, [TXT_TYP_2235], [HLP_TYP_2235] }  // System bereit
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1097
{
    SLOT		10;
    INDEX		97;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1097    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1098
// 
VARIABLE PRM_1098	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1098];
    HELP		[HLP_PRM_1098];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1098
{
    SLOT		10;
    INDEX		98;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1098    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1102
// 
VARIABLE PRM_1102	// Digital-Signal-Eingang (Default: Endlage ZU)
{
    LABEL		[TXT_PRM_1102];
    HELP		[HLP_PRM_1102];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_273
    {
        DEFAULT_VALUE	258;
        { 372, [TXT_TYP_724] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 259, [TXT_TYP_310] }, // Endlage ZU
        { 258, [TXT_TYP_309] }, // Endlage AUF
        { 370, [TXT_TYP_968] }, // Endlage_ZU+Blinker
        { 369, [TXT_TYP_969] }, // Endlage_AUF+Blinker
        { 401, [TXT_TYP_743] }, // Ist bei Sollposition
        { 265, [TXT_TYP_740] }, // Fährt ZU
        { 264, [TXT_TYP_741] }, // Fährt AUF
        { 113, [TXT_TYP_744] }, // Wahlschalter ORT
        { 115, [TXT_TYP_311] }, // Wahlschalter FERN
        { 376, [TXT_TYP_318] }, // Wegschalter ZU
        { 375, [TXT_TYP_317] }, // Wegschalter AUF
        { 460, [TXT_TYP_320] }, // Drehmoschalter ZU
        { 459, [TXT_TYP_319] }, // Drehmoschalter AUF
        { 86, [TXT_TYP_747] }, // Gerätestatus Namur Ausfall
        { 84, [TXT_TYP_748] }, // Gerätestatus Namur Funktionskontrolle
        { 83, [TXT_TYP_749] }, // Gerätestatus Namur Ausserh. d. Spezifikation
        { 85, [TXT_TYP_750] }, // Gerätestatus Namur Wartungsbedarf
        { 79, [TXT_TYP_696] }, // Fehler
        { 78, [TXT_TYP_739] }, // Warnungen
        { 80, [TXT_TYP_742] }, // Nicht  bereit FERN
        { 554, [TXT_TYP_757] }, // Fahrpause
        { 560, [TXT_TYP_755] }, // Taktstrecke betreten
        { 603, [TXT_TYP_754] }, // Antrieb fährt
        { 539, [TXT_TYP_751] }, // Fährt von Ort
        { 540, [TXT_TYP_752] }, // Fährt von Fern
        { 541, [TXT_TYP_753] }, // Fährt mit Handrad
        { 549, [TXT_TYP_756] }, // In Mittelstellung
        { 500, [TXT_TYP_772] }, // Digitaleingang 1
        { 501, [TXT_TYP_771] }, // Digitaleingang 2
        { 505, [TXT_TYP_770] }, // Digitaleingang 3
        { 504, [TXT_TYP_763] }, // Digitaleingang 4
        { 269, [TXT_TYP_312] }, // Drehmofehler ZU
        { 268, [TXT_TYP_313] }, // Drehmofehler AUF
        { 546, [TXT_TYP_989] }, // DrehmoFehler
        { 270, [TXT_TYP_314] }, // Thermofehler
        { 302, [TXT_TYP_315] }  // Phasenfehler
        IF (PRM_181 != 0) {{ 466, [TXT_TYP_970] }} // Feldbus_Digout_01 (using RULE_304)
        IF (PRM_181 != 0) {{ 467, [TXT_TYP_971] }} // Feldbus_Digout_02 (using RULE_304)
        IF (PRM_181 != 0) {{ 468, [TXT_TYP_972] }} // Feldbus_Digout_03 (using RULE_304)
        IF (PRM_181 != 0) {{ 469, [TXT_TYP_973] }} // Feldbus_Digout_04 (using RULE_304)
        IF (PRM_181 != 0) {{ 470, [TXT_TYP_974] }} // Feldbus_Digout_05 (using RULE_304)
        IF (PRM_181 != 0) {{ 471, [TXT_TYP_975] }} // Feldbus_Digout_06 (using RULE_304)
        IF (PRM_181 != 0) {{ 472, [TXT_TYP_976] }} // Feldbus_Digout_07 (using RULE_304)
        IF (PRM_181 != 0) {{ 473, [TXT_TYP_977] }} // Feldbus_Digout_08 (using RULE_304)
        IF (PRM_181 != 0) {{ 474, [TXT_TYP_978] }} // Feldbus_Digout_09 (using RULE_304)
        IF (PRM_181 != 0) {{ 475, [TXT_TYP_979] }} // Feldbus_Digout_10 (using RULE_304)
        IF (PRM_181 != 0) {{ 476, [TXT_TYP_980] }} // Feldbus_Digout_11 (using RULE_304)
        IF (PRM_181 != 0) {{ 477, [TXT_TYP_981] }} // Feldbus_Digout_12 (using RULE_304)
        IF (PRM_181 != 0) {{ 606, [TXT_TYP_1319], [HLP_TYP_1319] }} // Feldbus Fail Safe aktiv (using RULE_304)
        { 553, [TXT_TYP_1400], [HLP_TYP_1400] }, // Handradschalter ist betätigt
        { 94, [TXT_TYP_1619], [HLP_TYP_1619] }, // Störung AC1 kompatibel
        { 1130, [TXT_TYP_2235], [HLP_TYP_2235] }  // System bereit
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1102
{
    SLOT		11;
    INDEX		2;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1102    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1103
// 
VARIABLE PRM_1103	// IsInverted (Invertierter Ausgang)
{
    LABEL		[TXT_PRM_1103];
    HELP		[HLP_PRM_1103];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_65
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_66] }, // High-Aktiv
        { 1, [TXT_TYP_67] }  // Low-Aktiv
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1103
{
    SLOT		11;
    INDEX		3;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1103    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1129
// 
VARIABLE PRM_1129	// Normierter Wert (0 ... 1000): Default: Stellungssollwert E1
{
    LABEL		[TXT_PRM_1129];
    HELP		[HLP_PRM_1129];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_274
    {
        DEFAULT_VALUE	7;
        { 0, [TXT_TYP_984] }, // Nicht verwendet
        { 7, [TXT_TYP_338] }, // Stellungs-Sollwert E1
        { 12, [TXT_TYP_341] }, // Sensorsignal 1
        { 13, [TXT_TYP_342] }  // Sensorsignal 2
        IF (PRM_3633 == 2) {{ 935, [TXT_TYP_1664] }} // Drehzahl Ifa (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1130
// 
VARIABLE PRM_1130	// Oberer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1130];
    HELP		[HLP_PRM_1130];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	200;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1130
{
    SLOT		11;
    INDEX		30;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1130    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1133
// 
VARIABLE PRM_1133	// Unterer Grenzwert [0,1 mA] für das Eingangssignal
{
    LABEL		[TXT_PRM_1133];
    HELP		[HLP_PRM_1133];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	200;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"mA";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1133
{
    SLOT		11;
    INDEX		33;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1133    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1164
// 
VARIABLE PRM_1164	// Gerätebezeichnung
{
    LABEL		[TXT_PRM_1164];
    HELP		[HLP_PRM_1164];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"SGM";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1165
// 
VARIABLE PRM_1165	// Geräte-TAG
{
    LABEL		[TXT_PRM_1165];
    HELP		[HLP_PRM_1165];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_GERAETE-TAG_";
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1165
{
    SLOT		11;
    INDEX		65;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1165    // 20 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1166
// 
VARIABLE PRM_1166	// Projektname
{
    LABEL		[TXT_PRM_1166];
    HELP		[HLP_PRM_1166];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_PROJEKT_";
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1166
{
    SLOT		11;
    INDEX		66;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1166    // 20 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1169
// 
VARIABLE PRM_1169	// Stellungsregler Aktivierung
{
    LABEL		[TXT_PRM_1169];
    HELP		[HLP_PRM_1169];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1169
{
    SLOT		11;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1169    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1176
// 
VARIABLE PRM_1176	// Taktgeber Aktivierung AUF
{
    LABEL		[TXT_PRM_1176];
    HELP		[HLP_PRM_1176];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1176
{
    SLOT		11;
    INDEX		76;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1176    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1177
// 
VARIABLE PRM_1177	// Taktgeber Aktivierung ZU
{
    LABEL		[TXT_PRM_1177];
    HELP		[HLP_PRM_1177];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1177
{
    SLOT		11;
    INDEX		77;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1177    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1178
// 
VARIABLE PRM_1178	// Stellungsregler \"Kauf\"
{
    LABEL		[TXT_PRM_1178];
    HELP		[HLP_PRM_1178];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ;
}
COMMAND read_PRM_1178
{
    SLOT		11;
    INDEX		78;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1178    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1179
// 
VARIABLE PRM_1179	// max. zulässige Anläufe /h
{
    LABEL		[TXT_PRM_1179];
    HELP		[HLP_PRM_1179];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1179
{
    SLOT		11;
    INDEX		79;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1179    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1182
// 
VARIABLE PRM_1182	// Anfahrüberbrückung Freigabe
{
    LABEL		[TXT_PRM_1182];
    HELP		[HLP_PRM_1182];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1182
{
    SLOT		11;
    INDEX		82;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1182    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1254
// 
VARIABLE PRM_1254	// Prozessdaten-Eingang(Default: Stellungsistwert E2)
{
    LABEL		[TXT_PRM_1254];
    HELP		[HLP_PRM_1254];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_275
    {
        DEFAULT_VALUE	2;
        { 372, [TXT_TYP_985] }, // Nicht verwendet (Verdrahtet mit konstante 0)
        { 2, [TXT_TYP_343] }, // Stellungs-Istwert E2
        { 545, [TXT_TYP_367] }, // Drehmoment Istwert
        { 498, [TXT_TYP_345] }  // Analog In1 E8
        IF (PRM_181 != 0) {{ 464, [TXT_TYP_982] }} // FeldbusAnalogOut_01 (using RULE_304)
        { 11, [TXT_TYP_1399] }  // Drehzahl
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1255
// 
VARIABLE PRM_1255	// Auswahlparameter Ausgangsbereich
{
    LABEL		[TXT_PRM_1255];
    HELP		[HLP_PRM_1255];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_127
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_128] }, // 0 bis 20mA
        { 1, [TXT_TYP_129] }, // 4 bis 20mA
        { 2, [TXT_TYP_130] }, // 20 bis 0mA
        { 3, [TXT_TYP_131] }  // 20 bis 4mA
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1255
{
    SLOT		12;
    INDEX		55;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1255    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1256
// 
VARIABLE PRM_1256	// Leitsystem-Korrektur 20 mA
{
    LABEL		[TXT_PRM_1256];
    HELP		[HLP_PRM_1256];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1256
{
    SLOT		12;
    INDEX		56;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1256    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1257
// 
VARIABLE PRM_1257	// Leitsystem-Korrektur 0 / 4 mA
{
    LABEL		[TXT_PRM_1257];
    HELP		[HLP_PRM_1257];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (4)
    {
        MIN_VALUE	-100;
        MAX_VALUE	100;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1257
{
    SLOT		12;
    INDEX		57;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1257    // 4 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1310
// 
VARIABLE PRM_1310	// Soll-Drehzahl
{
    LABEL		[TXT_PRM_1310];
    HELP		[HLP_PRM_1310];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1310
{
    SLOT		13;
    INDEX		10;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1310    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1321
// 
VARIABLE PRM_1321	// Profibus Adresse 1
{
    LABEL		[TXT_PRM_1321];
    HELP		[HLP_PRM_1321];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	126;
        DEFAULT_VALUE	126;
    }
    HANDLING		READ;
}
COMMAND read_PRM_1321
{
    SLOT		13;
    INDEX		21;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1321    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1752
// 
VARIABLE PRM_1752	// MWG-Vorhanden SOLL-Konfiguration
{
    LABEL		[TXT_PRM_1752];
    HELP		[HLP_PRM_1752];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_846
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_847] }, // Funktion/Baugruppe nicht vorhanden
        { 1, [TXT_TYP_848] }  // Funktion/Baugruppe vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PRM_1752
{
    SLOT		17;
    INDEX		52;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1752    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1759
// 
VARIABLE PRM_1759	// Firmware Version AC01.2
{
    LABEL		[TXT_PRM_1759];
    HELP		[HLP_PRM_1759];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"Vxx.xx.xx";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1760
// 
VARIABLE PRM_1760	// KommNr Steuerung
{
    LABEL		[TXT_PRM_1760];
    HELP		[HLP_PRM_1760];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1761
// 
VARIABLE PRM_1761	// KommNr Antrieb
{
    LABEL		[TXT_PRM_1761];
    HELP		[HLP_PRM_1761];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ KOMMNR ANTRIEB _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1762
// 
VARIABLE PRM_1762	// Werksnummer Steuerung
{
    LABEL		[TXT_PRM_1762];
    HELP		[HLP_PRM_1762];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1763
// 
VARIABLE PRM_1763	// Werksnummer Antrieb
{
    LABEL		[TXT_PRM_1763];
    HELP		[HLP_PRM_1763];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_ WERKNR ANTRIEB _";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1764
// 
VARIABLE PRM_1764	// Schaltplannummer Steuerung
{
    LABEL		[TXT_PRM_1764];
    HELP		[HLP_PRM_1764];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_TPC_";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1765
// 
VARIABLE PRM_1765	// Schaltplannummer Antrieb
{
    LABEL		[TXT_PRM_1765];
    HELP		[HLP_PRM_1765];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_TPA_";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1869
// 
VARIABLE PRM_1869	// Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)
{
    LABEL		[TXT_PRM_1869];
    HELP		[HLP_PRM_1869];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_713
    {
        DEFAULT_VALUE	1;
        { 1, [TXT_TYP_715] }, // ZUERST_GUT
        { 2, [TXT_TYP_716] }  // SOFORT_AUSLÖSEN
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1869
{
    SLOT		18;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1869    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1870
// 
VARIABLE PRM_1870	// Verhalten Sicherheitsbetrieb (Default: 0 = STOP)
{
    LABEL		[TXT_PRM_1870];
    HELP		[HLP_PRM_1870];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_706
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_707] }, // AS_IS
        { 1, [TXT_TYP_708] }, // CLOSE
        { 2, [TXT_TYP_709] }  // OPEN
        IF (PRM_1169 == 1) {{ 3, [TXT_TYP_710] }} // POSITION (using RULE_14)
        { 4, [TXT_TYP_711] }  // LAST_CMD
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1870
{
    SLOT		18;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1870    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1871
// 
VARIABLE PRM_1871	// Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)
{
    LABEL		[TXT_PRM_1871];
    HELP		[HLP_PRM_1871];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_712
    {
        DEFAULT_VALUE	4;
        { 1, [TXT_TYP_718] }, // CMD
        { 2, [TXT_TYP_719] }, // SET_POINT
        { 4, [TXT_TYP_722] }  // ALL
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1871
{
    SLOT		18;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1871    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1872
// 
VARIABLE PRM_1872	// FailSafe-Position
{
    LABEL		[TXT_PRM_1872];
    HELP		[HLP_PRM_1872];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	500;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1872
{
    SLOT		18;
    INDEX		72;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1872    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1873
// 
VARIABLE PRM_1873	// FailSafe-Drehzahl (Speed)
{
    LABEL		[TXT_PRM_1873];
    HELP		[HLP_PRM_1873];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_1873
{
    SLOT		18;
    INDEX		73;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1873    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_1874
// 
VARIABLE PRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	30;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_1874
{
    SLOT		18;
    INDEX		74;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_1874    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2036
// 
VARIABLE PRM_2036	// Abschaltmoment AUF [Nm]
{
    LABEL		[TXT_PRM_2036];
    HELP		[HLP_PRM_2036];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_2036
{
    SLOT		20;
    INDEX		36;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2036    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_2036
{
    SLOT		20;
    INDEX		36;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2036    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2041
// 
VARIABLE PRM_2041	// Abschaltmoment ZU [Nm]
{
    LABEL		[TXT_PRM_2041];
    HELP		[HLP_PRM_2041];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	65535;
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"Nm";
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_2041
{
    SLOT		20;
    INDEX		41;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2041    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_2041
{
    SLOT		20;
    INDEX		41;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2041    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2121
// 
VARIABLE PRM_2121	// EDEnable
{
    LABEL		[TXT_PRM_2121];
    HELP		[HLP_PRM_2121];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2121
{
    SLOT		21;
    INDEX		21;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2121    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2122
// 
VARIABLE PRM_2122	// EDMaxTimeHour
{
    LABEL		[TXT_PRM_2122];
    HELP		[HLP_PRM_2122];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	60;
        DEFAULT_VALUE	15;
    }
    CONSTANT_UNIT		"min";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2122
{
    SLOT		21;
    INDEX		22;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2122    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2123
// 
VARIABLE PRM_2123	// EDMaxStartHour
{
    LABEL		[TXT_PRM_2123];
    HELP		[HLP_PRM_2123];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1800;
        DEFAULT_VALUE	1200;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2123
{
    SLOT		21;
    INDEX		23;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2123    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2175
// 
VARIABLE PRM_2175	//  Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT
{
    LABEL		[TXT_PRM_2175];
    HELP		[HLP_PRM_2175];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_699
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_700] }, // Servicefahrt nur im Ortbetrieb
        { 1, [TXT_TYP_701] }  // Servicefahrt im Ortbetrieb und Fernbetrieb
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2175
{
    SLOT		21;
    INDEX		75;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2175    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2176
// 
VARIABLE PRM_2176	// Datum der Endabnahme
{
    LABEL		[TXT_PRM_2176];
    HELP		[HLP_PRM_2176];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"_DATE_PRODUCTION_";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2219
// 
VARIABLE PRM_2219	// App-Logik
{
    LABEL		[TXT_PRM_2219];
    HELP		[HLP_PRM_2219];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2220
// 
VARIABLE PRM_2220	// Btl-Logik
{
    LABEL		[TXT_PRM_2220];
    HELP		[HLP_PRM_2220];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"0";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2400
// 
VARIABLE PRM_2400	// Mindestwert 5V-Referenzspannung (0...1023)
{
    LABEL		[TXT_PRM_2400];
    HELP		[HLP_PRM_2400];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	450;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2401
// 
VARIABLE PRM_2401	// Mindestwert Poti-Signal (0...1023)
{
    LABEL		[TXT_PRM_2401];
    HELP		[HLP_PRM_2401];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1023;
        DEFAULT_VALUE	50;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2402
// 
VARIABLE PRM_2402	// Mindestwert Poti-Hub (0...1023)
{
    LABEL		[TXT_PRM_2402];
    HELP		[HLP_PRM_2402];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	1;
        MAX_VALUE	1023;
        DEFAULT_VALUE	600;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2402
{
    SLOT		24;
    INDEX		2;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2402    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2546
// 
VARIABLE PRM_2546	// Applikationsparameter Betriebsart
{
    LABEL		[TXT_PRM_2546];
    HELP		[HLP_PRM_2546];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_886
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_887], [HLP_TYP_887] }, // AUS
        { 1, [TXT_TYP_888], [HLP_TYP_888] }  // MANUELL
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2546
{
    SLOT		25;
    INDEX		46;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2546    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2547
// 
VARIABLE PRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	36000;
        DEFAULT_VALUE	9000;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_2547
{
    SLOT		25;
    INDEX		47;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2547    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2554
// 
VARIABLE PRM_2554	// Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)
{
    LABEL		[TXT_PRM_2554];
    HELP		[HLP_PRM_2554];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2554
{
    SLOT		25;
    INDEX		54;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2554    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2555
// 
VARIABLE PRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	10;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
}
COMMAND write_PRM_2555
{
    SLOT		25;
    INDEX		55;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2555    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2556
// 
VARIABLE PRM_2556	// Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)
{
    LABEL		[TXT_PRM_2556];
    HELP		[HLP_PRM_2556];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	10;
        MAX_VALUE	100;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2556
{
    SLOT		25;
    INDEX		56;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2556    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2755
// 
VARIABLE PRM_2755	// Stellungsgeber SOLL-Konfiguration
{
    LABEL		[TXT_PRM_2755];
    HELP		[HLP_PRM_2755];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_322
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_323], [HLP_TYP_323] }, // Keine E2 Quelle
        { 1, [TXT_TYP_327], [HLP_TYP_327] }, // Poti angeschlossen
        { 2, [TXT_TYP_325], [HLP_TYP_325] }, // RWG angeschlossen
        { 4, [TXT_TYP_326], [HLP_TYP_326] }  // MWG angeschlossen
    }
    HANDLING		READ;
}
COMMAND read_PRM_2755
{
    SLOT		27;
    INDEX		55;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2755    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2781
// 
VARIABLE PRM_2781	// P70 ArtikelNr Logik IST-Konfiguration
{
    LABEL		[TXT_PRM_2781];
    HELP		[HLP_PRM_2781];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ASCII(20)
    {
        DEFAULT_VALUE	"< ARTNR LOGIK >";
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2878
// 
VARIABLE PRM_2878	// Parameter: Activate (Default = Aktiviert)
{
    LABEL		[TXT_PRM_2878];
    HELP		[HLP_PRM_2878];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_231
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_232], [HLP_TYP_232] }, // deaktiviert
        { 1, [TXT_TYP_233], [HLP_TYP_233] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2916
// 
VARIABLE PRM_2916	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2916];
    HELP		[HLP_PRM_2916];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2916
{
    SLOT		29;
    INDEX		16;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2916    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2917
// 
VARIABLE PRM_2917	// Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler 
{
    LABEL		[TXT_PRM_2917];
    HELP		[HLP_PRM_2917];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	50;
        DEFAULT_VALUE	5;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2917
{
    SLOT		29;
    INDEX		17;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2917    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2923
// 
VARIABLE PRM_2923	// Aktivierung NOT-Funktion
{
    LABEL		[TXT_PRM_2923];
    HELP		[HLP_PRM_2923];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2923
{
    SLOT		29;
    INDEX		23;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2923    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2924
// 
VARIABLE PRM_2924	// Auswahl Auslösequelle
{
    LABEL		[TXT_PRM_2924];
    HELP		[HLP_PRM_2924];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1089
    {
        DEFAULT_VALUE	1;
        IF (PRM_45 == 1) {{ 1, [TXT_TYP_1090] }} // Paralleles Interface (using RULE_19)
        IF (PRM_181 != 0) {{ 2, [TXT_TYP_1091] }} // Feldbus-Interface (using RULE_304)
        IF (((PRM_45 == 1) && (PRM_181 != 0))) {{ 3, [TXT_TYP_1092] }} // Paralleles und Feldbus Interface (using RULE_348)
        { 4, [TXT_TYP_1406] }  // Aktive Befehlsquelle für Fahrten
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_2924
{
    SLOT		29;
    INDEX		24;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_2924    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2993
// 
VARIABLE PRM_2993	// P70 BCD-Schalter Drehzahl
{
    LABEL		[TXT_PRM_2993];
    HELP		[HLP_PRM_2993];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	9;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2994
// 
VARIABLE PRM_2994	// P70 BCD-Schalter Abschaltmoment AUF
{
    LABEL		[TXT_PRM_2994];
    HELP		[HLP_PRM_2994];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	9;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_2995
// 
VARIABLE PRM_2995	// P70 BCD-Schalter Abschaltmoment ZU
{
    LABEL		[TXT_PRM_2995];
    HELP		[HLP_PRM_2995];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	9;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3006
// 
VARIABLE PRM_3006	// Profibus Ident Nr
{
    LABEL		[TXT_PRM_3006];
    HELP		[HLP_PRM_3006];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1093
    {
        DEFAULT_VALUE	3191;
        { 3151, [TXT_TYP_1094], [HLP_TYP_1094] }, // Ident Nr AC einkanalige Profibushardware
        { 3261, [TXT_TYP_1095], [HLP_TYP_1095] }, // Ident Nr AC zweiikanalige Profibushardware
        { 3191, [TXT_TYP_1107], [HLP_TYP_1107] }  // Ident Nr P70 Profibushardware
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3053
// 
VARIABLE PRM_3053	// Hysterese
{
    LABEL		[TXT_PRM_3053];
    HELP		[HLP_PRM_3053];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	10;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3157
// 
VARIABLE PRM_3157	// Applikation: Betriebsart Standard-Ausführung
{
    LABEL		[TXT_PRM_3157];
    HELP		[HLP_PRM_3157];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1132
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1133], [HLP_TYP_1133] }, // ohne Abschaltung
        { 1, [TXT_TYP_1134], [HLP_TYP_1134] }  // mit Abschaltung
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3157
{
    SLOT		31;
    INDEX		57;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3157    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3158
// 
VARIABLE PRM_3158	// Applikation: Überwachungszeit
{
    LABEL		[TXT_PRM_3158];
    HELP		[HLP_PRM_3158];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	150;
        MAX_VALUE	3000;
        DEFAULT_VALUE	150;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_3158
{
    SLOT		31;
    INDEX		58;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3158    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3633
// 
VARIABLE PRM_3633	// Ident Code für Identifikation innerhalb AUMA Gruppe (entspricht Modbus Slave ID):
{
    LABEL		[TXT_PRM_3633];
    HELP		[HLP_PRM_3633];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	255;
        DEFAULT_VALUE	2;
    }
    HANDLING		READ;
}
COMMAND read_PRM_3633
{
    SLOT		36;
    INDEX		33;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3633    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4015
// 
VARIABLE PRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		CONTAINED & DYNAMIC;
#ifdef dtmGENERATOR
    TYPE		TIME_MMSS01
#else
    TYPE		UNSIGNED_INTEGER (2)
#endif /* dtmGENERATOR */
    {
        MIN_VALUE	0;
        MAX_VALUE	18000;
        DEFAULT_VALUE	10;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"s";
    HANDLING		READ;
    POST_READ_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4033
// 
VARIABLE PRM_4033	// P70 Parametrierschalter (HW/SW)
{
    LABEL		[TXT_PRM_4033];
    HELP		[HLP_PRM_4033];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4035
// 
VARIABLE PRM_4035	// P70 Profibusadresse (Schaltercodierung)
{
    LABEL		[TXT_PRM_4035];
    HELP		[HLP_PRM_4035];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	199;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4036
// 
VARIABLE PRM_4036	// P70 Schalter Abschaltmoment AUF (SW)
{
    LABEL		[TXT_PRM_4036];
    HELP		[HLP_PRM_4036];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	9;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4036
{
    SLOT		40;
    INDEX		36;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4036    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4037
// 
VARIABLE PRM_4037	// P70 Schalter Abschaltmoment ZU (SW)
{
    LABEL		[TXT_PRM_4037];
    HELP		[HLP_PRM_4037];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	9;
        DEFAULT_VALUE	0;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4037
{
    SLOT		40;
    INDEX		37;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4037    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4067
// 
VARIABLE PRM_4067	// Drehzahl Fern
{
    LABEL		[TXT_PRM_4067];
    HELP		[HLP_PRM_4067];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4067
{
    SLOT		40;
    INDEX		67;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4067    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4068
// 
VARIABLE PRM_4068	// Drehzahl Interface Select (extern / intern)
{
    LABEL		[TXT_PRM_4068];
    HELP		[HLP_PRM_4068];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1379
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1380], [HLP_TYP_1380] }, // Extern
        { 1, [TXT_TYP_1381], [HLP_TYP_1381] }  // Intern
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4068
{
    SLOT		40;
    INDEX		68;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4068    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4069
// 
VARIABLE PRM_4069	// Drehzahl Feldbus Select (extern / intern)
{
    LABEL		[TXT_PRM_4069];
    HELP		[HLP_PRM_4069];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1379
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1380], [HLP_TYP_1380] }, // Extern
        { 1, [TXT_TYP_1381], [HLP_TYP_1381] }  // Intern
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4069
{
    SLOT		40;
    INDEX		69;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4069    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4070
// 
VARIABLE PRM_4070	// Proportionalbereich
{
    LABEL		[TXT_PRM_4070];
    HELP		[HLP_PRM_4070];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	20;
        MAX_VALUE	200;
        DEFAULT_VALUE	100;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4070
{
    SLOT		40;
    INDEX		70;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4070    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4071
// 
VARIABLE PRM_4071	// minimale Drehzahl (Proportinalfahrt)
{
    LABEL		[TXT_PRM_4071];
    HELP		[HLP_PRM_4071];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1500;
        DEFAULT_VALUE	400;
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4071
{
    SLOT		40;
    INDEX		71;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4071    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4076
// 
VARIABLE PRM_4076	// Proportionalfahrt Enable
{
    LABEL		[TXT_PRM_4076];
    HELP		[HLP_PRM_4076];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_335
    {
        DEFAULT_VALUE	1;
        { 0, [TXT_TYP_336], [HLP_TYP_336] }, // ausgeschaltet
        { 1, [TXT_TYP_337], [HLP_TYP_337] }  // eingeschaltet
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4076
{
    SLOT		40;
    INDEX		76;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4076    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4233
// 
VARIABLE PRM_4233	// Pzd Aktivierung Sammelmeldung 1Info
{
    LABEL		[TXT_PRM_4233];
    HELP		[HLP_PRM_4233];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1418
    {
        DEFAULT_VALUE	0x00000000;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1419], [HLP_TYP_1419] }} // PVST aktiv (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1624], [HLP_TYP_1624] }} // PVST Error (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000004, [TXT_TYP_1625], [HLP_TYP_1625] }} // PVST Abbruch (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1629], [HLP_TYP_1629] }} // PVST erforderlich (using RULE_505)
        { 0x00000010, [TXT_TYP_2107], [HLP_TYP_2107] }, // Endlage AUF
        { 0x00000020, [TXT_TYP_2108], [HLP_TYP_2108] }  // Endlage ZU
        IF (PRM_3633 == 1) {{ 0x00000040, [TXT_TYP_2143], [HLP_TYP_2143] }} // SafeESD (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000080, [TXT_TYP_2144], [HLP_TYP_2144] }} // SafeStop (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000100, [TXT_TYP_2145], [HLP_TYP_2145] }} // SIL-Fehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000200, [TXT_TYP_2150] }} // ProofTest aktiv (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4234
// 
VARIABLE PRM_4234	// Pzd Aktivierung Sammelmeldung 2AUMA WArnung
{
    LABEL		[TXT_PRM_4234];
    HELP		[HLP_PRM_4234];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1421
    {
        DEFAULT_VALUE	0x0008FFF5;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] }  // SM-6, Konfigurationswarnung
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] }} // SM-12, Fehler Hydraulik (using RULE_505)
        { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] }  // SM-15, Interne Warnung
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] }} // SM-17, Warnung Hydraulik (using RULE_505)
        { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] }, // Versorgung 24V Extern
        { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] }, // ED Warnung Laufzeit
        { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] }, // ED Warnung Anläufe
        { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] }, // Sicherheitsverhalten aktiv
        { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] }, // Warnung AnalogIn 1
        { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] }, // Warnung AnalogIn 2
        { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] }, // Warnung Sollposition
        { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] }, // Stellzeitwarnung
        { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] }, // Warnung Temp Steuerung
        { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] }, // Warnung Temp Motor
        { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] }, // Warnung Temp Getriebe
        { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] }  // RTC nicht gesetzt
        IF (PRM_3633 == 1) {{ 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] }} // RTC Batterie (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] }} // PVST Error (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] }} // PVST Abbruch (using RULE_505)
        { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] }} // Lwl Kommunikationsfehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] }} // Lwl Budget (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] }} // Lwl ausgefallen (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] }} // Warnung Drehmoment Auf (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] }} // Warnung Drehmoment Zu (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] }} // SIL-Fehler (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4235
// 
VARIABLE PRM_4235	// Pzd Aktivierung Sammelmeldung 3AUMA Fehler
{
    LABEL		[TXT_PRM_4235];
    HELP		[HLP_PRM_4235];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1447
    {
        DEFAULT_VALUE	0x000001FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] }, // SM-11, Konfigurationsfehler
        { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] }, // SM-12, Konfigurationsfehl_Fern
        { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] }, // SM-14, Interner Fehler
        { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] }, // Drehmomentfehler Zu
        { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] }, // Drehmomenfehler Auf
        { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] }, // Phasenausfall
        { 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] }, // Phasenfolge
        { 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] }, // Netzqualität
        { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] }, // Thermofehler
        { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] }} // Zylinderdruck (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] }} // Potifehler (out of range) (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4236
// 
VARIABLE PRM_4236	// Pzd Aktivierung Sammelmeldung 4Nicht Bereit Fern
{
    LABEL		[TXT_PRM_4236];
    HELP		[HLP_PRM_4236];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1457
    {
        DEFAULT_VALUE	0x000041FD;
        { 0x00000001, [TXT_TYP_1458], [HLP_TYP_1458] }  // SM-13, Falscher Befehl
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1459], [HLP_TYP_1459] }} // Wahlschalter nicht Fern (using RULE_505)
        { 0x00000004, [TXT_TYP_1460], [HLP_TYP_1460] }, // Betriebsmode Service
        { 0x00000008, [TXT_TYP_1662], [HLP_TYP_1662] }, // Betriebsmode Gesperrt
        { 0x00000010, [TXT_TYP_1461], [HLP_TYP_1461] }, // Betriebsmode Not Halt
        { 0x00000020, [TXT_TYP_1462], [HLP_TYP_1462] }, // Betriebsmode ESD
        { 0x00000040, [TXT_TYP_1463], [HLP_TYP_1463] }, // IO-Interface aktiv
        { 0x00000080, [TXT_TYP_1464], [HLP_TYP_1464] }, // Handrad aktiv
        { 0x00000100, [TXT_TYP_1465], [HLP_TYP_1465] }  // Failstate Feldbus
        IF (PRM_3633 == 1) {{ 0x00000200, [TXT_TYP_1466], [HLP_TYP_1466] }} // Lokaler Halt (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_1468], [HLP_TYP_1468] }} // Interlock aktiv (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000800, [TXT_TYP_1660], [HLP_TYP_1660] }} // Bypass Interlock (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00001000, [TXT_TYP_1661], [HLP_TYP_1661] }} // PVST aktiv (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_2138], [HLP_TYP_2138] }} // Safe aktiv (SIL) (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00004000, [TXT_TYP_2674], [HLP_TYP_2674] }} // Wahlschalter nicht Fern (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4237
// 
VARIABLE PRM_4237	// Pzd Aktivierung Sammelmeldung 5AUMA OK
{
    LABEL		[TXT_PRM_4237];
    HELP		[HLP_PRM_4237];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1469
    {
        DEFAULT_VALUE	0x0000007F;
        { 0x00000001, [TXT_TYP_1470], [HLP_TYP_1470] }, // SM-2, Auma Warnung
        { 0x00000002, [TXT_TYP_1471], [HLP_TYP_1471] }, // SM-3, Auma Fehler
        { 0x00000004, [TXT_TYP_1472], [HLP_TYP_1472] }, // SM-4, Nicht bereit Fern
        { 0x00000008, [TXT_TYP_1473], [HLP_TYP_1473] }, // SM-7, Namur Out of Spec
        { 0x00000010, [TXT_TYP_1474], [HLP_TYP_1474] }, // SM-8, Namur Fkt Kontrolle
        { 0x00000020, [TXT_TYP_1475], [HLP_TYP_1475] }, // SM-9, Namur Wartungsbedarf
        { 0x00000040, [TXT_TYP_1476], [HLP_TYP_1476] }  // SM-10, Namur Ausfall
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4238
// 
VARIABLE PRM_4238	// Pzd Aktivierung Sammelmeldung 6Konfigurationswarnung
{
    LABEL		[TXT_PRM_4238];
    HELP		[HLP_PRM_4238];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1477
    {
        DEFAULT_VALUE	0x000081E7;
        { 0x00000001, [TXT_TYP_1478], [HLP_TYP_1478] }, // Warnung Sollwertquelle
        { 0x00000002, [TXT_TYP_1479], [HLP_TYP_1479] }, // Totzonenkonfihguration
        { 0x00000004, [TXT_TYP_1480], [HLP_TYP_1480] }  // Profibuskonfiguration
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1481], [HLP_TYP_1481] }} // Drehmokonfig Zu (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000010, [TXT_TYP_1482], [HLP_TYP_1482] }} // Drehmokonfig Auf (using RULE_505)
        { 0x00000020, [TXT_TYP_1483], [HLP_TYP_1483] }, // DigIn1-Konfig
        { 0x00000040, [TXT_TYP_1484], [HLP_TYP_1484] }, // DigIn2-Konfig
        { 0x00000080, [TXT_TYP_1492], [HLP_TYP_1492] }, // DigIn3-Konfig
        { 0x00000100, [TXT_TYP_1491], [HLP_TYP_1491] }  // DigIn4-Konfig
        IF (PRM_3633 == 1) {{ 0x00000200, [TXT_TYP_1490], [HLP_TYP_1490] }} // DigIn5-Konfig (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_1489], [HLP_TYP_1489] }} // DigIn6-Konfig (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000800, [TXT_TYP_1488], [HLP_TYP_1488] }} // DigIn7-Konfig (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00001000, [TXT_TYP_1487], [HLP_TYP_1487] }} // DigIn8-Konfig (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_1486], [HLP_TYP_1486] }} // DigIn9-Konfig (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00004000, [TXT_TYP_1485], [HLP_TYP_1485] }} // DigIn10-Konfig (using RULE_505)
        { 0x00008000, [TXT_TYP_1493], [HLP_TYP_1493] }  // Konfig Auslösequelle NOT
        IF (PRM_3633 == 1) {{ 0x00010000, [TXT_TYP_1494], [HLP_TYP_1494] }} // Konfig Profilfahrt (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00020000, [TXT_TYP_1495], [HLP_TYP_1495] }} // Konfig Lwl (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00040000, [TXT_TYP_1496], [HLP_TYP_1496] }} // Konfig Heizungsüberwachung (using RULE_505)
        { 0x00080000, [TXT_TYP_1497], [HLP_TYP_1497] }  // Konfig Sicherheitsverhalten
        IF (PRM_3633 == 1) {{ 0x00100000, [TXT_TYP_1652], [HLP_TYP_1652] }} // Conf. ProcessCtrl (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00200000, [TXT_TYP_2151], [HLP_TYP_2151] }} // Config SIL (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4239
// 
VARIABLE PRM_4239	// Pzd Aktivierung Sammelmeldung 7Namur Out Of Spec
{
    LABEL		[TXT_PRM_4239];
    HELP		[HLP_PRM_4239];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1421
    {
        DEFAULT_VALUE	0x0008FFF5;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] }  // SM-6, Konfigurationswarnung
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] }} // SM-12, Fehler Hydraulik (using RULE_505)
        { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] }  // SM-15, Interne Warnung
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] }} // SM-17, Warnung Hydraulik (using RULE_505)
        { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] }, // Versorgung 24V Extern
        { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] }, // ED Warnung Laufzeit
        { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] }, // ED Warnung Anläufe
        { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] }, // Sicherheitsverhalten aktiv
        { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] }, // Warnung AnalogIn 1
        { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] }, // Warnung AnalogIn 2
        { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] }, // Warnung Sollposition
        { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] }, // Stellzeitwarnung
        { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] }, // Warnung Temp Steuerung
        { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] }, // Warnung Temp Motor
        { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] }, // Warnung Temp Getriebe
        { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] }  // RTC nicht gesetzt
        IF (PRM_3633 == 1) {{ 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] }} // RTC Batterie (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] }} // PVST Error (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] }} // PVST Abbruch (using RULE_505)
        { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] }} // Lwl Kommunikationsfehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] }} // Lwl Budget (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] }} // Lwl ausgefallen (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] }} // Warnung Drehmoment Auf (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] }} // Warnung Drehmoment Zu (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] }} // SIL-Fehler (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4240
// 
VARIABLE PRM_4240	// Pzd Aktivierung Sammelmeldung 8Namur Funktionskoantrolle
{
    LABEL		[TXT_PRM_4240];
    HELP		[HLP_PRM_4240];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1500
    {
        DEFAULT_VALUE	0x0000005E;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1501], [HLP_TYP_1501] }} // Wahlschalter nicht Fern maskiert (using RULE_505)
        { 0x00000002, [TXT_TYP_1502], [HLP_TYP_1502] }, // Betriebsmode Service
        { 0x00000004, [TXT_TYP_1503], [HLP_TYP_1503] }, // Betriebsmode Not Halt
        { 0x00000008, [TXT_TYP_1504], [HLP_TYP_1504] }  // Handrad aktiv
        IF (PRM_3633 == 1) {{ 0x00000010, [TXT_TYP_1505], [HLP_TYP_1505] }} // Lokaler Halt (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000020, [TXT_TYP_1506], [HLP_TYP_1506] }} // PVST aktiv (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00000040, [TXT_TYP_1616], [HLP_TYP_1616] }} // Wahlschalter nicht Fern (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4241
// 
VARIABLE PRM_4241	// Pzd Aktivierung Sammelmeldung 9Namur Wartungsbedarf
{
    LABEL		[TXT_PRM_4241];
    HELP		[HLP_PRM_4241];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1507
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1508] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4242
// 
VARIABLE PRM_4242	// Pzd Aktivierung Sammelmeldung 10Namur Ausfall
{
    LABEL		[TXT_PRM_4242];
    HELP		[HLP_PRM_4242];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1447
    {
        DEFAULT_VALUE	0x000001FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] }, // SM-11, Konfigurationsfehler
        { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] }, // SM-12, Konfigurationsfehl_Fern
        { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] }, // SM-14, Interner Fehler
        { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] }, // Drehmomentfehler Zu
        { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] }, // Drehmomenfehler Auf
        { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] }, // Phasenausfall
        { 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] }, // Phasenfolge
        { 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] }, // Netzqualität
        { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] }, // Thermofehler
        { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] }} // Zylinderdruck (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] }} // Potifehler (out of range) (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4243
// 
VARIABLE PRM_4243	// Pzd Aktivierung Sammelmeldung 11Konfigurationsfehler
{
    LABEL		[TXT_PRM_4243];
    HELP		[HLP_PRM_4243];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1511
    {
        DEFAULT_VALUE	0x0000000C;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1513], [HLP_TYP_1513] }} // IE-Relaisplatine (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1514], [HLP_TYP_1514] }} // IE-Optionsplatine (using RULE_505)
        { 0x00000004, [TXT_TYP_1515], [HLP_TYP_1515] }, // IE-Stellungsgeber
        { 0x00000008, [TXT_TYP_1516], [HLP_TYP_1516] }  // IE-Parameterkonfig
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4244
// 
VARIABLE PRM_4244	// Pzd Aktivierung Sammelmeldung 12Fehler Hydraulik
{
    LABEL		[TXT_PRM_4244];
    HELP		[HLP_PRM_4244];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1518
    {
        DEFAULT_VALUE	0x00000000;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1519], [HLP_TYP_1519] }} // Füllstand Öl (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1520], [HLP_TYP_1520] }} // Ölleckage (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000004, [TXT_TYP_2110] }} // Laufzeit Motor (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_2111] }} // Druckanstieg (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000010, [TXT_TYP_2112] }} // Phasenausfall (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000020, [TXT_TYP_2113] }} // Phasenfolgefehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000040, [TXT_TYP_2114] }} // Thermofehler (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4245
// 
VARIABLE PRM_4245	// Pzd Aktivierung Sammelmeldung 13Falscher Befehl
{
    LABEL		[TXT_PRM_4245];
    HELP		[HLP_PRM_4245];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1521
    {
        DEFAULT_VALUE	0x0000000D;
        { 0x00000001, [TXT_TYP_1522], [HLP_TYP_1522] }, // Falscher Befehl Fern 1
        { 0x00000002, [TXT_TYP_1524], [HLP_TYP_1524] }, // Falscher Befehl Feldbus
        { 0x00000004, [TXT_TYP_1525], [HLP_TYP_1525] }  // Falscher Befehl Stellungsregler
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4246
// 
VARIABLE PRM_4246	// Pzd Aktivierung Sammelmeldung 14Interne Fehler
{
    LABEL		[TXT_PRM_4246];
    HELP		[HLP_PRM_4246];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1526
    {
        DEFAULT_VALUE	0x2BFF02FD;
        { 0x00000001, [TXT_TYP_1527], [HLP_TYP_1527] }  // Motorschützüberwachung
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1528], [HLP_TYP_1528] }} // Wahlschalter defekt (using RULE_505)
        { 0x00000004, [TXT_TYP_1529], [HLP_TYP_1529] }, // Phasenfolgeüberwachung
        { 0x00000008, [TXT_TYP_1530], [HLP_TYP_1530] }, // Fehler 24V AC
        { 0x00000010, [TXT_TYP_1531], [HLP_TYP_1531] }, // Ansteuerung Leistungsteil
        { 0x00000020, [TXT_TYP_1532], [HLP_TYP_1532] }, // Stellungsgeber
        { 0x00000040, [TXT_TYP_1533], [HLP_TYP_1533] }, // Logik
        { 0x00000080, [TXT_TYP_1534], [HLP_TYP_1534] }  // Bus
        IF (PRM_3633 == 1) {{ 0x00000100, [TXT_TYP_1535], [HLP_TYP_1535] }} // Mwg (using RULE_505)
        { 0x00000200, [TXT_TYP_1536], [HLP_TYP_1536] }  // Lcb
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_1537], [HLP_TYP_1537] }} // Hal1-Kalibrierung (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000800, [TXT_TYP_1541], [HLP_TYP_1541] }} // Hal2-Kalibrierung (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00001000, [TXT_TYP_1540], [HLP_TYP_1540] }} // Hal3-Kalibrierung (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_1539], [HLP_TYP_1539] }} // Hal4-Kalibrierung (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00004000, [TXT_TYP_1538], [HLP_TYP_1538] }} // Hal5-Kalibrierung (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00008000, [TXT_TYP_1542], [HLP_TYP_1542] }} // Mwg Messystem (using RULE_505)
        { 0x00010000, [TXT_TYP_1543], [HLP_TYP_1543] }, // Versionsfehler
        { 0x00020000, [TXT_TYP_1544], [HLP_TYP_1544] }, // Eeprom
        { 0x00040000, [TXT_TYP_1545], [HLP_TYP_1545] }, // Parameter
        { 0x00080000, [TXT_TYP_1546], [HLP_TYP_1546] }, // File-Zugriff
        { 0x00100000, [TXT_TYP_1547], [HLP_TYP_1547] }, // Backup
        { 0x00200000, [TXT_TYP_1548], [HLP_TYP_1548] }, // Anmeldefehler
        { 0x00400000, [TXT_TYP_1549], [HLP_TYP_1549] }, // Startup FB
        { 0x00800000, [TXT_TYP_1550], [HLP_TYP_1550] }, // Startup Baugruppe
        { 0x01000000, [TXT_TYP_1551], [HLP_TYP_1551] }, // Lcb Exception
        { 0x02000000, [TXT_TYP_1552], [HLP_TYP_1552] }  // Logik Exception
        IF (PRM_3633 == 1) {{ 0x04000000, [TXT_TYP_1553], [HLP_TYP_1553] }} // Mwg Exception (using RULE_505)
        { 0x08000000, [TXT_TYP_1554], [HLP_TYP_1554] }  // Bus Exception
        IF (PRM_3633 == 1) {{ 0x10000000, [TXT_TYP_1555], [HLP_TYP_1555] }} // Endlagen (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x20000000, [TXT_TYP_1618], [HLP_TYP_1618] }} // Warnung Signalbruch IstPosition (using RULE_502)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4247
// 
VARIABLE PRM_4247	// Pzd Aktivierung Sammelmeldung 15Interne Warnung
{
    LABEL		[TXT_PRM_4247];
    HELP		[HLP_PRM_4247];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1556
    {
        DEFAULT_VALUE	0x000001BE;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1557], [HLP_TYP_1557] }} // Heizung defekt (using RULE_505)
        { 0x00000002, [TXT_TYP_1558], [HLP_TYP_1558] }, // 24V Kunde Ausfall
        { 0x00000004, [TXT_TYP_1559], [HLP_TYP_1559] }, // 24V intern Ausfall
        { 0x00000008, [TXT_TYP_1560], [HLP_TYP_1560] }, // Backup in Use
        { 0x00000010, [TXT_TYP_1561], [HLP_TYP_1561] }, // Keine Referenz E2
        { 0x00000020, [TXT_TYP_1562], [HLP_TYP_1562] }  // Hub zu klein E2
        IF (PRM_3633 == 1) {{ 0x00000040, [TXT_TYP_1563], [HLP_TYP_1563] }} // Signalbruch E2 (using RULE_505)
        { 0x00000080, [TXT_TYP_1564], [HLP_TYP_1564] }, // Highwatermarks Events
        { 0x00000100, [TXT_TYP_1565], [HLP_TYP_1565] }  // Highwatermarks Timeouts
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4248
// 
VARIABLE PRM_4248	// Pzd Aktivierung Sammelmeldung 16Diagnose Feldbus
{
    LABEL		[TXT_PRM_4248];
    HELP		[HLP_PRM_4248];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1566
    {
        DEFAULT_VALUE	0x0000063F;
        { 0x00000001, [TXT_TYP_1568], [HLP_TYP_1568] }, // Kanal1 GC-Clear
        { 0x00000002, [TXT_TYP_1569], [HLP_TYP_1569] }, // Kanal1 Data Exchange
        { 0x00000004, [TXT_TYP_1570], [HLP_TYP_1570] }, // Kanal 1 Datenlänge 0
        { 0x00000008, [TXT_TYP_1571], [HLP_TYP_1571] }, // Kanal 2 GC-Clear
        { 0x00000010, [TXT_TYP_1572], [HLP_TYP_1572] }, // Kanal2 Data Exchange
        { 0x00000020, [TXT_TYP_1573], [HLP_TYP_1573] }  // Kanal2 Datenlänge 0
        IF (PRM_3633 == 1) {{ 0x00000040, [TXT_TYP_1574], [HLP_TYP_1574] }} // Lwl Kommunikationsfehelr (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000080, [TXT_TYP_1575], [HLP_TYP_1575] }} // Lwl Budget (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000100, [TXT_TYP_1576], [HLP_TYP_1576] }} // Lwl ausgefallen (using RULE_505)
        { 0x00000200, [TXT_TYP_2132] }, // Kanal 1 Bus Activity 
        { 0x00000400, [TXT_TYP_2133] }  // Kanal 2 Bus Activity
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4249
// 
VARIABLE PRM_4249	// Pzd Aktivierung Sammelmeldung 17Warnung Hydraulik
{
    LABEL		[TXT_PRM_4249];
    HELP		[HLP_PRM_4249];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1577
    {
        DEFAULT_VALUE	0x00000000;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1578], [HLP_TYP_1578] }} // Hydraulikdruck (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1579], [HLP_TYP_1579] }} // Anläufe Hydraulipumpe (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000004, [TXT_TYP_1580], [HLP_TYP_1580] }} // Hydraulikspeicherdruckkonfig (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4250
// 
VARIABLE PRM_4250	// Pzd Aktivierung Sammelmeldung 18Störung AC1 kompatibel
{
    LABEL		[TXT_PRM_4250];
    HELP		[HLP_PRM_4250];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1581
    {
        DEFAULT_VALUE	0x00000007;
        { 0x00000001, [TXT_TYP_1582], [HLP_TYP_1582] }, // SM-19, Anwenderkonfigurierbare Warnung
        { 0x00000002, [TXT_TYP_1583], [HLP_TYP_1583] }, // SM-20, Anwenderkonfigurierbarer Fehler
        { 0x00000004, [TXT_TYP_1584], [HLP_TYP_1584] }  // SM-21, Anwenderkonfigurierbares Nicht bereit Fern
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4250
{
    SLOT		42;
    INDEX		50;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4250    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4251
// 
VARIABLE PRM_4251	// Pzd Aktivierung Sammelmeldung 19Kunde Fehler Konfigurierbar
{
    LABEL		[TXT_PRM_4251];
    HELP		[HLP_PRM_4251];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1447
    {
        DEFAULT_VALUE	0x000001FF;
        { 0x00000001, [TXT_TYP_1448], [HLP_TYP_1448] }, // SM-11, Konfigurationsfehler
        { 0x00000002, [TXT_TYP_1654], [HLP_TYP_1654] }, // SM-12, Konfigurationsfehl_Fern
        { 0x00000004, [TXT_TYP_1449], [HLP_TYP_1449] }, // SM-14, Interner Fehler
        { 0x00000008, [TXT_TYP_1450], [HLP_TYP_1450] }, // Drehmomentfehler Zu
        { 0x00000010, [TXT_TYP_1451], [HLP_TYP_1451] }, // Drehmomenfehler Auf
        { 0x00000020, [TXT_TYP_1452], [HLP_TYP_1452] }, // Phasenausfall
        { 0x00000040, [TXT_TYP_1453], [HLP_TYP_1453] }, // Phasenfolge
        { 0x00000080, [TXT_TYP_1454], [HLP_TYP_1454] }, // Netzqualität
        { 0x00000100, [TXT_TYP_1455], [HLP_TYP_1455] }, // Thermofehler
        { 0x00000200, [TXT_TYP_1456], [HLP_TYP_1456] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_2109], [HLP_TYP_2109] }} // Zylinderdruck (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00000800, [TXT_TYP_2675], [HLP_TYP_2675] }} // Potifehler (out of range) (using RULE_502)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4251
{
    SLOT		42;
    INDEX		51;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4251    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4252
// 
VARIABLE PRM_4252	// Pzd Aktivierung Sammelmeldung 20Kunde Warnung Konfigurierbar
{
    LABEL		[TXT_PRM_4252];
    HELP		[HLP_PRM_4252];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1421
    {
        DEFAULT_VALUE	0x0008FFF5;
        { 0x00000001, [TXT_TYP_1422], [HLP_TYP_1422] }  // SM-6, Konfigurationswarnung
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1423], [HLP_TYP_1423] }} // SM-12, Fehler Hydraulik (using RULE_505)
        { 0x00000004, [TXT_TYP_1424], [HLP_TYP_1424] }  // SM-15, Interne Warnung
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1425], [HLP_TYP_1425] }} // SM-17, Warnung Hydraulik (using RULE_505)
        { 0x00000010, [TXT_TYP_1426], [HLP_TYP_1426] }, // Versorgung 24V Extern
        { 0x00000020, [TXT_TYP_1427], [HLP_TYP_1427] }, // ED Warnung Laufzeit
        { 0x00000040, [TXT_TYP_1428], [HLP_TYP_1428] }, // ED Warnung Anläufe
        { 0x00000080, [TXT_TYP_1429], [HLP_TYP_1429] }, // Sicherheitsverhalten aktiv
        { 0x00000100, [TXT_TYP_1430], [HLP_TYP_1430] }, // Warnung AnalogIn 1
        { 0x00000200, [TXT_TYP_1431], [HLP_TYP_1431] }, // Warnung AnalogIn 2
        { 0x00000400, [TXT_TYP_1432], [HLP_TYP_1432] }, // Warnung Sollposition
        { 0x00000800, [TXT_TYP_1433], [HLP_TYP_1433] }, // Stellzeitwarnung
        { 0x00001000, [TXT_TYP_1434], [HLP_TYP_1434] }, // Warnung Temp Steuerung
        { 0x00002000, [TXT_TYP_1435], [HLP_TYP_1435] }, // Warnung Temp Motor
        { 0x00004000, [TXT_TYP_1436], [HLP_TYP_1436] }, // Warnung Temp Getriebe
        { 0x00008000, [TXT_TYP_1437], [HLP_TYP_1437] }  // RTC nicht gesetzt
        IF (PRM_3633 == 1) {{ 0x00010000, [TXT_TYP_1438], [HLP_TYP_1438] }} // RTC Batterie (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00020000, [TXT_TYP_1439], [HLP_TYP_1439] }} // PVST Error (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00040000, [TXT_TYP_1440], [HLP_TYP_1440] }} // PVST Abbruch (using RULE_505)
        { 0x00080000, [TXT_TYP_1441], [HLP_TYP_1441] }  // Keine Reaktion
        IF (PRM_3633 == 1) {{ 0x00100000, [TXT_TYP_1442], [HLP_TYP_1442] }} // Lwl Kommunikationsfehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00200000, [TXT_TYP_1443], [HLP_TYP_1443] }} // Lwl Budget (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00400000, [TXT_TYP_1444], [HLP_TYP_1444] }} // Lwl ausgefallen (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00800000, [TXT_TYP_1445], [HLP_TYP_1445] }} // Warnung Drehmoment Auf (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x01000000, [TXT_TYP_1446], [HLP_TYP_1446] }} // Warnung Drehmoment Zu (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x02000000, [TXT_TYP_2139], [HLP_TYP_2139] }} // SIL-Fehler (using RULE_505)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4252
{
    SLOT		42;
    INDEX		52;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4252    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4253
// 
VARIABLE PRM_4253	// Pzd Aktivierung Sammelmeldung 21Kunde NBF Konfigurierbar
{
    LABEL		[TXT_PRM_4253];
    HELP		[HLP_PRM_4253];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1457
    {
        DEFAULT_VALUE	0x000001FD;
        { 0x00000001, [TXT_TYP_1458], [HLP_TYP_1458] }  // SM-13, Falscher Befehl
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1459], [HLP_TYP_1459] }} // Wahlschalter nicht Fern (using RULE_505)
        { 0x00000004, [TXT_TYP_1460], [HLP_TYP_1460] }, // Betriebsmode Service
        { 0x00000008, [TXT_TYP_1662], [HLP_TYP_1662] }, // Betriebsmode Gesperrt
        { 0x00000010, [TXT_TYP_1461], [HLP_TYP_1461] }, // Betriebsmode Not Halt
        { 0x00000020, [TXT_TYP_1462], [HLP_TYP_1462] }, // Betriebsmode ESD
        { 0x00000040, [TXT_TYP_1463], [HLP_TYP_1463] }, // IO-Interface aktiv
        { 0x00000080, [TXT_TYP_1464], [HLP_TYP_1464] }, // Handrad aktiv
        { 0x00000100, [TXT_TYP_1465], [HLP_TYP_1465] }  // Failstate Feldbus
        IF (PRM_3633 == 1) {{ 0x00000200, [TXT_TYP_1466], [HLP_TYP_1466] }} // Lokaler Halt (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000400, [TXT_TYP_1468], [HLP_TYP_1468] }} // Interlock aktiv (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000800, [TXT_TYP_1660], [HLP_TYP_1660] }} // Bypass Interlock (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00001000, [TXT_TYP_1661], [HLP_TYP_1661] }} // PVST aktiv (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00002000, [TXT_TYP_2138], [HLP_TYP_2138] }} // Safe aktiv (SIL) (using RULE_505)
        IF (PRM_3633 == 2) {{ 0x00004000, [TXT_TYP_2674], [HLP_TYP_2674] }} // Wahlschalter nicht Fern (using RULE_502)
    }
    HANDLING		READ & WRITE;
}
COMMAND write_PRM_4253
{
    SLOT		42;
    INDEX		53;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_4253    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4254
// 
VARIABLE PRM_4254	// Pzd Aktivierung Sammelmeldung 22Konfigurationsfehler Fern
{
    LABEL		[TXT_PRM_4254];
    HELP		[HLP_PRM_4254];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1591
    {
        DEFAULT_VALUE	0x00000000;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1512], [HLP_TYP_1512] }} // IE-Interface (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1517], [HLP_TYP_1517] }} // IE-RemoteInterface (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000004, [TXT_TYP_1592], [HLP_TYP_1592] }} // IE_PrmKonfig2 (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4255
// 
VARIABLE PRM_4255	// Pzd Aktivierung Sammelmeldung 23Kunde Status EPAC konfigurierbar
{
    LABEL		[TXT_PRM_4255];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1611
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1612] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4256
// 
VARIABLE PRM_4256	// Pzd Aktivierung Sammelmeldung 24Status Safety (SIL)
{
    LABEL		[TXT_PRM_4256];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1609
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1610] }, // Safe ESD
        { 0x00000002, [TXT_TYP_2706] }, // Safe Stop
        { 0x00000004, [TXT_TYP_2707] }  // Safety Funktion nicht bereit
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4257
// 
VARIABLE PRM_4257	// Pzd Aktivierung Sammelmeldung 25Reserve 25
{
    LABEL		[TXT_PRM_4257];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1607
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1608] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4258
// 
VARIABLE PRM_4258	// Pzd Aktivierung Sammelmeldung 26Reserve 26
{
    LABEL		[TXT_PRM_4258];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1605
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1606] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4259
// 
VARIABLE PRM_4259	// Pzd Aktivierung Sammelmeldung 27Reserve 27
{
    LABEL		[TXT_PRM_4259];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1603
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1604] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4260
// 
VARIABLE PRM_4260	// Pzd Aktivierung Sammelmeldung 28Reserve 28
{
    LABEL		[TXT_PRM_4260];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1601
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1602] }  // Reserve
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4261
// 
VARIABLE PRM_4261	// Pzd Aktivierung Sammelmeldung 29LWL Warnung (für auma service)
{
    LABEL		[TXT_PRM_4261];
    HELP		[HLP_PRM_4261];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1599
    {
        DEFAULT_VALUE	0x00000000;
        IF (PRM_3633 == 1) {{ 0x00000001, [TXT_TYP_1600], [HLP_TYP_1600] }} // Lwl Signal Kanal 1 (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000002, [TXT_TYP_1613], [HLP_TYP_1613] }} // Lwl Signal Kanal 2 (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000004, [TXT_TYP_1614], [HLP_TYP_1614] }} // Lwl Rs485 Formatfehler (using RULE_505)
        IF (PRM_3633 == 1) {{ 0x00000008, [TXT_TYP_1615], [HLP_TYP_1615] }} // Lwl Baudrate (using RULE_505)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4262
// 
VARIABLE PRM_4262	// Pzd Aktivierung Sammelmeldung 30Service 1
{
    LABEL		[TXT_PRM_4262];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1597
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1598] }, // Fern1 Regelbetrieb (Mode)
        { 0x00000002, [TXT_TYP_1675] }, // Fern1_AUF
        { 0x00000004, [TXT_TYP_1676] }, // Fern1_ZU
        { 0x00000008, [TXT_TYP_1677] }, // Fern1_HALT
        { 0x00000010, [TXT_TYP_1678] }, // Fern1_RESET
        { 0x00000020, [TXT_TYP_1682] }, // Fern1 Auf von Selbsthaltung
        { 0x00000040, [TXT_TYP_1683] }, // Fern1 Zu von Selbsthaltung
        { 0x00000080, [TXT_TYP_1687] }, // Sollwert E1
        { 0x00000100, [TXT_TYP_1681] }, // Fahrbefehl Fern1
        { 0x00000200, [TXT_TYP_1680] }, // Fern1_ESD
        { 0x00000400, [TXT_TYP_1684] }, // ESD_aktiv
        { 0x00000800, [TXT_TYP_1685] }, // Fahrbefehl_ESD
        { 0x00001000, [TXT_TYP_1679] }, // Bus/Extern
        { 0x00002000, [TXT_TYP_1688] }, // FeldbusFahreAuf
        { 0x00004000, [TXT_TYP_1689] }, // FeldbusFahreZu
        { 0x00008000, [TXT_TYP_1690] }, // FeldbusFahreSoll
        { 0x00010000, [TXT_TYP_1691] }, // FeldbusSollwert
        { 0x00020000, [TXT_TYP_1686] }, // Fahrbefehl_Feldbus
        { 0x00040000, [TXT_TYP_1693] }, // FeldbusK1BusActivity
        { 0x00080000, [TXT_TYP_1694] }, // FeldbusK2BusActivity
        { 0x00100000, [TXT_TYP_1695] }, // Feldbus DataEx K1
        { 0x00200000, [TXT_TYP_1696] }, // Feldbus DataEx K2
        { 0x00400000, [TXT_TYP_1692] }, // FeldbusFailsafeAktiv
        { 0x00800000, [TXT_TYP_1700] }, // Wahlschalter maskiert
        { 0x01000000, [TXT_TYP_1697] }, // OrtFahreAuf
        { 0x02000000, [TXT_TYP_1698] }, // OrtFahreZu
        { 0x04000000, [TXT_TYP_1699] }  // Fahrbefehl_Ort
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4263
// 
VARIABLE PRM_4263	// Pzd Aktivierung Sammelmeldung 31Service 2
{
    LABEL		[TXT_PRM_4263];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1595
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1596] }, // Betriebsmodus
        { 0x00000002, [TXT_TYP_1701] }, // Befehlsquelle
        { 0x00000004, [TXT_TYP_1702] }, // Resetquelle
        { 0x00000008, [TXT_TYP_1738] }, // Global RESET
        { 0x00000010, [TXT_TYP_1703] }, // Fahrbefehl nach Befehlsquellen Mux
        { 0x00000020, [TXT_TYP_1704] }, // Fahrbefehl nach Partial stroke FB
        { 0x00000040, [TXT_TYP_1705] }, // Fahrbefehl nach Sequencer FB
        { 0x00000080, [TXT_TYP_1706] }, // Fahrbefehl nach FailSafe FB
        { 0x00000100, [TXT_TYP_1707] }, // Fahrbefehl nach Operation Profile FB
        { 0x00000200, [TXT_TYP_1708] }, // Fahre AUF nach Positioner
        { 0x00000400, [TXT_TYP_1709] }, // Fahre ZU nach Positioner
        { 0x00000800, [TXT_TYP_1710] }, // Fahre AUF nach Bypass
        { 0x00001000, [TXT_TYP_1711] }, // Fahre ZU nach Bypass
        { 0x00002000, [TXT_TYP_1712] }, // Fahre AUF nach Takt FB
        { 0x00004000, [TXT_TYP_1713] }, // Fahre ZU nach Takt FB
        { 0x00008000, [TXT_TYP_1718] }, // Motor Fahre AUF AC-Zweig (nicht Hydraulik)
        { 0x00010000, [TXT_TYP_1719] }, // Motor Fahre ZU AC-Zweig (nicht Hydraulik)
        { 0x00020000, [TXT_TYP_1714] }, // Motor Fahre AUF vor MotorCtrl
        { 0x00040000, [TXT_TYP_1715] }, // Motor Fahre ZU vor MotorCtrl
        { 0x00080000, [TXT_TYP_1716] }, // Motor Fährt AUF 
        { 0x00100000, [TXT_TYP_1717] }  // Motor Fährt ZU
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4264
// 
VARIABLE PRM_4264	// Pzd Aktivierung Sammelmeldung 32Service 3
{
    LABEL		[TXT_PRM_4264];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		BIT_ENUMERATED (4)      // TYP_1593
    {
        DEFAULT_VALUE	0x00000000;
        { 0x00000001, [TXT_TYP_1594] }, // HALT_AUF
        { 0x00000002, [TXT_TYP_1720] }, // HALT_ZU
        { 0x00000004, [TXT_TYP_1721] }, // Endlage AUF
        { 0x00000008, [TXT_TYP_1722] }, // Endlage ZU
        { 0x00000010, [TXT_TYP_1723] }, // Bypassed Drehmomentfehler AUF
        { 0x00000020, [TXT_TYP_1724] }, // Bypassed DrehmomentfeherZU
        { 0x00000040, [TXT_TYP_1725] }, // Bypassed Thermofehler
        { 0x00000080, [TXT_TYP_1726] }, // Phasenausfall
        { 0x00000100, [TXT_TYP_1727] }, // Not Halt betätigt
        { 0x00000200, [TXT_TYP_1728] }, // Betriebsmode AUS
        { 0x00000400, [TXT_TYP_1729] }, // Interner Fehler
        { 0x00000800, [TXT_TYP_1730] }, // Netzqualität
        { 0x00001000, [TXT_TYP_1731] }, // Falsche Phasenfolge
        { 0x00002000, [TXT_TYP_1732] }, // Konfigurationsfehler
        { 0x00004000, [TXT_TYP_1733] }, // Lokaler HALT
        { 0x00008000, [TXT_TYP_1734] }, // Keine Reaktion Fehler
        { 0x00010000, [TXT_TYP_1735] }, // Interlock AUF
        { 0x00020000, [TXT_TYP_1736] }, // Interlock ZU
        { 0x00040000, [TXT_TYP_1737] }  // Konfigurationsfehler Fern maskiert (durch WS Stellung ORT)
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4462
// 
VARIABLE PRM_4462	// P70 BCD-Schalter Abschaltart AUF
{
    LABEL		[TXT_PRM_4462];
    HELP		[HLP_PRM_4462];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ;
}
COMMAND read_PRM_4462
{
    SLOT		44;
    INDEX		62;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_4462    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_4463
// 
VARIABLE PRM_4463	// P70 BCD-Schalter Abschaltart ZU
{
    LABEL		[TXT_PRM_4463];
    HELP		[HLP_PRM_4463];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_59
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_60] }, // wegabhängig
        { 1, [TXT_TYP_61] }  // drehmomentabhängig
    }
    HANDLING		READ;
}
COMMAND read_PRM_4463
{
    SLOT		44;
    INDEX		63;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_4463    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_7
// 
VARIABLE uiPRM_7	// Taktfahrzeit AUF
{
    LABEL		[TXT_PRM_7];
    HELP		[HLP_PRM_7];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:02,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_7, uiPRM_7),
        DEFINITION{ uiPRM_7.VARIABLE_STATUS = PRM_7.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_7, PRM_7, 10, 18000),
        DEFINITION{ PRM_7.VARIABLE_STATUS = uiPRM_7.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_8
// 
VARIABLE uiPRM_8	// Taktpausenzeit AUF
{
    LABEL		[TXT_PRM_8];
    HELP		[HLP_PRM_8];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:04,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_8, uiPRM_8),
        DEFINITION{ uiPRM_8.VARIABLE_STATUS = PRM_8.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_8, PRM_8, 10, 18000),
        DEFINITION{ PRM_8.VARIABLE_STATUS = uiPRM_8.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_591
// 
VARIABLE uiPRM_591	// Taktpausenzeit ZU
{
    LABEL		[TXT_PRM_591];
    HELP		[HLP_PRM_591];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:04,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_591, uiPRM_591),
        DEFINITION{ uiPRM_591.VARIABLE_STATUS = PRM_591.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_591, PRM_591, 10, 18000),
        DEFINITION{ PRM_591.VARIABLE_STATUS = uiPRM_591.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_592
// 
VARIABLE uiPRM_592	// Taktfahrzeit ZU
{
    LABEL		[TXT_PRM_592];
    HELP		[HLP_PRM_592];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:02,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_592, uiPRM_592),
        DEFINITION{ uiPRM_592.VARIABLE_STATUS = PRM_592.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_592, PRM_592, 10, 18000),
        DEFINITION{ PRM_592.VARIABLE_STATUS = uiPRM_592.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_1874
// 
VARIABLE uiPRM_1874	// FailsSafe-Verzögerungszeit
{
    LABEL		[TXT_PRM_1874];
    HELP		[HLP_PRM_1874];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:03,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_1874, uiPRM_1874),
        DEFINITION{ uiPRM_1874.VARIABLE_STATUS = PRM_1874.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_1874, PRM_1874, 0, 18000),
        DEFINITION{ PRM_1874.VARIABLE_STATUS = uiPRM_1874.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2547
// 
VARIABLE uiPRM_2547	// Applikationsparameter Stellzeit (Einheit 0,1 sec)
{
    LABEL		[TXT_PRM_2547];
    HELP		[HLP_PRM_2547];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"15:00,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"60:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2547, uiPRM_2547),
        DEFINITION{ uiPRM_2547.VARIABLE_STATUS = PRM_2547.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2547, PRM_2547, 0, 36000),
        DEFINITION{ PRM_2547.VARIABLE_STATUS = uiPRM_2547.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_2555
// 
VARIABLE uiPRM_2555	// Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)
{
    LABEL		[TXT_PRM_2555];
    HELP		[HLP_PRM_2555];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:01,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ & WRITE;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_2555, uiPRM_2555),
        DEFINITION{ uiPRM_2555.VARIABLE_STATUS = PRM_2555.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_2555, PRM_2555, 10, 18000),
        DEFINITION{ PRM_2555.VARIABLE_STATUS = uiPRM_2555.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  uiPRM_4015
// 
VARIABLE uiPRM_4015	// Parameter: DelayTime (Default: 1,0 sec)
{
    LABEL		[TXT_PRM_4015];
    HELP		[HLP_PRM_4015];
    CLASS		LOCAL;
    TYPE		ASCII(10)
    {
        DEFAULT_VALUE	"00:01,0";
// PDM shows values in object properties/context menu
#ifdef _PDM_
        MIN_VALUE	"00:00,0";
        MAX_VALUE	"30:00,0";
#endif /* _PDM_ */
    }
    CONSTANT_UNIT		"min:s";
    HANDLING		READ;
    PRE_EDIT_ACTIONS
    {
        convert_U16_to_MMSS01 (PRM_4015, uiPRM_4015),
        DEFINITION{ uiPRM_4015.VARIABLE_STATUS = PRM_4015.VARIABLE_STATUS; }
    }
    POST_EDIT_ACTIONS
    {
        convert_MMSS01_to_U16 (uiPRM_4015, PRM_4015, 0, 18000),
        DEFINITION{ PRM_4015.VARIABLE_STATUS = uiPRM_4015.VARIABLE_STATUS; }
    }
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3484
// 
VARIABLE PRM_3484	// Betriebsdaten zurücksetzen
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3484
{
    SLOT		34;
    INDEX		84;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3484    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3484
{
    SLOT		34;
    INDEX		84;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3484    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3486
// 
VARIABLE PRM_3486	// Werkseinstellungen erzeugen
{
    LABEL		[TXT_PRM_3486];
    HELP		[HLP_PRM_3486];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ;
}
COMMAND read_PRM_3486
{
    SLOT		34;
    INDEX		86;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3486    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PRM_3487
// 
VARIABLE PRM_3487	// Werkseinstellungen restaurieren
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    CLASS		CONTAINED & DYNAMIC;
    TYPE		INTEGER (2)
    {
        MIN_VALUE	-32768;
        MAX_VALUE	32767;
        DEFAULT_VALUE	-1;
    }
    HANDLING		READ & WRITE;
}
COMMAND read_PRM_3487
{
    SLOT		34;
    INDEX		87;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3487    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
COMMAND write_PRM_3487
{
    SLOT		34;
    INDEX		87;
    OPERATION	WRITE;
    TRANSACTION
    {
        REPLY
        {
        }
        REQUEST
        {
            PRM_3487    // 2 Octets
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_2
// 
VARIABLE PZD_2	// Stellungsistwert Stellantrieb E2
{
    LABEL		[TXT_PZD_2];
    HELP		[HLP_PZD_2];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_4
// 
VARIABLE PZD_4	// Temperatur Steuerung
{
    LABEL		[TXT_PZD_4];
    HELP		[HLP_PZD_4];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"°C";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_7
// 
VARIABLE PZD_7	// Stellungs-Sollwert E1
{
    LABEL		[TXT_PZD_7];
    HELP		[HLP_PZD_7];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_77
// 
VARIABLE PZD_77	// Sammel-Meldung1: Ereignisprotokoll PVST
{
    LABEL		[TXT_PZD_77];
    HELP		[HLP_PZD_77];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_77
{
    SLOT		0;
    INDEX		205;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_77    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_78
// 
VARIABLE PZD_78	// Sammel-Meldung2: Warnung
{
    LABEL		[TXT_PZD_78];
    HELP		[HLP_PZD_78];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_78
{
    SLOT		0;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_78    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_79
// 
VARIABLE PZD_79	// Sammel-Meldung3: Fehler
{
    LABEL		[TXT_PZD_79];
    HELP		[HLP_PZD_79];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_79
{
    SLOT		0;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_79    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_80
// 
VARIABLE PZD_80	// Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_PZD_80];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_80
{
    SLOT		0;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_80    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_81
// 
VARIABLE PZD_81	// Sammel-Meldung5: auma OK
{
    LABEL		[TXT_PZD_81];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_81
{
    SLOT		0;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_81    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_82
// 
VARIABLE PZD_82	// Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    HELP		[HLP_PZD_82];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_82
{
    SLOT		0;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_82    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_83
// 
VARIABLE PZD_83	// Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_PZD_83];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_83
{
    SLOT		0;
    INDEX		211;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_83    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_84
// 
VARIABLE PZD_84	// Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_PZD_84];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_84
{
    SLOT		0;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_84    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_85
// 
VARIABLE PZD_85	// Sammel-Meldung9: Namur Wartungsbedarf
{
    LABEL		[TXT_PZD_85];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_85
{
    SLOT		0;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_85    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_86
// 
VARIABLE PZD_86	// Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_PZD_86];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_86
{
    SLOT		0;
    INDEX		214;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_86    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_87
// 
VARIABLE PZD_87	// Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    HELP		[HLP_PZD_87];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_87
{
    SLOT		0;
    INDEX		215;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_87    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_89
// 
VARIABLE PZD_89	// Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    HELP		[HLP_PZD_89];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_89
{
    SLOT		0;
    INDEX		217;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_89    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_90
// 
VARIABLE PZD_90	// Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    HELP		[HLP_PZD_90];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_90
{
    SLOT		0;
    INDEX		218;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_90    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_91
// 
VARIABLE PZD_91	// Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    HELP		[HLP_PZD_91];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_91
{
    SLOT		0;
    INDEX		219;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_91    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_92
// 
VARIABLE PZD_92	// Sammel-Meldung 16: Diagnose Feldbus
{
    LABEL		[TXT_PZD_92];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_92
{
    SLOT		0;
    INDEX		220;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_92    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_93
// 
VARIABLE PZD_93	// Sammel-Meldung 17: Warnung Hydraulik
{
    LABEL		[TXT_PZD_93];
    HELP		[HLP_PZD_93];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_93
{
    SLOT		0;
    INDEX		221;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_93    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_101
// 
VARIABLE PZD_101	// Sammel-Meldung: Reserve 32 
{
    LABEL		[TXT_PZD_101];
    HELP		[HLP_PZD_101];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_101
{
    SLOT		1;
    INDEX		129;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_101    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_104
// 
VARIABLE PZD_104	// Sammel-Meldung: Reserve 29
{
    LABEL		[TXT_PZD_104];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_104
{
    SLOT		1;
    INDEX		132;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_104    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_112
// 
VARIABLE PZD_112	// Wahlschalter
{
    LABEL		[TXT_PZD_112];
    HELP		[HLP_PZD_112];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_331
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_2734] }, // Falsche oder nicht initialisierte Wahlschalterstellung
        { 1, [TXT_TYP_332], [HLP_TYP_332] }, // Position ORT
        { 2, [TXT_TYP_333], [HLP_TYP_333] }, // Position AUS
        { 3, [TXT_TYP_334], [HLP_TYP_334] }  // Position FERN
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_120
// 
VARIABLE PZD_120	// Logik: Betriebsmodus
{
    LABEL		[TXT_PZD_120];
    HELP		[HLP_PZD_120];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_646
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_647], [HLP_TYP_647] }, // Power Off
        { 1, [TXT_TYP_659], [HLP_TYP_659] }, // Not Halt
        { 2, [TXT_TYP_648], [HLP_TYP_648] }, // Aus
        { 3, [TXT_TYP_661], [HLP_TYP_661] }, // Service
        { 4, [TXT_TYP_662], [HLP_TYP_662] }, // Ort
        { 5, [TXT_TYP_663], [HLP_TYP_663] }, // Interlock
        { 6, [TXT_TYP_664], [HLP_TYP_664] }, // Notfahrt
        { 7, [TXT_TYP_665], [HLP_TYP_665] }, // Fern1
        { 8, [TXT_TYP_666], [HLP_TYP_666] }, // Fern2
        { 9, [TXT_TYP_667], [HLP_TYP_667] }, // Feldbus
        { 10, [TXT_TYP_660], [HLP_TYP_660] }, // Gesperrt
        { 11, [TXT_TYP_2699], [HLP_TYP_2699] }  // SafeESD
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_speed
// 
VARIABLE PZD_144_speed	// Logik: Fahrbefehl (speed)
{
    LABEL		[TXT_TXT_157];
    HELP		[HLP_TXT_157];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_cmd
// 
VARIABLE PZD_144_cmd	// Logik: Fahrbefehl (cmd)
{
    LABEL		[TXT_TXT_149];
    HELP		[HLP_TXT_149];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // LTYP_10
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_119], [HLP_TXT_119] }, // DrvCmd4_cmd_0
        { 1, [TXT_TXT_120], [HLP_TXT_120] }, // DrvCmd4_cmd_1
        { 2, [TXT_TXT_118], [HLP_TXT_118] }, // DrvCmd4_cmd_2
        { 4, [TXT_TXT_117], [HLP_TXT_117] }  // DrvCmd4_cmd_4
    }
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_dir
// 
VARIABLE PZD_144_dir	// Logik: Fahrbefehl (direction)
{
    LABEL		[TXT_TXT_150];
    HELP		[HLP_TXT_150];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // LTYP_20
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TXT_151], [HLP_TXT_151] }, // DrvCmd4_dir_0
        { 1, [TXT_TXT_152], [HLP_TXT_152] }, // DrvCmd4_dir_1
        { 2, [TXT_TXT_153], [HLP_TXT_153] }  // DrvCmd4_dir_2
    }
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_144_position
// 
VARIABLE PZD_144_position	// Logik: Fahrbefehl (position)
{
    LABEL		[TXT_TXT_155];
    HELP		[HLP_TXT_155];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_264
// 
VARIABLE PZD_264	// Logik: Fährt Richtung AUF (logisch)
{
    LABEL		[TXT_PZD_264];
    HELP		[HLP_PZD_264];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_265
// 
VARIABLE PZD_265	// Logik: Fährt Richtung ZU (logisch)
{
    LABEL		[TXT_PZD_265];
    HELP		[HLP_PZD_265];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_268
// 
VARIABLE PZD_268	// Logik: Bypassed Drehmomentfehler AUF
{
    LABEL		[TXT_PZD_268];
    HELP		[HLP_PZD_268];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_269
// 
VARIABLE PZD_269	// Logik: Bypassed Drehmomentfehler ZU
{
    LABEL		[TXT_PZD_269];
    HELP		[HLP_PZD_269];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_270
// 
VARIABLE PZD_270	// Logik: Bypassed Thermofehler
{
    LABEL		[TXT_PZD_270];
    HELP		[HLP_PZD_270];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_270
{
    SLOT		2;
    INDEX		198;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_270    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_275
// 
VARIABLE PZD_275	// Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 
{
    LABEL		[TXT_PZD_275];
    HELP		[HLP_PZD_275];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_275
{
    SLOT		2;
    INDEX		203;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_275    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_280
// 
VARIABLE PZD_280	// Logik: Betriebsmodus EMCY_OP
{
    LABEL		[TXT_PZD_280];
    HELP		[HLP_PZD_280];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_280
{
    SLOT		2;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_280    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_281
// 
VARIABLE PZD_281	// Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen
{
    LABEL		[TXT_PZD_281];
    HELP		[HLP_PZD_281];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_281
{
    SLOT		2;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_281    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_282
// 
VARIABLE PZD_282	// Logik: Betriebsmodus SERVICE
{
    LABEL		[TXT_PZD_282];
    HELP		[HLP_PZD_282];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_282
{
    SLOT		2;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_282    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_285
// 
VARIABLE PZD_285	// Logik: Betriebsmodus EMCY_STOP
{
    LABEL		[TXT_PZD_285];
    HELP		[HLP_PZD_285];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_285
{
    SLOT		2;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_285    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_302
// 
VARIABLE PZD_302	// Logik: Phasenausfall
{
    LABEL		[TXT_PZD_302];
    HELP		[HLP_PZD_302];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_302
{
    SLOT		3;
    INDEX		130;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_302    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_345
// 
VARIABLE PZD_345	// Poti-Rohwert in [mV]
{
    LABEL		[TXT_PZD_345];
    HELP		[HLP_PZD_345];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    CONSTANT_UNIT		"mV";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_371
// 
VARIABLE PZD_371	// Logik: ungültiger Fahrbefehl
{
    LABEL		[TXT_PZD_371];
    HELP		[HLP_PZD_371];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_371
{
    SLOT		3;
    INDEX		199;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_371    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_375
// 
VARIABLE PZD_375	// Logik: Wegendlage Shalter AUF (konditioniert)
{
    LABEL		[TXT_PZD_375];
    HELP		[HLP_PZD_375];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_376
// 
VARIABLE PZD_376	// Logik: Wegendlage Schalter ZU (konditioniert)
{
    LABEL		[TXT_PZD_376];
    HELP		[HLP_PZD_376];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_401
// 
VARIABLE PZD_401	// Logik: Position erreicht
{
    LABEL		[TXT_PZD_401];
    HELP		[HLP_PZD_401];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_459
// 
VARIABLE PZD_459	// Logik: Signal Torque OPEN 
{
    LABEL		[TXT_PZD_459];
    HELP		[HLP_PZD_459];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_460
// 
VARIABLE PZD_460	// Logik: Signal Torque CLOSE
{
    LABEL		[TXT_PZD_460];
    HELP		[HLP_PZD_460];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_461
// 
VARIABLE PZD_461	// FailSafe ist aktiv
{
    LABEL		[TXT_PZD_461];
    HELP		[HLP_PZD_461];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_461
{
    SLOT		4;
    INDEX		189;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_461    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_479
// 
VARIABLE PZD_479	// Logik: Netzqualität
{
    LABEL		[TXT_PZD_479];
    HELP		[HLP_PZD_479];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_479
{
    SLOT		4;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_479    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_480
// 
VARIABLE PZD_480	// Logik: HW-Fehler
{
    LABEL		[TXT_PZD_480];
    HELP		[HLP_PZD_480];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_480
{
    SLOT		4;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_480    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_481
// 
VARIABLE PZD_481	// Logik: PH_DIR_NOK (falsche Phasenfolge)
{
    LABEL		[TXT_PZD_481];
    HELP		[HLP_PZD_481];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_481
{
    SLOT		4;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_481    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_482
// 
VARIABLE PZD_482	// Logik: 24VAC Error
{
    LABEL		[TXT_PZD_482];
    HELP		[HLP_PZD_482];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_482
{
    SLOT		4;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_482    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_483
// 
VARIABLE PZD_483	// Logik: 24VKD Error
{
    LABEL		[TXT_PZD_483];
    HELP		[HLP_PZD_483];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_483
{
    SLOT		4;
    INDEX		211;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_483    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_484
// 
VARIABLE PZD_484	// Logik: 24VInt Error
{
    LABEL		[TXT_PZD_484];
    HELP		[HLP_PZD_484];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_484
{
    SLOT		4;
    INDEX		212;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_484    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_485
// 
VARIABLE PZD_485	// Logik: 24VExt Error
{
    LABEL		[TXT_PZD_485];
    HELP		[HLP_PZD_485];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_485
{
    SLOT		4;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_485    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_486
// 
VARIABLE PZD_486	// Lcb: ED Warnung 1: (Laufzeit)
{
    LABEL		[TXT_PZD_486];
    HELP		[HLP_PZD_486];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_486
{
    SLOT		4;
    INDEX		214;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_486    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_487
// 
VARIABLE PZD_487	// Lcb: ED Warnung 2 (Anläufe)
{
    LABEL		[TXT_PZD_487];
    HELP		[HLP_PZD_487];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_487
{
    SLOT		4;
    INDEX		215;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_487    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_488
// 
VARIABLE PZD_488	// Lcb: ED Aktuelle Einschaltzeit
{
    LABEL		[TXT_PZD_488];
    HELP		[HLP_PZD_488];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_489
// 
VARIABLE PZD_489	// Lcb: ED Aktuelle Schaltspiele
{
    LABEL		[TXT_PZD_489];
    HELP		[HLP_PZD_489];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_490
// 
VARIABLE PZD_490	// LCB: RTC nicht gesetzt
{
    LABEL		[TXT_PZD_490];
    HELP		[HLP_PZD_490];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_490
{
    SLOT		4;
    INDEX		218;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_490    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_545
// 
VARIABLE PZD_545	// Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)
{
    LABEL		[TXT_PZD_545];
    HELP		[HLP_PZD_545];
    CLASS		INPUT & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        MIN_VALUE	0;
        MAX_VALUE	1000;
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_553
// 
VARIABLE PZD_553	// Logik: Handschalter betätigt
{
    LABEL		[TXT_PZD_553];
    HELP		[HLP_PZD_553];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_553
{
    SLOT		5;
    INDEX		181;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_553    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_555
// 
VARIABLE PZD_555	// Falscher Befehl Interface I
{
    LABEL		[TXT_PZD_555];
    HELP		[HLP_PZD_555];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_555
{
    SLOT		5;
    INDEX		183;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_555    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_556
// 
VARIABLE PZD_556	// Stellzeitwarnung
{
    LABEL		[TXT_PZD_556];
    HELP		[HLP_PZD_556];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_556
{
    SLOT		5;
    INDEX		184;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_556    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_557
// 
VARIABLE PZD_557	// Motorschutzüberwachung defekt
{
    LABEL		[TXT_PZD_557];
    HELP		[HLP_PZD_557];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_557
{
    SLOT		5;
    INDEX		185;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_557    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_563
// 
VARIABLE PZD_563	// Keine Reaktion: Warnung
{
    LABEL		[TXT_PZD_563];
    HELP		[HLP_PZD_563];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_563
{
    SLOT		5;
    INDEX		191;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_563    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_576
// 
VARIABLE PZD_576	// Watchdog-Status (Kanal 1)
{
    LABEL		[TXT_PZD_576];
    HELP		[HLP_PZD_576];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_781
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_788] }, // WD-State Baud Search
        { 1, [TXT_TYP_789] }, // WD-State Baud Control
        { 2, [TXT_TYP_790] }  // WD-State DP Control
    }
    HANDLING		READ;
}
COMMAND read_PZD_576
{
    SLOT		5;
    INDEX		204;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_576    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_577
// 
VARIABLE PZD_577	// DP-Status (Kanal 1)
{
    LABEL		[TXT_PZD_577];
    HELP		[HLP_PZD_577];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_782
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_791] }, // DP-State  (Wait Prm)
        { 1, [TXT_TYP_792] }, // DP-State (Wait Cfg)
        { 2, [TXT_TYP_793] }  // DP-State (DataEx)
    }
    HANDLING		READ;
}
COMMAND read_PZD_577
{
    SLOT		5;
    INDEX		205;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_577    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_578
// 
VARIABLE PZD_578	// Baudrate (Kanal 1)
{
    LABEL		[TXT_PZD_578];
    HELP		[HLP_PZD_578];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_783
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_794] }, // Baudrate 12 MBit/s
        { 1, [TXT_TYP_795] }, // Baudrate 6 MBit/s
        { 2, [TXT_TYP_796] }, // Baudrate 3 MBit/s
        { 3, [TXT_TYP_797] }, // Baudrate 1,5 MBit/s
        { 4, [TXT_TYP_798] }, // Baudrate 500 KBit/s
        { 5, [TXT_TYP_799] }, // Baudrate 187,5 KBit/s
        { 6, [TXT_TYP_800] }, // Baudrate 93,75 KBit/s
        { 7, [TXT_TYP_801] }, // Baudrate 45,45 KBit/s
        { 8, [TXT_TYP_802] }, // Baudrate 19,20 KBit/s
        { 9, [TXT_TYP_803] }, // Baudrate 9,6 KBit/s
        { 15, [TXT_TYP_804] }  // Baudrate Nicht vorhanden
    }
    HANDLING		READ;
}
COMMAND read_PZD_578
{
    SLOT		5;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_578    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_579
// 
VARIABLE PZD_579	// 0 Byte Tele Clear (Kanal 1)
{
    LABEL		[TXT_PZD_579];
    HELP		[HLP_PZD_579];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_784
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_805] }, // 0 Byte Tele Operate
        { 1, [TXT_TYP_806] }  // 0 Byte Tele Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_579
{
    SLOT		5;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_579    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_580
// 
VARIABLE PZD_580	// Global Control Clear (Kanal 1)
{
    LABEL		[TXT_PZD_580];
    HELP		[HLP_PZD_580];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_785
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_807] }, // GC Operate
        { 1, [TXT_TYP_808] }  // GC Clear
    }
    HANDLING		READ;
}
COMMAND read_PZD_580
{
    SLOT		5;
    INDEX		208;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_580    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_581
// 
VARIABLE PZD_581	// Global Control Freeze (Kanal 1)
{
    LABEL		[TXT_PZD_581];
    HELP		[HLP_PZD_581];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_786
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_809] }, // GC Unfreeze
        { 1, [TXT_TYP_810] }  // GC Freeze
    }
    HANDLING		READ;
}
COMMAND read_PZD_581
{
    SLOT		5;
    INDEX		209;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_581    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_582
// 
VARIABLE PZD_582	// Global Control Sync (Kanal 1)
{
    LABEL		[TXT_PZD_582];
    HELP		[HLP_PZD_582];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_787
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_811] }, // GC Unsync
        { 1, [TXT_TYP_812] }  // GC Sync
    }
    HANDLING		READ;
}
COMMAND read_PZD_582
{
    SLOT		5;
    INDEX		210;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_582    // 2 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_604
// 
VARIABLE PZD_604	// Fahrbefehlskanal 1 aktiv
{
    LABEL		[TXT_PZD_604];
    HELP		[HLP_PZD_604];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_606
// 
VARIABLE PZD_606	// Feldbus Fail Safe aktiv
{
    LABEL		[TXT_PZD_606];
    HELP		[HLP_PZD_606];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_606
{
    SLOT		6;
    INDEX		134;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_606    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_607
// 
VARIABLE PZD_607	// Wahlschalter nicht Fern
{
    LABEL		[TXT_PZD_607];
    HELP		[HLP_PZD_607];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_607
{
    SLOT		6;
    INDEX		135;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_607    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_621
// 
VARIABLE PZD_621	// Warnung keine Referenzfahrrt E2
{
    LABEL		[TXT_PZD_621];
    HELP		[HLP_PZD_621];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_621
{
    SLOT		6;
    INDEX		149;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_621    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_622
// 
VARIABLE PZD_622	// Warnung geringer Signalhub E2
{
    LABEL		[TXT_PZD_622];
    HELP		[HLP_PZD_622];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_622
{
    SLOT		6;
    INDEX		150;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_622    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_623
// 
VARIABLE PZD_623	// Warnung Signalbruch E2
{
    LABEL		[TXT_PZD_623];
    HELP		[HLP_PZD_623];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_623
{
    SLOT		6;
    INDEX		151;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_623    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_629
// 
VARIABLE PZD_629	// Warnung Temperatur Steuerung
{
    LABEL		[TXT_PZD_629];
    HELP		[HLP_PZD_629];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_629
{
    SLOT		6;
    INDEX		157;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_629    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_630
// 
VARIABLE PZD_630	// Warnung Temperatur Motor
{
    LABEL		[TXT_PZD_630];
    HELP		[HLP_PZD_630];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_630
{
    SLOT		6;
    INDEX		158;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_630    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_631
// 
VARIABLE PZD_631	// Warnung Temperatur Getriebe
{
    LABEL		[TXT_PZD_631];
    HELP		[HLP_PZD_631];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_631
{
    SLOT		6;
    INDEX		159;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_631    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_633
// 
VARIABLE PZD_633	// Warnung AnalogIn 1 E8
{
    LABEL		[TXT_PZD_633];
    HELP		[HLP_PZD_633];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_633
{
    SLOT		6;
    INDEX		161;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_633    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_634
// 
VARIABLE PZD_634	// Warnung AnalogIn 2 E9
{
    LABEL		[TXT_PZD_634];
    HELP		[HLP_PZD_634];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_634
{
    SLOT		6;
    INDEX		162;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_634    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_637
// 
VARIABLE PZD_637	// Warnung Sollposition E1
{
    LABEL		[TXT_PZD_637];
    HELP		[HLP_PZD_637];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_637
{
    SLOT		6;
    INDEX		165;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_637    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_657
// 
VARIABLE PZD_657	// DP-Status Data Ex (Kanal 1)
{
    LABEL		[TXT_PZD_657];
    HELP		[HLP_PZD_657];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_657
{
    SLOT		6;
    INDEX		185;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_657    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_659
// 
VARIABLE PZD_659	// Aktuelle Totzone (Stellungsreglerausgang), (Maximum von Totzone AUF und  ZU)
{
    LABEL		[TXT_PZD_659];
    HELP		[HLP_PZD_659];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_663
// 
VARIABLE PZD_663	// Potifehler (out of range)
{
    LABEL		[TXT_PZD_663];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_663
{
    SLOT		6;
    INDEX		191;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_663    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_664
// 
VARIABLE PZD_664	// Meldung: Ausgang defekt
{
    LABEL		[TXT_PZD_664];
    HELP		[HLP_PZD_664];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_664
{
    SLOT		6;
    INDEX		192;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_664    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_666
// 
VARIABLE PZD_666	// Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert
{
    LABEL		[TXT_PZD_666];
    HELP		[HLP_PZD_666];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_666
{
    SLOT		6;
    INDEX		194;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_666    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_671
// 
VARIABLE PZD_671	// System: Interner Fehler Konfiguration Stellungsgeber
{
    LABEL		[TXT_PZD_671];
    HELP		[HLP_PZD_671];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_671
{
    SLOT		6;
    INDEX		199;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_671    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_675
// 
VARIABLE PZD_675	// System: Interner Fehler Lcb-Exception
{
    LABEL		[TXT_PZD_675];
    HELP		[HLP_PZD_675];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_675
{
    SLOT		6;
    INDEX		203;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_675    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_676
// 
VARIABLE PZD_676	// System: Interner Fehler Logik-Exception
{
    LABEL		[TXT_PZD_676];
    HELP		[HLP_PZD_676];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_676
{
    SLOT		6;
    INDEX		204;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_676    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_678
// 
VARIABLE PZD_678	// System: Interner Fehler Bus-Exception
{
    LABEL		[TXT_PZD_678];
    HELP		[HLP_PZD_678];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_678
{
    SLOT		6;
    INDEX		206;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_678    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_679
// 
VARIABLE PZD_679	// Fehler Stellungsgeber
{
    LABEL		[TXT_PZD_679];
    HELP		[HLP_PZD_679];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_679
{
    SLOT		6;
    INDEX		207;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_679    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_685
// 
VARIABLE PZD_685	// lokaler HALT
{
    LABEL		[TXT_PZD_685];
    HELP		[HLP_PZD_685];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_685
{
    SLOT		6;
    INDEX		213;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_685    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_688
// 
VARIABLE PZD_688	// Falscher Befehl Feldbus
{
    LABEL		[TXT_PZD_688];
    HELP		[HLP_PZD_688];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_688
{
    SLOT		6;
    INDEX		216;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_688    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_718
// 
VARIABLE PZD_718	// Keine Reaktion: Fehler
{
    LABEL		[TXT_PZD_718];
    HELP		[HLP_PZD_718];
    CLASS		INPUT & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_718
{
    SLOT		7;
    INDEX		146;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_718    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_737
// 
VARIABLE PZD_737	// DPV1_Control
{
    LABEL		[TXT_PZD_737];
    HELP		[HLP_PZD_737];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_738
// 
VARIABLE PZD_738	// DPV1 C2-Verbindung aktiv
{
    LABEL		[TXT_PZD_738];
    HELP		[HLP_PZD_738];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_744
// 
VARIABLE PZD_744	// DP-V1 GSD aktiv
{
    LABEL		[TXT_PZD_744];
    HELP		[HLP_PZD_744];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (2)      // TYP_1161
    {
        DEFAULT_VALUE	0;
        { 0, [TXT_TYP_1162], [HLP_TYP_1162] }, // deaktiviert
        { 1, [TXT_TYP_1163], [HLP_TYP_1163] }  // aktiviert
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_758
// 
VARIABLE PZD_758	// PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration
{
    LABEL		[TXT_PZD_758];
    HELP		[HLP_PZD_758];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_758
{
    SLOT		7;
    INDEX		186;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_758    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_759
// 
VARIABLE PZD_759	// PRM-Konsistenz: Feldbuskonfiguration
{
    LABEL		[TXT_PZD_759];
    HELP		[HLP_PZD_759];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_759
{
    SLOT		7;
    INDEX		187;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_759    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_762
// 
VARIABLE PZD_762	// PRM-Konsistenz: DigIn1-Konfiguration
{
    LABEL		[TXT_PZD_762];
    HELP		[HLP_PZD_762];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_762
{
    SLOT		7;
    INDEX		190;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_762    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_763
// 
VARIABLE PZD_763	// PRM-Konsistenz: DigIn2-Konfiguration
{
    LABEL		[TXT_PZD_763];
    HELP		[HLP_PZD_763];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_763
{
    SLOT		7;
    INDEX		191;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_763    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_764
// 
VARIABLE PZD_764	// PRM-Konsistenz: DigIn3-Konfiguration
{
    LABEL		[TXT_PZD_764];
    HELP		[HLP_PZD_764];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_764
{
    SLOT		7;
    INDEX		192;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_764    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_765
// 
VARIABLE PZD_765	// PRM-Konsistenz: DigIn4-Konfiguration
{
    LABEL		[TXT_PZD_765];
    HELP		[HLP_PZD_765];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_765
{
    SLOT		7;
    INDEX		193;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_765    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_808
// 
VARIABLE PZD_808	// PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion
{
    LABEL		[TXT_PZD_808];
    HELP		[HLP_PZD_808];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (4) /* EWC */
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
COMMAND read_PZD_808
{
    SLOT		8;
    INDEX		136;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_808    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_809
// 
VARIABLE PZD_809	// System: Konfigurationsfehler \"FERN-Interface fehlt\"
{
    LABEL		[TXT_PZD_809];
    HELP		[HLP_PZD_809];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		ENUMERATED (4)
    {
        DEFAULT_VALUE	0;
        { 0, "false"},
        { 1, "true"}
    }
    HANDLING		READ;
}
COMMAND read_PZD_809
{
    SLOT		8;
    INDEX		137;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_809    // 4 Octets
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_928
// 
VARIABLE PZD_928	// Aktueller Poti-Hub (Diagnoseausgang )
{
    LABEL		[TXT_PZD_928];
    HELP		[HLP_PZD_928];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_958
// 
VARIABLE PZD_958	// Slave Address Profibus Kanal 1
{
    LABEL		[TXT_PZD_958];
    HELP		[HLP_PZD_958];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
    }
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_1030
// 
VARIABLE PZD_1030	// Äussere Totzone AUF (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_1030];
    HELP		[HLP_PZD_1030];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_1031
// 
VARIABLE PZD_1031	// Äussere Totzone ZU (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_1031];
    HELP		[HLP_PZD_1031];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_1032
// 
VARIABLE PZD_1032	// Innere Totzone AUF (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_1032];
    HELP		[HLP_PZD_1032];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining VARIABLE  PZD_1033
// 
VARIABLE PZD_1033	// Innere Totzone ZU (Stellungsreglerausgang)
{
    LABEL		[TXT_PZD_1033];
    HELP		[HLP_PZD_1033];
    CLASS		DIAGNOSTIC & DYNAMIC;
    TYPE		UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE	0;
        SCALING_FACTOR	0.1;
        EDIT_FORMAT	".1f";
        DISPLAY_FORMAT	".1f";
    }
    CONSTANT_UNIT		"%";
    HANDLING		READ;
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD ViewObject command definitions
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 1 DIS_26 "Gerätekennung"
//   (Data length: 60 Octets)
// 
COMMAND read_view_DIS_26
{
    SLOT		254;
    INDEX		1;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1164,    // 1-1: Gerätebezeichnung (20 Octets)
            PRM_1165,    // 1-2: Geräte-TAG (20 Octets)
            PRM_1166     // 1-3: Projektname (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 2 DIS_28 "Steuerung"
//   (Data length: 80 Octets)
// 
COMMAND read_view_DIS_28
{
    SLOT		254;
    INDEX		2;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1760,    // 2-1: KommNr Steuerung (20 Octets)
            PRM_1762,    // 2-2: Werksnummer Steuerung (20 Octets)
            PRM_1764,    // 2-3: Schaltplannummer Steuerung (20 Octets)
            PRM_2176     // 2-4: Datum der Endabnahme (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 3 DIS_29 "Antrieb"
//   (Data length: 60 Octets)
// 
COMMAND read_view_DIS_29
{
    SLOT		254;
    INDEX		3;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1761,    // 3-1: KommNr Antrieb (20 Octets)
            PRM_1763,    // 3-2: Werksnummer Antrieb (20 Octets)
            PRM_1765     // 3-3: Schaltplannummer Antrieb (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 4 DIS_62 "Produktion"
//   (Data length: 20 Octets)
// 
COMMAND read_view_DIS_62
{
    SLOT		254;
    INDEX		4;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1759     // 4-1: Firmware Version AC01.2 (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 5 DIS_515 "Details Firmware"
//   (Data length: 40 Octets)
// 
COMMAND read_view_DIS_515
{
    SLOT		254;
    INDEX		5;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2219,    // 5-1: App-Logik (20 Octets)
            PRM_2220     // 5-2: Btl-Logik (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 6 DIS_684 "ArtikelNr Hardware"
//   (Data length: 20 Octets)
// 
COMMAND read_view_DIS_684
{
    SLOT		254;
    INDEX		6;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2781     // 6-1: P70 ArtikelNr Logik IST-Konfiguration (20 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 8 DIS_12 "Abschaltart"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_12
{
    SLOT		254;
    INDEX		8;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_578,    // 8-1: Abschaltart ZU (2 Octets)
            PRM_9     // 8-2: Abschaltart AUF (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 9 DIS_13 "Drehmo-Einstellung"
//   (Data length: 12 Octets)
// 
COMMAND read_view_DIS_13
{
    SLOT		254;
    INDEX		9;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1182,    // 9-1: Anfahrüberbrückung Freigabe (2 Octets)
            PRM_82,    // 9-2: Anfahrüberbrückungszeit (2 Octets)
            PRM_2995,    // 9-3: P70 BCD-Schalter Abschaltmoment ZU (2 Octets)
            PRM_2994,    // 9-4: P70 BCD-Schalter Abschaltmoment AUF (2 Octets)
            PRM_4037,    // 9-5: P70 Schalter Abschaltmoment ZU (SW) (2 Octets)
            PRM_4036     // 9-6: P70 Schalter Abschaltmoment AUF (SW) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 10 DIS_75 "Ortssteuerstelle"
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_75
{
    SLOT		254;
    INDEX		10;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_12     // 10-1: Selbsthaltungsverhalten Ort (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 11 DIS_15 "Interface"
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_15
{
    SLOT		254;
    INDEX		11;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_519     // 11-1: Selbsthaltungsverhalten Fern1 (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 12 DIS_16 "Profibus"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_16
{
    SLOT		254;
    INDEX		12;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            0x00, 0x00,    // 12-1: PRM_1321 Profibus Adresse 1 (skipped in VO) (2 Octets)
            PRM_4035     // 12-2: P70 Profibusadresse (Schaltercodierung) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 13 DIS_145 "Stellungsregler"
//   (Data length: 30 Octets)
// 
COMMAND read_view_DIS_145
{
    SLOT		254;
    INDEX		13;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_84,    // 13-1: Stellungsregler Adaptives Verhalten (2 Octets)
            PRM_87,    // 13-2: Totzone Xt (2 Octets)
            PRM_86,    // 13-3: Totzeit Tt (2 Octets)
            PRM_212,    // 13-4: Nachlauf AUF (innere Totzone Xi_AUF) (2 Octets)
            PRM_213,    // 13-5: Nachlauf ZU (innere Totzone Xi_ZU) (2 Octets)
            PRM_2916,    // 13-6: Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler (2 Octets)
            PRM_2917,    // 13-7: Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler (2 Octets)
            PRM_215,    // 13-8: Toleranz E1 ZU (4 Octets)
            PRM_214,    // 13-9: Toleranz E1 AUF (4 Octets)
            PRM_1179,    // 13-10: max. zulässige Anläufe /h (2 Octets)
            PRM_4076,    // 13-11: Proportionalfahrt Enable (2 Octets)
            PRM_4070,    // 13-12: Proportionalbereich (2 Octets)
            PRM_4071     // 13-13: minimale Drehzahl (Proportinalfahrt) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 14 DIS_378 "Sicherheitsverhalten"
//   (Data length: 12 Octets)
// 
COMMAND read_view_DIS_378
{
    SLOT		254;
    INDEX		14;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1869,    // 14-1: Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT) (2 Octets)
            PRM_1870,    // 14-2: Verhalten Sicherheitsbetrieb (Default: 0 = STOP) (2 Octets)
            PRM_1871,    // 14-3: Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall) (2 Octets)
            PRM_1874,    // 14-4: FailsSafe-Verzögerungszeit (2 Octets)
            PRM_1872,    // 14-5: FailSafe-Position (2 Octets)
            PRM_1873     // 14-6: FailSafe-Drehzahl (Speed) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 15 DIS_198 "NOT-Funktion"
//   (Data length: 20 Octets)
// 
COMMAND read_view_DIS_198
{
    SLOT		254;
    INDEX		15;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_68,    // 15-1: NOT-Funktion Auslösung (2 Octets)
            PRM_67,    // 15-2: NOT-Funktion Betriebsart (2 Octets)
            PRM_2924,    // 15-3: Auswahl Auslösequelle (2 Octets)
            PRM_230,    // 15-4: NOT-Funktion Verhalten (2 Octets)
            PRM_231,    // 15-5: NOT-Position (2 Octets)
            PRM_232,    // 15-6: NOT-Drehzahl (2 Octets)
            PRM_70,    // 15-7: NOT Überbrückung Drehmomentfehler (2 Octets)
            PRM_69,    // 15-8: NOT Überbrückung Thermofehler (2 Octets)
            PRM_71,    // 15-9: NOT Überbrückung Taktgeber (2 Octets)
            PRM_4015     // 15-10: Parameter: DelayTime (Default: 1,0 sec) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 16 DIS_142 "Taktgeber"
//   (Data length: 20 Octets)
// 
COMMAND read_view_DIS_142
{
    SLOT		254;
    INDEX		16;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_590,    // 16-1: Taktbetrieb Mode ZU (2 Octets)
            PRM_592,    // 16-2: Taktfahrzeit ZU (2 Octets)
            PRM_591,    // 16-3: Taktpausenzeit ZU (2 Octets)
            PRM_594,    // 16-4: Taktstrecke: Start ZU (2 Octets)
            PRM_593,    // 16-5: Taktstrecke: Ende ZU (2 Octets)
            PRM_13,    // 16-6: Takbetrieb Mode AUF (2 Octets)
            PRM_7,    // 16-7: Taktfahrzeit AUF (2 Octets)
            PRM_8,    // 16-8: Taktpausenzeit AUF (2 Octets)
            PRM_5,    // 16-9: Taktstrecke: Start AUF (2 Octets)
            PRM_6     // 16-10: Taktstrecke: Ende AUF (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 17 DIS_355 "ED-Überwachung"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_355
{
    SLOT		254;
    INDEX		17;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2121,    // 17-1: EDEnable (2 Octets)
            PRM_2122,    // 17-2: EDMaxTimeHour (2 Octets)
            PRM_2123     // 17-3: EDMaxStartHour (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 18 DIS_676 "Bewegungserkennung"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_676
{
    SLOT		254;
    INDEX		18;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2554,    // 18-1: Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN) (2 Octets)
            PRM_2555,    // 18-2: Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec) (2 Octets)
            PRM_2556     // 18-3: Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 19 DIS_568 "Stellzeitüberwachung"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_568
{
    SLOT		254;
    INDEX		19;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2546,    // 19-1: Applikationsparameter Betriebsart (2 Octets)
            PRM_2547     // 19-2: Applikationsparameter Stellzeit (Einheit 0,1 sec) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 20 DIS_632 "Reaktionsüberwachung"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_632
{
    SLOT		254;
    INDEX		20;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_3157,    // 20-1: Applikation: Betriebsart Standard-Ausführung (2 Octets)
            PRM_3158     // 20-2: Applikation: Überwachungszeit (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 22 DIS_116 "Eingänge binär"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_116
{
    SLOT		254;
    INDEX		22;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_873,    // 22-1: DigitalIn1-Signal-Ausgang (Default: MODE) (2 Octets)
            PRM_932,    // 22-2: Digital-Signal-Ausgang (Default: Fahre ZU) (2 Octets)
            PRM_926,    // 22-3: Digital-Signal-Ausgang (Default: Fahre AUF) (2 Octets)
            PRM_920,    // 22-4: Digital-Signal-Ausgang (Default: Fern HALT) (2 Octets)
            PRM_878,    // 22-5: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_933,    // 22-6: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_927,    // 22-7: IsInverted (Invertierter Eingang) (2 Octets)
            PRM_921     // 22-8: IsInverted (Invertierter Eingang) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 23 DIS_389 "Eingänge analog"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_389
{
    SLOT		254;
    INDEX		23;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1133,    // 23-1: Unterer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1130,    // 23-2: Oberer Grenzwert [0,1 mA] für das Eingangssignal (2 Octets)
            PRM_1129     // 23-3: Normierter Wert (0 ... 1000): Default: Stellungssollwert E1 (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 24 DIS_110 "Ausgänge binär"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_110
{
    SLOT		254;
    INDEX		24;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1012,    // 24-1: Digital-Signal-Eingang (Default AUMA-Fehler) (2 Octets)
            PRM_1102,    // 24-2: Digital-Signal-Eingang (Default: Endlage ZU) (2 Octets)
            PRM_1097,    // 24-3: Digital-Signal-Eingang (Default: Endlage AUF) (2 Octets)
            PRM_1092,    // 24-4: Digital-Signal-Eingang (Default: Wahlschalter FERN) (2 Octets)
            PRM_1013,    // 24-5: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1103,    // 24-6: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1098,    // 24-7: IsInverted (Invertierter Ausgang) (2 Octets)
            PRM_1093     // 24-8: IsInverted (Invertierter Ausgang) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 25 DIS_335 "Ausgänge analog"
//   (Data length: 4 Octets)
// 
COMMAND read_view_DIS_335
{
    SLOT		254;
    INDEX		25;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1254,    // 25-1: Prozessdaten-Eingang(Default: Stellungsistwert E2) (2 Octets)
            PRM_1255     // 25-2: Auswahlparameter Ausgangsbereich (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 26 DIS_544 "Abgleich AOUT1"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_544
{
    SLOT		254;
    INDEX		26;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1257,    // 26-1: Leitsystem-Korrektur 0 / 4 mA (4 Octets)
            PRM_1256     // 26-2: Leitsystem-Korrektur 20 mA (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 27 DIS_168 "Antrieb"
//   (Data length: 6 Octets)
// 
COMMAND read_view_DIS_168
{
    SLOT		254;
    INDEX		27;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_208,    // 27-1: Mode Temperaturfehler (2 Octets)
            PRM_4033,    // 27-2: P70 Parametrierschalter (HW/SW) (2 Octets)
            PRM_79     // 27-3: Drehsinn (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 28 DIS_482 "Poti"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_482
{
    SLOT		254;
    INDEX		28;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2400,    // 28-1: Mindestwert 5V-Referenzspannung (0...1023) (2 Octets)
            PRM_2401,    // 28-2: Mindestwert Poti-Signal (0...1023) (2 Octets)
            PRM_2402,    // 28-3: Mindestwert Poti-Hub (0...1023) (2 Octets)
            PRM_3053     // 28-4: Hysterese (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 29 DIS_170 "Phasenüberwachung"
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_170
{
    SLOT		254;
    INDEX		29;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_209     // 29-1: DelayTime (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 31 DIS_944 "Drehzahl"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_944
{
    SLOT		254;
    INDEX		31;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1310,    // 31-1: Soll-Drehzahl (2 Octets)
            PRM_4067,    // 31-2: Drehzahl Fern (2 Octets)
            PRM_4069,    // 31-3: Drehzahl Feldbus Select (extern / intern) (2 Octets)
            PRM_4068,    // 31-4: Drehzahl Interface Select (extern / intern) (2 Octets)
            PRM_2993     // 31-5: P70 BCD-Schalter Drehzahl (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 32 DIS_645 "Überwachungsfktn."
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_645
{
    SLOT		254;
    INDEX		32;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2878     // 32-1: Parameter: Activate (Default = Aktiviert) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 33 DIS_380 "Serviceschnittstelle"
//   (Data length: 22 Octets)
// 
COMMAND read_view_DIS_380
{
    SLOT		254;
    INDEX		33;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_1165,    // 33-1: Geräte-TAG (20 Octets)
            PRM_2175     // 33-2: Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 34 DIS_212 "Aktivierung"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_212
{
    SLOT		254;
    INDEX		34;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2923,    // 34-1: Aktivierung NOT-Funktion (2 Octets)
            PRM_1177,    // 34-2: Taktgeber Aktivierung ZU (2 Octets)
            PRM_1176,    // 34-3: Taktgeber Aktivierung AUF (2 Octets)
            PRM_1169     // 34-4: Stellungsregler Aktivierung (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 36 DIS_612 "Allgemein"
//   (Data length: 48 Octets)
// 
COMMAND read_view_DIS_612
{
    SLOT		254;
    INDEX		36;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_268,    // 36-1: Logik: Bypassed Drehmomentfehler AUF (4 Octets)
            PZD_269,    // 36-2: Logik: Bypassed Drehmomentfehler ZU (4 Octets)
            PZD_112,    // 36-3: Wahlschalter (2 Octets)
            PZD_2,    // 36-4: Stellungsistwert Stellantrieb E2 (2 Octets)
            PZD_545,    // 36-5: Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000) (2 Octets)
            PZD_120,    // 36-6: Logik: Betriebsmodus (2 Octets)
            PZD_144_cmd  <0xE0000000>, PZD_144_dir  <0x18000000>, PZD_144_position  <0x00FFF000>, PZD_144_speed  <0x00000FFF>,    // 36-7: Logik: Fahrbefehl (4 Octets)
            PZD_264,    // 36-8: Logik: Fährt Richtung AUF (logisch) (4 Octets)
            PZD_265,    // 36-9: Logik: Fährt Richtung ZU (logisch) (4 Octets)
            PZD_401,    // 36-10: Logik: Position erreicht (4 Octets)
            PZD_375,    // 36-11: Logik: Wegendlage Shalter AUF (konditioniert) (4 Octets)
            PZD_376,    // 36-12: Logik: Wegendlage Schalter ZU (konditioniert) (4 Octets)
            PZD_459,    // 36-13: Logik: Signal Torque OPEN (4 Octets)
            PZD_460     // 36-14: Logik: Signal Torque CLOSE (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 37 DIS_613 "Stellungsregler"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_613
{
    SLOT		254;
    INDEX		37;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_84,    // 37-1: Stellungsregler Adaptives Verhalten (2 Octets)
            PZD_7,    // 37-2: Stellungs-Sollwert E1 (2 Octets)
            PZD_2,    // 37-3: Stellungsistwert Stellantrieb E2 (2 Octets)
            PZD_659,    // 37-4: Aktuelle Totzone (Stellungsreglerausgang), (Maximum von Totzone AUF und  ZU) (2 Octets)
            PZD_1030,    // 37-5: Äussere Totzone AUF (Stellungsreglerausgang) (2 Octets)
            PZD_1031,    // 37-6: Äussere Totzone ZU (Stellungsreglerausgang) (2 Octets)
            PZD_1032,    // 37-7: Innere Totzone AUF (Stellungsreglerausgang) (2 Octets)
            PZD_1033     // 37-8: Innere Totzone ZU (Stellungsreglerausgang) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 38 DIS_593 "ED Überwachung"
//   (Data length: 8 Octets)
// 
COMMAND read_view_DIS_593
{
    SLOT		254;
    INDEX		38;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_488,    // 38-1: Lcb: ED Aktuelle Einschaltzeit (4 Octets)
            PZD_489     // 38-2: Lcb: ED Aktuelle Schaltspiele (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 39 DIS_240 "Profibus Kanal 1"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_240
{
    SLOT		254;
    INDEX		39;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_958,    // 39-1: Slave Address Profibus Kanal 1 (2 Octets)
            0x00, 0x00,    // 39-2: PZD_578 Baudrate (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00,    // 39-3: PZD_576 Watchdog-Status (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00,    // 39-4: PZD_577 DP-Status (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00,    // 39-5: PZD_580 Global Control Clear (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00,    // 39-6: PZD_579 0 Byte Tele Clear (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00,    // 39-7: PZD_581 Global Control Freeze (Kanal 1) (skipped in VO) (2 Octets)
            0x00, 0x00     // 39-8: PZD_582 Global Control Sync (Kanal 1) (skipped in VO) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 40 DIS_602 "Profibus Details"
//   (Data length: 16 Octets)
// 
COMMAND read_view_DIS_602
{
    SLOT		254;
    INDEX		40;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_737,    // 40-1: DPV1_Control (4 Octets)
            PZD_738,    // 40-2: DPV1 C2-Verbindung aktiv (4 Octets)
            PZD_604,    // 40-3: Fahrbefehlskanal 1 aktiv (4 Octets)
            PRM_3006,    // 40-4: Profibus Ident Nr (2 Octets)
            PZD_744     // 40-5: DP-V1 GSD aktiv (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 41 DIS_183 "Betriebsdaten Gesamt"
//   (Data length: 48 Octets)
// 
COMMAND read_view_DIS_183
{
    SLOT		254;
    INDEX		41;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_495,    // 41-1: MotorRunningTime (Factory) (4 Octets)
            PRM_496,    // 41-2: NumberOfStarts (Factory) (4 Octets)
            PRM_503,    // 41-3: ErrorsThermo (Factory) (4 Octets)
            PRM_501,    // 41-4: ErrorsTrqClose (Factory) (4 Octets)
            PRM_502,    // 41-5: ErrorsTrqOpen (Factory) (4 Octets)
            PRM_498,    // 41-6: StopsPosClose (Factory) (4 Octets)
            PRM_500,    // 41-7: StopsPosOpen (Factory) (4 Octets)
            PRM_497,    // 41-8: StopsTrqClose (Factory) (4 Octets)
            PRM_499,    // 41-9: StopsTrqOpen (Factory) (4 Octets)
            PRM_505,    // 41-10: ErrorsEDTime (Factory) (4 Octets)
            PRM_506,    // 41-11: ErrorsEDMax (Factory) (4 Octets)
            PRM_507     // 41-12: Resets (Factory) (4 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 42 DIS_188 "Betriebsdaten Kunde"
//   (Data length: 50 Octets)
// 
COMMAND read_view_DIS_188
{
    SLOT		254;
    INDEX		42;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_163,    // 42-1: MotorRunningTime (User) (4 Octets)
            PRM_164,    // 42-2: NumberOfStarts (User) (4 Octets)
            PRM_170,    // 42-3: ErrorsThermo (User) (4 Octets)
            PRM_175,    // 42-4: ErrorsTrqClose (User) (4 Octets)
            PRM_171,    // 42-5: ErrorsTrqOpen (User) (4 Octets)
            PRM_172,    // 42-6: StopsPosClose (User) (4 Octets)
            PRM_174,    // 42-7: StopsPosOpen (User) (4 Octets)
            PRM_166,    // 42-8: StopsTrqClose (User) (4 Octets)
            PRM_173,    // 42-9: StopsTrqOpen (User) (4 Octets)
            PRM_168,    // 42-10: ErrorsEDTime (User) (4 Octets)
            PRM_167,    // 42-11: ErrorsEDMax (User) (4 Octets)
            PRM_165,    // 42-12: Resets (User) (4 Octets)
            0x00, 0x00     // 42-13:   (skipped in VO) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 43 DIS_195 "Ereignisprotokoll"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_195
{
    SLOT		254;
    INDEX		43;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_185,    // 43-1: Filesize in kByte (2 Octets)
            PRM_186,    // 43-2: SD-Refreshtime in mSec (2 Octets)
            PRM_187,    // 43-3: BufferSize in Ereignissen (2 Octets)
            PRM_189,    // 43-4: System Filtereinstellung (bitorientiert) (2 Octets)
            PRM_188     // 43-5: Prozessdaten Filtereinstellung (bitorientiert) (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 44 DIS_524 "Gerätetemperaturen"
//   (Data length: 2 Octets)
// 
COMMAND read_view_DIS_524
{
    SLOT		254;
    INDEX		44;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PZD_4     // 44-1: Temperatur Steuerung (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 47 DIS_860 "Sammelmeldungen"
//   (Data length: 64 Octets)
// 
COMMAND read_view_DIS_860
{
    SLOT		254;
    INDEX		47;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_4233,    // 47-1: Pzd Aktivierung Sammelmeldung 1Info (2 Octets)
            PRM_4234,    // 47-2: Pzd Aktivierung Sammelmeldung 2AUMA WArnung (2 Octets)
            PRM_4235,    // 47-3: Pzd Aktivierung Sammelmeldung 3AUMA Fehler (2 Octets)
            PRM_4236,    // 47-4: Pzd Aktivierung Sammelmeldung 4Nicht Bereit Fern (2 Octets)
            PRM_4237,    // 47-5: Pzd Aktivierung Sammelmeldung 5AUMA OK (2 Octets)
            PRM_4238,    // 47-6: Pzd Aktivierung Sammelmeldung 6Konfigurationswarnung (2 Octets)
            PRM_4239,    // 47-7: Pzd Aktivierung Sammelmeldung 7Namur Out Of Spec (2 Octets)
            PRM_4240,    // 47-8: Pzd Aktivierung Sammelmeldung 8Namur Funktionskoantrolle (2 Octets)
            PRM_4241,    // 47-9: Pzd Aktivierung Sammelmeldung 9Namur Wartungsbedarf (2 Octets)
            PRM_4242,    // 47-10: Pzd Aktivierung Sammelmeldung 10Namur Ausfall (2 Octets)
            PRM_4243,    // 47-11: Pzd Aktivierung Sammelmeldung 11Konfigurationsfehler (2 Octets)
            PRM_4244,    // 47-12: Pzd Aktivierung Sammelmeldung 12Fehler Hydraulik (2 Octets)
            PRM_4245,    // 47-13: Pzd Aktivierung Sammelmeldung 13Falscher Befehl (2 Octets)
            PRM_4246,    // 47-14: Pzd Aktivierung Sammelmeldung 14Interne Fehler (2 Octets)
            PRM_4247,    // 47-15: Pzd Aktivierung Sammelmeldung 15Interne Warnung (2 Octets)
            PRM_4248,    // 47-16: Pzd Aktivierung Sammelmeldung 16Diagnose Feldbus (2 Octets)
            PRM_4249,    // 47-17: Pzd Aktivierung Sammelmeldung 17Warnung Hydraulik (2 Octets)
            PRM_4250,    // 47-18: Pzd Aktivierung Sammelmeldung 18Störung AC1 kompatibel (2 Octets)
            PRM_4251,    // 47-19: Pzd Aktivierung Sammelmeldung 19Kunde Fehler Konfigurierbar (2 Octets)
            PRM_4252,    // 47-20: Pzd Aktivierung Sammelmeldung 20Kunde Warnung Konfigurierbar (2 Octets)
            PRM_4253,    // 47-21: Pzd Aktivierung Sammelmeldung 21Kunde NBF Konfigurierbar (2 Octets)
            PRM_4254,    // 47-22: Pzd Aktivierung Sammelmeldung 22Konfigurationsfehler Fern (2 Octets)
            PRM_4255,    // 47-23: Pzd Aktivierung Sammelmeldung 23Kunde Status EPAC konfigurierbar (2 Octets)
            PRM_4256,    // 47-24: Pzd Aktivierung Sammelmeldung 24Status Safety (SIL) (2 Octets)
            PRM_4257,    // 47-25: Pzd Aktivierung Sammelmeldung 25Reserve 25 (2 Octets)
            PRM_4258,    // 47-26: Pzd Aktivierung Sammelmeldung 26Reserve 26 (2 Octets)
            PRM_4259,    // 47-27: Pzd Aktivierung Sammelmeldung 27Reserve 27 (2 Octets)
            PRM_4260,    // 47-28: Pzd Aktivierung Sammelmeldung 28Reserve 28 (2 Octets)
            PRM_4261,    // 47-29: Pzd Aktivierung Sammelmeldung 29LWL Warnung (für auma service) (2 Octets)
            PRM_4262,    // 47-30: Pzd Aktivierung Sammelmeldung 30Service 1 (2 Octets)
            PRM_4263,    // 47-31: Pzd Aktivierung Sammelmeldung 31Service 2 (2 Octets)
            PRM_4264     // 47-32: Pzd Aktivierung Sammelmeldung 32Service 3 (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining ViewObject 48 DIS_831 "Stellungsgeber Poti"
//   (Data length: 10 Octets)
// 
COMMAND read_view_DIS_831
{
    SLOT		254;
    INDEX		48;
    OPERATION	READ;
    TRANSACTION
    {
        REPLY
        {
            PRM_2402,    // 48-1: Mindestwert Poti-Hub (0...1023) (2 Octets)
            PZD_928,    // 48-2: Aktueller Poti-Hub (Diagnoseausgang ) (2 Octets)
            PRM_828,    // 48-3: EndpositionAUF-Rohwert (2 Octets)
            PRM_829,    // 48-4: EndpositionZU-Rohwert (2 Octets)
            PZD_345     // 48-5: Poti-Rohwert in [mV] (2 Octets)
        }
        REQUEST
        {
        }
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Table Specialist
// 
MENU	offline_root_menu
{
    LABEL	[TXT_Menu_Configuration];
#ifdef dtmGENERATOR
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
#endif /* dtmGENERATOR */ 
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}

#ifdef dtmGENERATOR
MENU	online_root_menu
{
    LABEL	[TXT_Menu_ProcessVariables];
    ROLE	"ADMINISTRATOR & SERVICE & MAINTENANCE_ENGINEER & PLANNING_ENGINEER";
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S, // Diagnose
            Menu_S_Device  // Service-Kommandos
    }
}

#else

MENU	process_variables_root_menu
{
    LABEL	[TXT_Menu_ProcessVariables];
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_41_S, // Einstellungen
            menu_DIS_53_S, // Gerätekonfiguration
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
MENU	diagnostic_root_menu
{
    LABEL	[TXT_Menu_Diagnostic];
    ITEMS
    {
            menu_DIS_21_S, // Informationen
            menu_DIS_592_S, // Gerätestatus
            menu_DIS_22_S  // Diagnose
    }
}
MENU	device_root_menu
{
    LABEL		[TXT_Menu_Device];
    ITEMS
    {
        coPRM_3484,
        coPRM_3487 
    }
}
 
#endif /* dtmGENERATOR */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_S "Informationen"
// 
MENU menu_DIS_21_S // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_26_S, // Gerätekennung
            menu_DIS_62_S  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_S "Gerätekennung"
// 
MENU menu_DIS_26_S // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164, // Produktbez.
            PRM_1165, // Geräte-TAG
            PRM_1166, // Projektname
            menu_DIS_28_S, // Steuerung
            menu_DIS_29_S  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_S "Steuerung"
// 
MENU menu_DIS_28_S // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760, // KommNr Steuerung
            PRM_1762, // WerksNr Steuerung
            PRM_1764, // Schaltplan Steuerung
            PRM_2176  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_S "Antrieb"
// 
MENU menu_DIS_29_S // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761, // KommNr Antrieb
            PRM_1763, // WerksNr Antrieb
            PRM_1765  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_S "Produktion"
// 
MENU menu_DIS_62_S // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
            VersionEddGen (READ_ONLY), // EDD Generator version
            PRM_1759  // Firmware Version
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_S "Einstellungen"
// 
MENU menu_DIS_41_S // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_S, // Abschaltart
            menu_DIS_13_S, // Drehmo-Einstellung
            menu_DIS_75_S  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_15_S} // Interface (using RULE_19)
            IF (PRM_181 == 1) {menu_DIS_16_S} // Profibus (using RULE_21)
            IF (PRM_1169 == 1) {menu_DIS_145_S} // Stellungsregler (using RULE_14)
            menu_DIS_378_S  // Sicherheitsverhalten
            IF (PRM_2923 != 0) {menu_DIS_198_S} // NOT-Funktion (using RULE_12)
            IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) {menu_DIS_142_S} // Taktgeber (using RULE_30)
            menu_DIS_355_S, // ED-Überwachung
            menu_DIS_676_S, // Bewegungserkennung
            menu_DIS_568_S, // Stellzeitüberwachung
            menu_DIS_632_S  // Reaktionsüberwachung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_S "Abschaltart"
// 
MENU menu_DIS_12_S // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_4033 == 0) {PRM_578} // Abschaltart ZU (using RULE_503)
            IF (PRM_4033 == 0) {PRM_9} // Abschaltart AUF (using RULE_503)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_S "Drehmo-Einstellung"
// 
MENU menu_DIS_13_S // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182, // Anfahrüberbrückung
            PRM_82  // DrehmoBypassZeit
            IF (PRM_4033 == 1) {PRM_2995} // Logik BCD-Sw TrTrqC (using RULE_530)
            IF (PRM_4033 == 1) {PRM_2994} // Logik BCD-Sw TrTrqO (using RULE_530)
            IF (PRM_4033 == 0) {PRM_4037} // Logik SW-Switch TrTrqC (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4036} // Logik SW-Switch TrTrqO (using RULE_503)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_S "Ortssteuerstelle"
// 
MENU menu_DIS_75_S // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12  // SelbsthVerhaltOrt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_S "Interface"
// 
MENU menu_DIS_15_S // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_519} // SelbsthVerhaltFern1 (using RULE_19)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_S "Profibus"
// 
MENU menu_DIS_16_S // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3633 == 2) && (PRM_4033 == 0))) {PRM_1321} // Profibus_SollAdres_1 (using RULE_536)
            IF (((PRM_181 == 1) && (PRM_3633 == 2) && (PRM_4033 == 1))) {PRM_4035} // Profibusadr-Schalter (using RULE_539)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_S "Stellungsregler"
// 
MENU menu_DIS_145_S // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84} // StellungreglerMode (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_87} // StelReglExtTotzone (using RULE_167)
            IF (PRM_1169 == 1) {PRM_86} // StelReglTotzeit (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_212} // StelReglInnTotzAuf (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_213} // StelReglInnTotzZu (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2916} // StelReglHysAuf (using RULE_169)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2917} // StelReglHysZu (using RULE_169)
            IF (PRM_1169 == 1) {PRM_215} // SollwertToleranzZu (using RULE_14)
            IF (PRM_1169 == 1) {PRM_214} // SollwertToleranzAuf (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 2))) {PRM_1179} // Zulässige Anläufe/h (using RULE_532)
            IF (PRM_1169 == 1) {PRM_4076} // PropFahrtEnable (using RULE_14)
            IF (PRM_1169 == 1) {PRM_4070} // Proportinalbereich (using RULE_14)
            IF (PRM_1169 == 1) {PRM_4071} // DrehzahlMin (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_S "Sicherheitsverhalten"
// 
MENU menu_DIS_378_S // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869, // AuslösungFailsafe
            PRM_1870, // VerhaltenFailsafe
            PRM_1871, // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874  // VerzögerungFailsafe
            IF (PRM_1169 == 1) {PRM_1872} // PositionFailsafe (using RULE_14)
            PRM_1873  // DrehzahlFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_S "NOT-Funktion"
// 
MENU menu_DIS_198_S // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2923 != 0) {PRM_68} // Auslösung NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_67} // Betriebsart NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2924} // Auslösequelle NOT (using RULE_12)
            PRM_230, // Verhalten NOT
            PRM_231  // Position NOT
            IF (PRM_4033 == 0) {PRM_232} // Drehzahl NOT (using RULE_503)
            IF (PRM_2923 != 0) {PRM_70} // Bypass Drehmo NOT (using RULE_12)
            PRM_69  // Bypass Thermo NOT
            IF (PRM_2923 != 0) {PRM_71} // Bypass Takt NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_4015 (HIDDEN), uiPRM_4015} // DelayTime_DlyESD (using RULE_12)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_S "Taktgeber"
// 
MENU menu_DIS_142_S // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1177 == 1) {PRM_590} // TaktbetriebZuMode (using RULE_16)
            IF (PRM_1177 == 1) {PRM_592 (HIDDEN), uiPRM_592} // TaktfahrzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_591 (HIDDEN), uiPRM_591} // TaktpausenzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_594} // TaktstreckeZuStart (using RULE_16)
            IF (PRM_1177 == 1) {PRM_593} // TaktstreckeZuEnde (using RULE_16)
            IF (PRM_1176 == 1) {PRM_13} // TaktbetriebAufMode (using RULE_17)
            IF (PRM_1176 == 1) {PRM_7 (HIDDEN), uiPRM_7} // TaktfahrzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_8 (HIDDEN), uiPRM_8} // TaktpausenzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_5} // TaktstreckeAufStart (using RULE_17)
            IF (PRM_1176 == 1) {PRM_6} // TaktstreckeAufEnde (using RULE_17)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_S "ED-Überwachung"
// 
MENU menu_DIS_355_S // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121, // ED-Enable
            PRM_2122, // Max Laufzeit pro Std
            PRM_2123  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_S "Bewegungserkennung"
// 
MENU menu_DIS_676_S // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554  // Mode_MotionDetector
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2555 (HIDDEN), uiPRM_2555} // Dt_MotionDetector (using RULE_239)
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2556} // Dx_MotionDetector (using RULE_239)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_S "Stellzeitüberwachung"
// 
MENU menu_DIS_568_S // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546, // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_S "Reaktionsüberwachung"
// 
MENU menu_DIS_632_S // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3157, // Betriebsart Standard
            PRM_3158  // Reakt.Reaktionszeit
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_S "Gerätekonfiguration"
// 
MENU menu_DIS_53_S // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {menu_DIS_139_S} // Interface (using RULE_19)
            menu_DIS_168_S, // Antrieb
            menu_DIS_170_S, // Phasenüberwachung (implicit RULE_90)
            menu_DIS_944_S, // Drehzahl
            menu_DIS_860_S, // Sammelmeldungen (implicit RULE_7)
            menu_DIS_380_S, // Serviceschnittstelle
            menu_DIS_178_S  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_S "Interface"
// 
MENU menu_DIS_139_S // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {menu_DIS_116_S} // Eingänge binär (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_389_S} // Eingänge analog (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_110_S} // Ausgänge binär (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_335_S} // Ausgänge analog (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_S "Eingänge binär"
// 
MENU menu_DIS_116_S // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_873} // Funktion_DigIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_932} // Funktion_DigIn2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_926} // Funktion_DigIn3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_920} // Funktion_DigIn4 (using RULE_361)
            IF (PRM_45 == 1) {PRM_878} // InvertDigIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_933} // InvertDigIn2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_927} // InvertDigIn3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_921} // InvertDigIn4 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_S "Eingänge analog"
// 
MENU menu_DIS_389_S // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1133} // LowerLimit_AnaIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1130} // UpperLimit_AnaIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1129} // Funktion_AnaIn1 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_S "Ausgänge binär"
// 
MENU menu_DIS_110_S // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1012} // Funktion_DigOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1102} // Funktion_DigOut2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1097} // Funktion_DigOut3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1092} // Funktion_DigOut4 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1013} // InvertDigOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1103} // InvertDigOut2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1098} // InvertDigOut3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1093} // InvertDigOut4 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_S "Ausgänge analog"
// 
MENU menu_DIS_335_S // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1254} // Funktion AnPwmOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1255} // Bereich_AnPwmOut1 (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_544_S} // Abgleich AOUT1 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_544_S "Abgleich AOUT1"
// 
MENU menu_DIS_544_S // Abgleich AOUT1
{
    LABEL		[TXT_DIS_544];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1257} // Korrektur 0 / 4 mA (using RULE_361)
            IF (PRM_45 == 1) {PRM_1256} // Korrektur 20mA (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_S "Antrieb"
// 
MENU menu_DIS_168_S // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208, // MODE_Thermofehler
            PRM_4033  // Logik BCD-Sw TrTrqC
            IF (((PRM_1752 == 1)) || ((PRM_3633 == 2))) {PRM_79} // Drehsinn Schließen (using RULE_541)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_170_S "Phasenüberwachung"
// 
MENU menu_DIS_170_S // Phasenüberwachung
{
    LABEL		[TXT_DIS_170];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_209  // PhaseDelaytime (implicit RULE_90)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_944_S "Drehzahl"
// 
MENU menu_DIS_944_S // Drehzahl
{
    LABEL		[TXT_DIS_944];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_4033 == 0) {PRM_1310} // Solldrehzahl (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4067} // Drehzahl Fern (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4069} // Drehzahl Fb Select (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4068} // Drehzahl Ifa Select (using RULE_503)
            IF (PRM_4033 == 1) {PRM_2993} // Logik BCD-Sw Speed (using RULE_530)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_860_S "Sammelmeldungen"
// 
MENU menu_DIS_860_S // Sammelmeldungen
{
    LABEL		[TXT_DIS_860];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_4233, // EreignisprotokolPVST
            PRM_4234, // AUMA Warnung
            PRM_4235, // AUMA Fehler
            PRM_4236, // Nicht bereit FERN
            PRM_4237, // AUMA OK
            PRM_4238, // Konfigurationswarnung
            PRM_4239, // NAMUR Out Of Spec
            PRM_4240, // NAMUR Fkt-Kontrolle
            PRM_4241, // NAMUR Wartungsbedarf
            PRM_4242, // NAMUR Ausfall
            PRM_4243, // Konfigurationsfehler
            PRM_4244, // Fehler Hydraulik
            PRM_4245, // Falscher Befehl
            PRM_4246, // InternerFehler
            PRM_4247, // InterneWarnung
            PRM_4248, // Diagnose Feldbus
            PRM_4249, // Warnung Hydraulik
            PRM_4250, // Störung (AC1 konform)
            PRM_4251, // FehlerKonfigurierbar
            PRM_4252, // WarnungKonfigurierb.
            PRM_4253, // NBF konfigurierbar
            PRM_4254, // Konfigfehler Fern
            PRM_4255, // PzdAktivierung-SM-23
            PRM_4256, // Status Safety (SIL)
            PRM_4257, // PzdAktivierung-SM-25
            PRM_4258, // PzdAktivierung-SM-26
            PRM_4259, // PzdAktivierung-SM-27
            PRM_4260, // PzdAktivierung-SM-28
            PRM_4261, // LWL Warnung
            PRM_4262, // Service1
            PRM_4263, // Service2
            PRM_4264  // Service3
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_S "Serviceschnittstelle"
// 
MENU menu_DIS_380_S // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165, // Geräte-TAG
            PRM_2175  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_S "Anwendungsfunktionen"
// 
MENU menu_DIS_178_S // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_S  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_S "Aktivierung"
// 
MENU menu_DIS_212_S // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923, // Aktivierung NOT
            PRM_1177, // TaktZuAktiv
            PRM_1176  // TaktAufAktiv
            IF (PRM_1178 == 1) {PRM_1169} // AktivierngStelRegler (using RULE_13)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_S "Gerätestatus"
// 
MENU menu_DIS_592_S // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_S, // Allgemein
            menu_DIS_540_S, // Auma-Meldungen
            menu_DIS_533_S  // Namur-Meldungen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_S "Allgemein"
// 
MENU menu_DIS_612_S // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_268 (READ_ONLY), // BypassedDoeFehler
            PZD_269 (READ_ONLY), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_S (READ_ONLY), // Fahrbefehl
            PZD_264 (READ_ONLY), // AntriebFaehrtAUF
            PZD_265 (READ_ONLY), // AntriebFaehrtZU
            PZD_401 (READ_ONLY), // Position erreicht
            PZD_375 (READ_ONLY), // WOE_Konditioniert
            PZD_376 (READ_ONLY), // WS_Konditioniert
            PZD_459 (READ_ONLY), // DOE_Signal
            PZD_460 (READ_ONLY)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_S "Fahrbefehl"
// 
MENU menu_PZD_144_S // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_S "Diagnose"
// 
MENU menu_DIS_22_S // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_831_S  // Stellungsgeber Poti
            IF (PRM_1169 == 1) {menu_DIS_613_S} // Stellungsregler (using RULE_14)
            IF (PRM_2121 == 1) {menu_DIS_593_S} // ED Überwachung (using RULE_155)
            IF (PRM_181 == 1) {menu_DIS_240_S} // Profibus Kanal 1 (using RULE_21)
            IF (PRM_181 == 1) {menu_DIS_602_S} // Profibus Details (using RULE_21)
            menu_DIS_177_S, // Betriebsdaten
            menu_DIS_524_S  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_831_S "Stellungsgeber Poti"
// 
MENU menu_DIS_831_S // Stellungsgeber Poti
{
    LABEL		[TXT_DIS_831];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2402, // PotiRangeMin
            PZD_928 (READ_ONLY), // Aktueller Poti-Hub
            PRM_828, // PotiEndposAufRohwert
            PRM_829, // PotiEndposZuRohwert
            PZD_345 (READ_ONLY)  // PotiRohwert-mV
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_S "Stellungsregler"
// 
MENU menu_DIS_613_S // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84} // StellungreglerMode (using RULE_14)
            IF (PRM_1169 == 1) {PZD_7 (READ_ONLY)} // Fern1SollwertE1 (using RULE_14)
            IF (PRM_1169 == 1) {PZD_2 (READ_ONLY)} // Istwert E2 (using RULE_14)
            IF (PRM_84 == 0) {PZD_659 (READ_ONLY)} // XTActual (using RULE_165)
            IF (PRM_84 != 0) {PZD_1030 (READ_ONLY)} // XT Open (using RULE_166)
            IF (PRM_84 != 0) {PZD_1031 (READ_ONLY)} // XT Close (using RULE_166)
            IF (PRM_1169 == 1) {PZD_1032 (READ_ONLY)} // Xi Open (using RULE_14)
            IF (PRM_1169 == 1) {PZD_1033 (READ_ONLY)} // Xi Close (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_S "ED Überwachung"
// 
MENU menu_DIS_593_S // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2121 == 1) {PZD_488 (READ_ONLY)} // ED Time (using RULE_155)
            IF (PRM_2121 == 1) {PZD_489 (READ_ONLY)} // ED Starts (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_S "Profibus Kanal 1"
// 
MENU menu_DIS_240_S // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_958 (READ_ONLY)} // Profibus_Ist_Adress1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_578 (READ_ONLY)} // Pb Baudrate K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_576 (READ_ONLY)} // Pb WD-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_577 (READ_ONLY)} // Pb DP-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_580 (READ_ONLY)} // Pb GC Clear K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_579 (READ_ONLY)} // Pb 0 Tele K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_581 (READ_ONLY)} // Pb GC Freeze K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_582 (READ_ONLY)} // Pb GC Sync K1 (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_S "Profibus Details"
// 
MENU menu_DIS_602_S // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_737 (READ_ONLY)} // DPV1_Control (using RULE_21)
            IF (PRM_181 == 1) {PZD_738 (READ_ONLY)} // DP-V1 C2-Verbindung  (using RULE_21)
            IF (PRM_181 == 1) {PZD_604 (READ_ONLY)} // Fahrbef.Kanal1 aktiv (using RULE_21)
            IF (PRM_181 == 1) {PRM_3006} // Profibus Ident Nr (using RULE_21)
            IF (PRM_181 == 1) {PZD_744 (READ_ONLY)} // DP-V1 Enable (SetPrm) (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_S "Betriebsdaten"
// 
MENU menu_DIS_177_S // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_S, // Betriebsdaten Gesamt
            menu_DIS_188_S  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_S "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_S // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495, // Laufzeit
            PRM_496, // Anläufe
            PRM_503, // Thermofehler
            PRM_501, // Drehmofehler ZU
            PRM_502, // Drehmofehler AUF
            PRM_498, // Wegabschaltungen ZU
            PRM_500, // Wegabschaltungen AUF
            PRM_497, // Drehmoabschaltungen ZU
            PRM_499, // Drehmoabschaltungen AUF
            PRM_505, // ErrorsEDTime
            PRM_506, // ErrorsEDMax
            PRM_507  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_S "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_S // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163, // Laufzeit
            PRM_164, // Anläufe
            PRM_170, // Thermofehler
            PRM_175, // Drehmofehler ZU
            PRM_171, // Drehmofehler AUF
            PRM_172, // Wegabschaltungen ZU
            PRM_174, // Wegabschaltungen AUF
            PRM_166, // Drehmoabschaltung en ZU
            PRM_173, // Drehmoabschaltungen AUF
            PRM_168, // ErrorsEDTime
            PRM_167, // ErrorsEDMax
            PRM_165, // Anzahl Resets
            coPRM_3484 (HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_S "Gerätetemperaturen"
// 
MENU menu_DIS_524_S // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY)  // T_Steuerung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_540_S "Auma-Meldungen"
// 
MENU menu_DIS_540_S // Auma-Meldungen
{
    LABEL		[TXT_DIS_540];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_S} // Warnungen (using RulePZD_78)
            IF (PZD_80 != 0) {menu_DIS_542_S} // nicht bereit FERN (using RulePZD_80)
            IF (PZD_79 != 0) {menu_DIS_543_S} // Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_541_S "Sammel-Meldung2: Warnung"
// 
MENU menu_DIS_541_S // Sammel-Meldung2: Warnung
{
    LABEL		[TXT_DIS_541];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_82 != 0) {menu_PZD_82_S (READ_ONLY)} // Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82)
            IF (PZD_91 != 0) {menu_PZD_91_S (READ_ONLY)} // Sammel-Meldung 15: Interne Warnung (using RulePZD_91)
            IF (PZD_461 != 0) {PZD_461 (READ_ONLY)} // FailSafe ist aktiv (using RulePZD_461)
            IF (PZD_486 != 0) {PZD_486 (READ_ONLY)} // Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486)
            IF (PZD_487 != 0) {PZD_487 (READ_ONLY)} // Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487)
            IF (PZD_556 != 0) {PZD_556 (READ_ONLY)} // Stellzeitwarnung (using RulePZD_556)
            IF (PZD_563 != 0) {PZD_563 (READ_ONLY)} // Keine Reaktion: Warnung (using RulePZD_563)
            IF (PZD_485 != 0) {PZD_485 (READ_ONLY)} // Logik: 24VExt Error (using RulePZD_485)
            IF (PZD_490 != 0) {PZD_490 (READ_ONLY)} // LCB: RTC nicht gesetzt (using RulePZD_490)
            IF (PZD_629 != 0) {PZD_629 (READ_ONLY)} // Warnung Temperatur Steuerung (using RulePZD_629)
            IF (PZD_630 != 0) {PZD_630 (READ_ONLY)} // Warnung Temperatur Motor (using RulePZD_630)
            IF (PZD_631 != 0) {PZD_631 (READ_ONLY)} // Warnung Temperatur Getriebe (using RulePZD_631)
            IF (PZD_633 != 0) {PZD_633 (READ_ONLY)} // Warnung AnalogIn 1 E8 (using RulePZD_633)
            IF (PZD_634 != 0) {PZD_634 (READ_ONLY)} // Warnung AnalogIn 2 E9 (using RulePZD_634)
            IF (PZD_637 != 0) {PZD_637 (READ_ONLY)} // Warnung Sollposition E1 (using RulePZD_637)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_82_S "Sammel-Meldung6: Konfigurationswarnung"
// 
MENU menu_PZD_82_S // Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_666 != 0) {PZD_666 (READ_ONLY)} // Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666)
            IF (PZD_758 != 0) {PZD_758 (READ_ONLY)} // PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758)
            IF (PZD_759 != 0) {PZD_759 (READ_ONLY)} // PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759)
            IF (PZD_762 != 0) {PZD_762 (READ_ONLY)} // PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762)
            IF (PZD_763 != 0) {PZD_763 (READ_ONLY)} // PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763)
            IF (PZD_764 != 0) {PZD_764 (READ_ONLY)} // PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764)
            IF (PZD_765 != 0) {PZD_765 (READ_ONLY)} // PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765)
            IF (PZD_808 != 0) {PZD_808 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_91_S "Sammel-Meldung 15: Interne Warnung"
// 
MENU menu_PZD_91_S // Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_663 != 0) {PZD_663 (READ_ONLY)} // Potifehler (out of range) (using RulePZD_663)
            IF (PZD_483 != 0) {PZD_483 (READ_ONLY)} // Logik: 24VKD Error (using RulePZD_483)
            IF (PZD_484 != 0) {PZD_484 (READ_ONLY)} // Logik: 24VInt Error (using RulePZD_484)
            IF (PZD_621 != 0) {PZD_621 (READ_ONLY)} // Warnung keine Referenzfahrrt E2 (using RulePZD_621)
            IF (PZD_622 != 0) {PZD_622 (READ_ONLY)} // Warnung geringer Signalhub E2 (using RulePZD_622)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_542_S "Sammel-Meldung4: nicht bereit Fern"
// 
MENU menu_DIS_542_S // Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_DIS_542];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_89 != 0) {menu_PZD_89_S (READ_ONLY)} // Sammel-Meldung 13: Falscher Befehl (using RulePZD_89)
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handschalter betätigt (using RulePZD_553)
            IF (PZD_607 != 0) {PZD_607 (READ_ONLY)} // Wahlschalter nicht Fern (using RulePZD_607)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
            IF (PZD_281 != 0) {PZD_281 (READ_ONLY)} // Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen (using RulePZD_281)
            IF (PZD_280 != 0) {PZD_280 (READ_ONLY)} // Logik: Betriebsmodus EMCY_OP (using RulePZD_280)
            IF (PZD_606 != 0) {PZD_606 (READ_ONLY)} // Feldbus Fail Safe aktiv (using RulePZD_606)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_89_S "Sammel-Meldung 13: Falscher Befehl"
// 
MENU menu_PZD_89_S // Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_371 != 0) {PZD_371 (READ_ONLY)} // Logik: ungültiger Fahrbefehl (using RulePZD_371)
            IF (PZD_555 != 0) {PZD_555 (READ_ONLY)} // Falscher Befehl Interface I (using RulePZD_555)
            IF (PZD_688 != 0) {PZD_688 (READ_ONLY)} // Falscher Befehl Feldbus (using RulePZD_688)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_543_S "Sammel-Meldung3: Fehler"
// 
MENU menu_DIS_543_S // Sammel-Meldung3: Fehler
{
    LABEL		[TXT_DIS_543];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_87 != 0) {menu_PZD_87_S (READ_ONLY)} // Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87)
            IF (PZD_90 != 0) {menu_PZD_90_S (READ_ONLY)} // Sammel-Meldung 14: Interne Fehler (using RulePZD_90)
            IF (PZD_268 != 0) {PZD_268 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268)
            IF (PZD_269 != 0) {PZD_269 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269)
            IF (PZD_270 != 0) {PZD_270 (READ_ONLY)} // Logik: Bypassed Thermofehler (using RulePZD_270)
            IF (PZD_718 != 0) {PZD_718 (READ_ONLY)} // Keine Reaktion: Fehler (using RulePZD_718)
            IF (PZD_481 != 0) {PZD_481 (READ_ONLY)} // Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481)
            IF (PZD_302 != 0) {PZD_302 (READ_ONLY)} // Logik: Phasenausfall (using RulePZD_302)
            IF (PZD_479 != 0) {PZD_479 (READ_ONLY)} // Logik: Netzqualität (using RulePZD_479)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_87_S "Sammel-Meldung 11: Konfigurationsfehler"
// 
MENU menu_PZD_87_S // Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_671 != 0) {PZD_671 (READ_ONLY)} // System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671)
            IF (PZD_809 != 0) {PZD_809 (READ_ONLY)} // System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_90_S "Sammel-Meldung 14: Interne Fehler"
// 
MENU menu_PZD_90_S // Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_664 != 0) {PZD_664 (READ_ONLY)} // Meldung: Ausgang defekt (using RulePZD_664)
            IF (PZD_557 != 0) {PZD_557 (READ_ONLY)} // Motorschutzüberwachung defekt (using RulePZD_557)
            IF (PZD_480 != 0) {PZD_480 (READ_ONLY)} // Logik: HW-Fehler (using RulePZD_480)
            IF (PZD_482 != 0) {PZD_482 (READ_ONLY)} // Logik: 24VAC Error (using RulePZD_482)
            IF (PZD_675 != 0) {PZD_675 (READ_ONLY)} // System: Interner Fehler Lcb-Exception (using RulePZD_675)
            IF (PZD_676 != 0) {PZD_676 (READ_ONLY)} // System: Interner Fehler Logik-Exception (using RulePZD_676)
            IF (PZD_678 != 0) {PZD_678 (READ_ONLY)} // System: Interner Fehler Bus-Exception (using RulePZD_678)
            IF (PZD_623 != 0) {PZD_623 (READ_ONLY)} // Warnung Signalbruch E2 (using RulePZD_623)
            IF (PZD_679 != 0) {PZD_679 (READ_ONLY)} // Fehler Stellungsgeber (using RulePZD_679)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_533_S "Namur-Meldungen"
// 
MENU menu_DIS_533_S // Namur-Meldungen
{
    LABEL		[TXT_DIS_533];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_83 != 0) {menu_DIS_534_S} // außerhalb Spez. (using RulePZD_83)
            IF (PZD_84 != 0) {menu_DIS_535_S} // Funktionskontrolle (using RulePZD_84)
            IF (PZD_86 != 0) {menu_DIS_537_S} // Ausfall (using RulePZD_86)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_534_S "Sammel-Meldung7: Namur Out Of Spec"
// 
MENU menu_DIS_534_S // Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_DIS_534];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_S (READ_ONLY)} // Sammel-Meldung2: Warnung (using RulePZD_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_535_S "Sammel-Meldung8: Namur Funktionskontrolle"
// 
MENU menu_DIS_535_S // Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_DIS_535];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handschalter betätigt (using RulePZD_553)
            IF (PZD_607 != 0) {PZD_607 (READ_ONLY)} // Wahlschalter nicht Fern (using RulePZD_607)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_537_S "Sammel-Meldung10: Namur Ausfall"
// 
MENU menu_DIS_537_S // Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_DIS_537];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_79 != 0) {menu_DIS_543_S (READ_ONLY)} // Sammel-Meldung3: Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Table Maintenance
// 
#if defined(_PDM_) && !defined(_V700_) // prior to PDM rev. 7.0
MENU	Table_Main_Maintenance
{
    LABEL	[TXT_Menu_Configuration];
    ITEMS
    {
            menu_DIS_21_M (READ_ONLY), // Informationen
            menu_DIS_41_M (READ_ONLY), // Einstellungen
            menu_DIS_53_M (READ_ONLY), // Gerätekonfiguration
            menu_DIS_592_M (READ_ONLY), // Gerätestatus
            menu_DIS_22_M (READ_ONLY)  // Diagnose
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_21_M "Informationen"
// 
MENU menu_DIS_21_M // Informationen
{
    LABEL		[TXT_DIS_21];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_26_M (READ_ONLY), // Gerätekennung
            menu_DIS_62_M (READ_ONLY)  // Produktion
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_26_M "Gerätekennung"
// 
MENU menu_DIS_26_M // Gerätekennung
{
    LABEL		[TXT_DIS_26];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1164 (READ_ONLY), // Produktbez.
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_1166 (READ_ONLY), // Projektname
            menu_DIS_28_M (READ_ONLY), // Steuerung
            menu_DIS_29_M (READ_ONLY)  // Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_28_M "Steuerung"
// 
MENU menu_DIS_28_M // Steuerung
{
    LABEL		[TXT_DIS_28];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1760 (READ_ONLY), // KommNr Steuerung
            PRM_1762 (READ_ONLY), // WerksNr Steuerung
            PRM_1764 (READ_ONLY), // Schaltplan Steuerung
            PRM_2176 (READ_ONLY)  // Datum der Endabnahme
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_29_M "Antrieb"
// 
MENU menu_DIS_29_M // Antrieb
{
    LABEL		[TXT_DIS_29];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1761 (READ_ONLY), // KommNr Antrieb
            PRM_1763 (READ_ONLY), // WerksNr Antrieb
            PRM_1765 (READ_ONLY)  // Schaltplan Antrieb
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_62_M "Produktion"
// 
MENU menu_DIS_62_M // Produktion
{
    LABEL		[TXT_DIS_62];
    ACCESS		ONLINE;
    ITEMS
    {
            VersionEddGen (READ_ONLY), // EDD Generator version
            PRM_1759 (READ_ONLY)  // Firmware Version
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_41_M "Einstellungen"
// 
MENU menu_DIS_41_M // Einstellungen
{
    LABEL		[TXT_DIS_41];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_12_M (READ_ONLY), // Abschaltart
            menu_DIS_13_M (READ_ONLY), // Drehmo-Einstellung
            menu_DIS_75_M (READ_ONLY)  // Ortssteuerstelle
            IF (PRM_45 == 1) {menu_DIS_15_M (READ_ONLY)} // Interface (using RULE_19)
            IF (PRM_181 == 1) {menu_DIS_16_M (READ_ONLY)} // Profibus (using RULE_21)
            IF (PRM_1169 == 1) {menu_DIS_145_M (READ_ONLY)} // Stellungsregler (using RULE_14)
            menu_DIS_378_M (READ_ONLY)  // Sicherheitsverhalten
            IF (PRM_2923 != 0) {menu_DIS_198_M (READ_ONLY)} // NOT-Funktion (using RULE_12)
            IF (((PRM_1177 == 1)) || ((PRM_1176 == 1))) {menu_DIS_142_M (READ_ONLY)} // Taktgeber (using RULE_30)
            menu_DIS_355_M (READ_ONLY), // ED-Überwachung
            menu_DIS_676_M (READ_ONLY), // Bewegungserkennung
            menu_DIS_568_M (READ_ONLY), // Stellzeitüberwachung
            menu_DIS_632_M (READ_ONLY)  // Reaktionsüberwachung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_12_M "Abschaltart"
// 
MENU menu_DIS_12_M // Abschaltart
{
    LABEL		[TXT_DIS_12];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_4033 == 0) {PRM_578 (READ_ONLY)} // Abschaltart ZU (using RULE_503)
            IF (PRM_4033 == 0) {PRM_9 (READ_ONLY)} // Abschaltart AUF (using RULE_503)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_13_M "Drehmo-Einstellung"
// 
MENU menu_DIS_13_M // Drehmo-Einstellung
{
    LABEL		[TXT_DIS_13];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1182 (READ_ONLY), // Anfahrüberbrückung
            PRM_82 (READ_ONLY)  // DrehmoBypassZeit
            IF (PRM_4033 == 1) {PRM_2995 (READ_ONLY)} // Logik BCD-Sw TrTrqC (using RULE_530)
            IF (PRM_4033 == 1) {PRM_2994 (READ_ONLY)} // Logik BCD-Sw TrTrqO (using RULE_530)
            IF (PRM_4033 == 0) {PRM_4037 (READ_ONLY)} // Logik SW-Switch TrTrqC (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4036 (READ_ONLY)} // Logik SW-Switch TrTrqO (using RULE_503)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_75_M "Ortssteuerstelle"
// 
MENU menu_DIS_75_M // Ortssteuerstelle
{
    LABEL		[TXT_DIS_75];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_12 (READ_ONLY)  // SelbsthVerhaltOrt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_15_M "Interface"
// 
MENU menu_DIS_15_M // Interface
{
    LABEL		[TXT_DIS_15];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_519 (READ_ONLY)} // SelbsthVerhaltFern1 (using RULE_19)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_16_M "Profibus"
// 
MENU menu_DIS_16_M // Profibus
{
    LABEL		[TXT_DIS_16];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (((PRM_181 == 1) && (PRM_3633 == 2) && (PRM_4033 == 0))) {PRM_1321 (READ_ONLY)} // Profibus_SollAdres_1 (using RULE_536)
            IF (((PRM_181 == 1) && (PRM_3633 == 2) && (PRM_4033 == 1))) {PRM_4035 (READ_ONLY)} // Profibusadr-Schalter (using RULE_539)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_145_M "Stellungsregler"
// 
MENU menu_DIS_145_M // Stellungsregler
{
    LABEL		[TXT_DIS_145];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84 (READ_ONLY)} // StellungreglerMode (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_87 (READ_ONLY)} // StelReglExtTotzone (using RULE_167)
            IF (PRM_1169 == 1) {PRM_86 (READ_ONLY)} // StelReglTotzeit (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_212 (READ_ONLY)} // StelReglInnTotzAuf (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 == 0))) {PRM_213 (READ_ONLY)} // StelReglInnTotzZu (using RULE_167)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2916 (READ_ONLY)} // StelReglHysAuf (using RULE_169)
            IF (((PRM_1169 == 1) && (PRM_84 != 0))) {PRM_2917 (READ_ONLY)} // StelReglHysZu (using RULE_169)
            IF (PRM_1169 == 1) {PRM_215 (READ_ONLY)} // SollwertToleranzZu (using RULE_14)
            IF (PRM_1169 == 1) {PRM_214 (READ_ONLY)} // SollwertToleranzAuf (using RULE_14)
            IF (((PRM_1169 == 1) && (PRM_84 == 2))) {PRM_1179 (READ_ONLY)} // Zulässige Anläufe/h (using RULE_532)
            IF (PRM_1169 == 1) {PRM_4076 (READ_ONLY)} // PropFahrtEnable (using RULE_14)
            IF (PRM_1169 == 1) {PRM_4070 (READ_ONLY)} // Proportinalbereich (using RULE_14)
            IF (PRM_1169 == 1) {PRM_4071 (READ_ONLY)} // DrehzahlMin (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_378_M "Sicherheitsverhalten"
// 
MENU menu_DIS_378_M // Sicherheitsverhalten
{
    LABEL		[TXT_DIS_378];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1869 (READ_ONLY), // AuslösungFailsafe
            PRM_1870 (READ_ONLY), // VerhaltenFailsafe
            PRM_1871 (READ_ONLY), // AuslösequellFailsafe
            PRM_1874 (HIDDEN), uiPRM_1874 (READ_ONLY)  // VerzögerungFailsafe
            IF (PRM_1169 == 1) {PRM_1872 (READ_ONLY)} // PositionFailsafe (using RULE_14)
            PRM_1873 (READ_ONLY)  // DrehzahlFailsafe
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_198_M "NOT-Funktion"
// 
MENU menu_DIS_198_M // NOT-Funktion
{
    LABEL		[TXT_DIS_198];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2923 != 0) {PRM_68 (READ_ONLY)} // Auslösung NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_67 (READ_ONLY)} // Betriebsart NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_2924 (READ_ONLY)} // Auslösequelle NOT (using RULE_12)
            PRM_230 (READ_ONLY), // Verhalten NOT
            PRM_231 (READ_ONLY)  // Position NOT
            IF (PRM_4033 == 0) {PRM_232 (READ_ONLY)} // Drehzahl NOT (using RULE_503)
            IF (PRM_2923 != 0) {PRM_70 (READ_ONLY)} // Bypass Drehmo NOT (using RULE_12)
            PRM_69 (READ_ONLY)  // Bypass Thermo NOT
            IF (PRM_2923 != 0) {PRM_71 (READ_ONLY)} // Bypass Takt NOT (using RULE_12)
            IF (PRM_2923 != 0) {PRM_4015 (HIDDEN), uiPRM_4015 (READ_ONLY)} // DelayTime_DlyESD (using RULE_12)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_142_M "Taktgeber"
// 
MENU menu_DIS_142_M // Taktgeber
{
    LABEL		[TXT_DIS_142];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1177 == 1) {PRM_590 (READ_ONLY)} // TaktbetriebZuMode (using RULE_16)
            IF (PRM_1177 == 1) {PRM_592 (HIDDEN), uiPRM_592 (READ_ONLY)} // TaktfahrzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_591 (HIDDEN), uiPRM_591 (READ_ONLY)} // TaktpausenzeitZu (using RULE_16)
            IF (PRM_1177 == 1) {PRM_594 (READ_ONLY)} // TaktstreckeZuStart (using RULE_16)
            IF (PRM_1177 == 1) {PRM_593 (READ_ONLY)} // TaktstreckeZuEnde (using RULE_16)
            IF (PRM_1176 == 1) {PRM_13 (READ_ONLY)} // TaktbetriebAufMode (using RULE_17)
            IF (PRM_1176 == 1) {PRM_7 (HIDDEN), uiPRM_7 (READ_ONLY)} // TaktfahrzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_8 (HIDDEN), uiPRM_8 (READ_ONLY)} // TaktpausenzeitAuf (using RULE_17)
            IF (PRM_1176 == 1) {PRM_5 (READ_ONLY)} // TaktstreckeAufStart (using RULE_17)
            IF (PRM_1176 == 1) {PRM_6 (READ_ONLY)} // TaktstreckeAufEnde (using RULE_17)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_355_M "ED-Überwachung"
// 
MENU menu_DIS_355_M // ED-Überwachung
{
    LABEL		[TXT_DIS_355];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2121 (READ_ONLY), // ED-Enable
            PRM_2122 (READ_ONLY), // Max Laufzeit pro Std
            PRM_2123 (READ_ONLY)  // Max Anläufe pro Std
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_676_M "Bewegungserkennung"
// 
MENU menu_DIS_676_M // Bewegungserkennung
{
    LABEL		[TXT_DIS_676];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2554 (READ_ONLY)  // Mode_MotionDetector
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2555 (HIDDEN), uiPRM_2555 (READ_ONLY)} // Dt_MotionDetector (using RULE_239)
            IF (((PRM_2755 == 1)) || ((PRM_2755 == 2))) {PRM_2556 (READ_ONLY)} // Dx_MotionDetector (using RULE_239)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_568_M "Stellzeitüberwachung"
// 
MENU menu_DIS_568_M // Stellzeitüberwachung
{
    LABEL		[TXT_DIS_568];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2546 (READ_ONLY), // ApplMode_OpTimeMon
            PRM_2547 (HIDDEN), uiPRM_2547 (READ_ONLY)  // ApplOpTime_OpTimeMon
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_632_M "Reaktionsüberwachung"
// 
MENU menu_DIS_632_M // Reaktionsüberwachung
{
    LABEL		[TXT_DIS_632];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_3157 (READ_ONLY), // Betriebsart Standard
            PRM_3158 (READ_ONLY)  // Reakt.Reaktionszeit
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_53_M "Gerätekonfiguration"
// 
MENU menu_DIS_53_M // Gerätekonfiguration
{
    LABEL		[TXT_DIS_53];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {menu_DIS_139_M (READ_ONLY)} // Interface (using RULE_19)
            menu_DIS_168_M (READ_ONLY), // Antrieb
            menu_DIS_944_M (READ_ONLY), // Drehzahl
            menu_DIS_380_M (READ_ONLY), // Serviceschnittstelle
            menu_DIS_178_M (READ_ONLY)  // Anwendungsfunktionen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_139_M "Interface"
// 
MENU menu_DIS_139_M // Interface
{
    LABEL		[TXT_DIS_139];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {menu_DIS_116_M (READ_ONLY)} // Eingänge binär (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_389_M (READ_ONLY)} // Eingänge analog (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_110_M (READ_ONLY)} // Ausgänge binär (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_335_M (READ_ONLY)} // Ausgänge analog (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_116_M "Eingänge binär"
// 
MENU menu_DIS_116_M // Eingänge binär
{
    LABEL		[TXT_DIS_116];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_873 (READ_ONLY)} // Funktion_DigIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_932 (READ_ONLY)} // Funktion_DigIn2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_926 (READ_ONLY)} // Funktion_DigIn3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_920 (READ_ONLY)} // Funktion_DigIn4 (using RULE_361)
            IF (PRM_45 == 1) {PRM_878 (READ_ONLY)} // InvertDigIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_933 (READ_ONLY)} // InvertDigIn2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_927 (READ_ONLY)} // InvertDigIn3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_921 (READ_ONLY)} // InvertDigIn4 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_389_M "Eingänge analog"
// 
MENU menu_DIS_389_M // Eingänge analog
{
    LABEL		[TXT_DIS_389];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1133 (READ_ONLY)} // LowerLimit_AnaIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1130 (READ_ONLY)} // UpperLimit_AnaIn1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1129 (READ_ONLY)} // Funktion_AnaIn1 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_110_M "Ausgänge binär"
// 
MENU menu_DIS_110_M // Ausgänge binär
{
    LABEL		[TXT_DIS_110];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1012 (READ_ONLY)} // Funktion_DigOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1102 (READ_ONLY)} // Funktion_DigOut2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1097 (READ_ONLY)} // Funktion_DigOut3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1092 (READ_ONLY)} // Funktion_DigOut4 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1013 (READ_ONLY)} // InvertDigOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1103 (READ_ONLY)} // InvertDigOut2 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1098 (READ_ONLY)} // InvertDigOut3 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1093 (READ_ONLY)} // InvertDigOut4 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_335_M "Ausgänge analog"
// 
MENU menu_DIS_335_M // Ausgänge analog
{
    LABEL		[TXT_DIS_335];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1254 (READ_ONLY)} // Funktion AnPwmOut1 (using RULE_361)
            IF (PRM_45 == 1) {PRM_1255 (READ_ONLY)} // Bereich_AnPwmOut1 (using RULE_361)
            IF (PRM_45 == 1) {menu_DIS_544_M (READ_ONLY)} // Abgleich AOUT1 (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_544_M "Abgleich AOUT1"
// 
MENU menu_DIS_544_M // Abgleich AOUT1
{
    LABEL		[TXT_DIS_544];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_45 == 1) {PRM_1257 (READ_ONLY)} // Korrektur 0 / 4 mA (using RULE_361)
            IF (PRM_45 == 1) {PRM_1256 (READ_ONLY)} // Korrektur 20mA (using RULE_361)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_168_M "Antrieb"
// 
MENU menu_DIS_168_M // Antrieb
{
    LABEL		[TXT_DIS_168];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_208 (READ_ONLY), // MODE_Thermofehler
            PRM_4033 (READ_ONLY)  // Logik BCD-Sw TrTrqC
            IF (((PRM_1752 == 1)) || ((PRM_3633 == 2))) {PRM_79 (READ_ONLY)} // Drehsinn Schließen (using RULE_541)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_944_M "Drehzahl"
// 
MENU menu_DIS_944_M // Drehzahl
{
    LABEL		[TXT_DIS_944];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_4033 == 0) {PRM_1310 (READ_ONLY)} // Solldrehzahl (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4067 (READ_ONLY)} // Drehzahl Fern (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4069 (READ_ONLY)} // Drehzahl Fb Select (using RULE_503)
            IF (PRM_4033 == 0) {PRM_4068 (READ_ONLY)} // Drehzahl Ifa Select (using RULE_503)
            IF (PRM_4033 == 1) {PRM_2993 (READ_ONLY)} // Logik BCD-Sw Speed (using RULE_530)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_860_M "Sammelmeldungen"
// 
MENU menu_DIS_860_M // Sammelmeldungen
{
    LABEL		[TXT_DIS_860];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_4233 (READ_ONLY), // EreignisprotokolPVST
            PRM_4234 (READ_ONLY), // AUMA Warnung
            PRM_4235 (READ_ONLY), // AUMA Fehler
            PRM_4236 (READ_ONLY), // Nicht bereit FERN
            PRM_4237 (READ_ONLY), // AUMA OK
            PRM_4238 (READ_ONLY), // Konfigurationswarnung
            PRM_4239 (READ_ONLY), // NAMUR Out Of Spec
            PRM_4240 (READ_ONLY), // NAMUR Fkt-Kontrolle
            PRM_4241 (READ_ONLY), // NAMUR Wartungsbedarf
            PRM_4242 (READ_ONLY), // NAMUR Ausfall
            PRM_4243 (READ_ONLY), // Konfigurationsfehler
            PRM_4244 (READ_ONLY), // Fehler Hydraulik
            PRM_4245 (READ_ONLY), // Falscher Befehl
            PRM_4246 (READ_ONLY), // InternerFehler
            PRM_4247 (READ_ONLY), // InterneWarnung
            PRM_4248 (READ_ONLY), // Diagnose Feldbus
            PRM_4249 (READ_ONLY), // Warnung Hydraulik
            PRM_4250 (READ_ONLY), // Störung (AC1 konform)
            PRM_4251 (READ_ONLY), // FehlerKonfigurierbar
            PRM_4252 (READ_ONLY), // WarnungKonfigurierb.
            PRM_4253 (READ_ONLY), // NBF konfigurierbar
            PRM_4254 (READ_ONLY), // Konfigfehler Fern
            PRM_4255 (READ_ONLY), // PzdAktivierung-SM-23
            PRM_4256 (READ_ONLY), // Status Safety (SIL)
            PRM_4257 (READ_ONLY), // PzdAktivierung-SM-25
            PRM_4258 (READ_ONLY), // PzdAktivierung-SM-26
            PRM_4259 (READ_ONLY), // PzdAktivierung-SM-27
            PRM_4260 (READ_ONLY), // PzdAktivierung-SM-28
            PRM_4261 (READ_ONLY), // LWL Warnung
            PRM_4262 (READ_ONLY), // Service1
            PRM_4263 (READ_ONLY), // Service2
            PRM_4264 (READ_ONLY)  // Service3
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_380_M "Serviceschnittstelle"
// 
MENU menu_DIS_380_M // Serviceschnittstelle
{
    LABEL		[TXT_DIS_380];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_1165 (READ_ONLY), // Geräte-TAG
            PRM_2175 (READ_ONLY)  // ServicemotionOrtClnt
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_178_M "Anwendungsfunktionen"
// 
MENU menu_DIS_178_M // Anwendungsfunktionen
{
    LABEL		[TXT_DIS_178];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_212_M (READ_ONLY)  // Aktivierung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_212_M "Aktivierung"
// 
MENU menu_DIS_212_M // Aktivierung
{
    LABEL		[TXT_DIS_212];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2923 (READ_ONLY), // Aktivierung NOT
            PRM_1177 (READ_ONLY), // TaktZuAktiv
            PRM_1176 (READ_ONLY)  // TaktAufAktiv
            IF (PRM_1178 == 1) {PRM_1169 (READ_ONLY)} // AktivierngStelRegler (using RULE_13)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_592_M "Gerätestatus"
// 
MENU menu_DIS_592_M // Gerätestatus
{
    LABEL		[TXT_DIS_592];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_612_M (READ_ONLY), // Allgemein
            menu_DIS_540_M (READ_ONLY), // Auma-Meldungen
            menu_DIS_533_M (READ_ONLY)  // Namur-Meldungen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_612_M "Allgemein"
// 
MENU menu_DIS_612_M // Allgemein
{
    LABEL		[TXT_DIS_612];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_268 (READ_ONLY), // BypassedDoeFehler
            PZD_269 (READ_ONLY), // BypassedDsFehler
            PZD_2 (READ_ONLY), // Istwert E2
            PZD_545 (READ_ONLY), // Drehmoment Istwert
            PZD_120 (READ_ONLY), // Betriebsmodus
            menu_PZD_144_M (READ_ONLY), // Fahrbefehl
            PZD_264 (READ_ONLY), // AntriebFaehrtAUF
            PZD_265 (READ_ONLY), // AntriebFaehrtZU
            PZD_401 (READ_ONLY), // Position erreicht
            PZD_375 (READ_ONLY), // WOE_Konditioniert
            PZD_376 (READ_ONLY), // WS_Konditioniert
            PZD_459 (READ_ONLY), // DOE_Signal
            PZD_460 (READ_ONLY)  // DS_Signal
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_144_M "Fahrbefehl"
// 
MENU menu_PZD_144_M // Fahrbefehl
{
    LABEL		[TXT_PZD_144];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_144_cmd (READ_ONLY), // Logik: Fahrbefehl (cmd)
            PZD_144_dir (READ_ONLY), // Logik: Fahrbefehl (direction)
            PZD_144_speed (READ_ONLY), // Logik: Fahrbefehl (speed)
            PZD_144_position (READ_ONLY)  // Logik: Fahrbefehl (position)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_22_M "Diagnose"
// 
MENU menu_DIS_22_M // Diagnose
{
    LABEL		[TXT_DIS_22];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_831_M (READ_ONLY)  // Stellungsgeber Poti
            IF (PRM_1169 == 1) {menu_DIS_613_M (READ_ONLY)} // Stellungsregler (using RULE_14)
            IF (PRM_2121 == 1) {menu_DIS_593_M (READ_ONLY)} // ED Überwachung (using RULE_155)
            IF (PRM_181 == 1) {menu_DIS_240_M (READ_ONLY)} // Profibus Kanal 1 (using RULE_21)
            IF (PRM_181 == 1) {menu_DIS_602_M (READ_ONLY)} // Profibus Details (using RULE_21)
            menu_DIS_177_M (READ_ONLY), // Betriebsdaten
            menu_DIS_524_M (READ_ONLY)  // Gerätetemperaturen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_831_M "Stellungsgeber Poti"
// 
MENU menu_DIS_831_M // Stellungsgeber Poti
{
    LABEL		[TXT_DIS_831];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_2402 (READ_ONLY), // PotiRangeMin
            PZD_928 (READ_ONLY), // Aktueller Poti-Hub
            PRM_828 (READ_ONLY), // PotiEndposAufRohwert
            PRM_829 (READ_ONLY), // PotiEndposZuRohwert
            PZD_345 (READ_ONLY)  // PotiRohwert-mV
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_613_M "Stellungsregler"
// 
MENU menu_DIS_613_M // Stellungsregler
{
    LABEL		[TXT_DIS_613];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_1169 == 1) {PRM_84 (READ_ONLY)} // StellungreglerMode (using RULE_14)
            IF (PRM_1169 == 1) {PZD_7 (READ_ONLY)} // Fern1SollwertE1 (using RULE_14)
            IF (PRM_1169 == 1) {PZD_2 (READ_ONLY)} // Istwert E2 (using RULE_14)
            IF (PRM_84 == 0) {PZD_659 (READ_ONLY)} // XTActual (using RULE_165)
            IF (PRM_84 != 0) {PZD_1030 (READ_ONLY)} // XT Open (using RULE_166)
            IF (PRM_84 != 0) {PZD_1031 (READ_ONLY)} // XT Close (using RULE_166)
            IF (PRM_1169 == 1) {PZD_1032 (READ_ONLY)} // Xi Open (using RULE_14)
            IF (PRM_1169 == 1) {PZD_1033 (READ_ONLY)} // Xi Close (using RULE_14)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_593_M "ED Überwachung"
// 
MENU menu_DIS_593_M // ED Überwachung
{
    LABEL		[TXT_DIS_593];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_2121 == 1) {PZD_488 (READ_ONLY)} // ED Time (using RULE_155)
            IF (PRM_2121 == 1) {PZD_489 (READ_ONLY)} // ED Starts (using RULE_155)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_240_M "Profibus Kanal 1"
// 
MENU menu_DIS_240_M // Profibus Kanal 1
{
    LABEL		[TXT_DIS_240];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_958 (READ_ONLY)} // Profibus_Ist_Adress1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_578 (READ_ONLY)} // Pb Baudrate K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_576 (READ_ONLY)} // Pb WD-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_577 (READ_ONLY)} // Pb DP-Status K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_580 (READ_ONLY)} // Pb GC Clear K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_579 (READ_ONLY)} // Pb 0 Tele K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_581 (READ_ONLY)} // Pb GC Freeze K1 (using RULE_21)
            IF (PRM_181 == 1) {PZD_582 (READ_ONLY)} // Pb GC Sync K1 (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_602_M "Profibus Details"
// 
MENU menu_DIS_602_M // Profibus Details
{
    LABEL		[TXT_DIS_602];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PRM_181 == 1) {PZD_737 (READ_ONLY)} // DPV1_Control (using RULE_21)
            IF (PRM_181 == 1) {PZD_738 (READ_ONLY)} // DP-V1 C2-Verbindung  (using RULE_21)
            IF (PRM_181 == 1) {PZD_604 (READ_ONLY)} // Fahrbef.Kanal1 aktiv (using RULE_21)
            IF (PRM_181 == 1) {PRM_3006 (READ_ONLY)} // Profibus Ident Nr (using RULE_21)
            IF (PRM_181 == 1) {PZD_744 (READ_ONLY)} // DP-V1 Enable (SetPrm) (using RULE_21)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_177_M "Betriebsdaten"
// 
MENU menu_DIS_177_M // Betriebsdaten
{
    LABEL		[TXT_DIS_177];
    ACCESS		ONLINE;
    ITEMS
    {
            menu_DIS_183_M (READ_ONLY), // Betriebsdaten Gesamt
            menu_DIS_188_M (READ_ONLY)  // Betriebsdaten Kunde
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_183_M "Betriebsdaten Gesamt"
// 
MENU menu_DIS_183_M // Betriebsdaten Gesamt
{
    LABEL		[TXT_DIS_183];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_495 (READ_ONLY), // Laufzeit
            PRM_496 (READ_ONLY), // Anläufe
            PRM_503 (READ_ONLY), // Thermofehler
            PRM_501 (READ_ONLY), // Drehmofehler ZU
            PRM_502 (READ_ONLY), // Drehmofehler AUF
            PRM_498 (READ_ONLY), // Wegabschaltungen ZU
            PRM_500 (READ_ONLY), // Wegabschaltungen AUF
            PRM_497 (READ_ONLY), // Drehmoabschaltungen ZU
            PRM_499 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_505 (READ_ONLY), // ErrorsEDTime
            PRM_506 (READ_ONLY), // ErrorsEDMax
            PRM_507 (READ_ONLY)  // Resets
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_188_M "Betriebsdaten Kunde"
// 
MENU menu_DIS_188_M // Betriebsdaten Kunde
{
    LABEL		[TXT_DIS_188];
    ACCESS		ONLINE;
    ITEMS
    {
            PRM_163 (READ_ONLY), // Laufzeit
            PRM_164 (READ_ONLY), // Anläufe
            PRM_170 (READ_ONLY), // Thermofehler
            PRM_175 (READ_ONLY), // Drehmofehler ZU
            PRM_171 (READ_ONLY), // Drehmofehler AUF
            PRM_172 (READ_ONLY), // Wegabschaltungen ZU
            PRM_174 (READ_ONLY), // Wegabschaltungen AUF
            PRM_166 (READ_ONLY), // Drehmoabschaltung en ZU
            PRM_173 (READ_ONLY), // Drehmoabschaltungen AUF
            PRM_168 (READ_ONLY), // ErrorsEDTime
            PRM_167 (READ_ONLY), // ErrorsEDMax
            PRM_165 (READ_ONLY), // Anzahl Resets
            PRM_3484 (READ_ONLY, HIDDEN)  // Betriebsd. zurücksetzen
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_524_M "Gerätetemperaturen"
// 
MENU menu_DIS_524_M // Gerätetemperaturen
{
    LABEL		[TXT_DIS_524];
    ACCESS		ONLINE;
    ITEMS
    {
            PZD_4 (READ_ONLY)  // T_Steuerung
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_540_M "Auma-Meldungen"
// 
MENU menu_DIS_540_M // Auma-Meldungen
{
    LABEL		[TXT_DIS_540];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_M (READ_ONLY)} // Warnungen (using RulePZD_78)
            IF (PZD_80 != 0) {menu_DIS_542_M (READ_ONLY)} // nicht bereit FERN (using RulePZD_80)
            IF (PZD_79 != 0) {menu_DIS_543_M (READ_ONLY)} // Fehler (using RulePZD_79)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_541_M "Sammel-Meldung2: Warnung"
// 
MENU menu_DIS_541_M // Sammel-Meldung2: Warnung
{
    LABEL		[TXT_DIS_541];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_82 != 0) {menu_PZD_82_M (READ_ONLY)} // Sammel-Meldung6: Konfigurationswarnung (using RulePZD_82)
            IF (PZD_91 != 0) {menu_PZD_91_M (READ_ONLY)} // Sammel-Meldung 15: Interne Warnung (using RulePZD_91)
            IF (PZD_461 != 0) {PZD_461 (READ_ONLY)} // FailSafe ist aktiv (using RulePZD_461)
            IF (PZD_486 != 0) {PZD_486 (READ_ONLY)} // Lcb: ED Warnung 1: (Laufzeit) (using RulePZD_486)
            IF (PZD_487 != 0) {PZD_487 (READ_ONLY)} // Lcb: ED Warnung 2 (Anläufe) (using RulePZD_487)
            IF (PZD_556 != 0) {PZD_556 (READ_ONLY)} // Stellzeitwarnung (using RulePZD_556)
            IF (PZD_563 != 0) {PZD_563 (READ_ONLY)} // Keine Reaktion: Warnung (using RulePZD_563)
            IF (PZD_485 != 0) {PZD_485 (READ_ONLY)} // Logik: 24VExt Error (using RulePZD_485)
            IF (PZD_490 != 0) {PZD_490 (READ_ONLY)} // LCB: RTC nicht gesetzt (using RulePZD_490)
            IF (PZD_629 != 0) {PZD_629 (READ_ONLY)} // Warnung Temperatur Steuerung (using RulePZD_629)
            IF (PZD_630 != 0) {PZD_630 (READ_ONLY)} // Warnung Temperatur Motor (using RulePZD_630)
            IF (PZD_631 != 0) {PZD_631 (READ_ONLY)} // Warnung Temperatur Getriebe (using RulePZD_631)
            IF (PZD_633 != 0) {PZD_633 (READ_ONLY)} // Warnung AnalogIn 1 E8 (using RulePZD_633)
            IF (PZD_634 != 0) {PZD_634 (READ_ONLY)} // Warnung AnalogIn 2 E9 (using RulePZD_634)
            IF (PZD_637 != 0) {PZD_637 (READ_ONLY)} // Warnung Sollposition E1 (using RulePZD_637)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_82_M "Sammel-Meldung6: Konfigurationswarnung"
// 
MENU menu_PZD_82_M // Sammel-Meldung6: Konfigurationswarnung
{
    LABEL		[TXT_PZD_82];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_666 != 0) {PZD_666 (READ_ONLY)} // Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert (using RulePZD_666)
            IF (PZD_758 != 0) {PZD_758 (READ_ONLY)} // PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration (using RulePZD_758)
            IF (PZD_759 != 0) {PZD_759 (READ_ONLY)} // PRM-Konsistenz: Feldbuskonfiguration (using RulePZD_759)
            IF (PZD_762 != 0) {PZD_762 (READ_ONLY)} // PRM-Konsistenz: DigIn1-Konfiguration (using RulePZD_762)
            IF (PZD_763 != 0) {PZD_763 (READ_ONLY)} // PRM-Konsistenz: DigIn2-Konfiguration (using RulePZD_763)
            IF (PZD_764 != 0) {PZD_764 (READ_ONLY)} // PRM-Konsistenz: DigIn3-Konfiguration (using RulePZD_764)
            IF (PZD_765 != 0) {PZD_765 (READ_ONLY)} // PRM-Konsistenz: DigIn4-Konfiguration (using RulePZD_765)
            IF (PZD_808 != 0) {PZD_808 (READ_ONLY)} // PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion (using RulePZD_808)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_91_M "Sammel-Meldung 15: Interne Warnung"
// 
MENU menu_PZD_91_M // Sammel-Meldung 15: Interne Warnung
{
    LABEL		[TXT_PZD_91];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_663 != 0) {PZD_663 (READ_ONLY)} // Potifehler (out of range) (using RulePZD_663)
            IF (PZD_483 != 0) {PZD_483 (READ_ONLY)} // Logik: 24VKD Error (using RulePZD_483)
            IF (PZD_484 != 0) {PZD_484 (READ_ONLY)} // Logik: 24VInt Error (using RulePZD_484)
            IF (PZD_621 != 0) {PZD_621 (READ_ONLY)} // Warnung keine Referenzfahrrt E2 (using RulePZD_621)
            IF (PZD_622 != 0) {PZD_622 (READ_ONLY)} // Warnung geringer Signalhub E2 (using RulePZD_622)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_542_M "Sammel-Meldung4: nicht bereit Fern"
// 
MENU menu_DIS_542_M // Sammel-Meldung4: nicht bereit Fern
{
    LABEL		[TXT_DIS_542];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_89 != 0) {menu_PZD_89_M (READ_ONLY)} // Sammel-Meldung 13: Falscher Befehl (using RulePZD_89)
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handschalter betätigt (using RulePZD_553)
            IF (PZD_607 != 0) {PZD_607 (READ_ONLY)} // Wahlschalter nicht Fern (using RulePZD_607)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
            IF (PZD_281 != 0) {PZD_281 (READ_ONLY)} // Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen (using RulePZD_281)
            IF (PZD_280 != 0) {PZD_280 (READ_ONLY)} // Logik: Betriebsmodus EMCY_OP (using RulePZD_280)
            IF (PZD_606 != 0) {PZD_606 (READ_ONLY)} // Feldbus Fail Safe aktiv (using RulePZD_606)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_89_M "Sammel-Meldung 13: Falscher Befehl"
// 
MENU menu_PZD_89_M // Sammel-Meldung 13: Falscher Befehl
{
    LABEL		[TXT_PZD_89];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_371 != 0) {PZD_371 (READ_ONLY)} // Logik: ungültiger Fahrbefehl (using RulePZD_371)
            IF (PZD_555 != 0) {PZD_555 (READ_ONLY)} // Falscher Befehl Interface I (using RulePZD_555)
            IF (PZD_688 != 0) {PZD_688 (READ_ONLY)} // Falscher Befehl Feldbus (using RulePZD_688)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_543_M "Sammel-Meldung3: Fehler"
// 
MENU menu_DIS_543_M // Sammel-Meldung3: Fehler
{
    LABEL		[TXT_DIS_543];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_87 != 0) {menu_PZD_87_M (READ_ONLY)} // Sammel-Meldung 11: Konfigurationsfehler (using RulePZD_87)
            IF (PZD_90 != 0) {menu_PZD_90_M (READ_ONLY)} // Sammel-Meldung 14: Interne Fehler (using RulePZD_90)
            IF (PZD_268 != 0) {PZD_268 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler AUF (using RulePZD_268)
            IF (PZD_269 != 0) {PZD_269 (READ_ONLY)} // Logik: Bypassed Drehmomentfehler ZU (using RulePZD_269)
            IF (PZD_270 != 0) {PZD_270 (READ_ONLY)} // Logik: Bypassed Thermofehler (using RulePZD_270)
            IF (PZD_718 != 0) {PZD_718 (READ_ONLY)} // Keine Reaktion: Fehler (using RulePZD_718)
            IF (PZD_481 != 0) {PZD_481 (READ_ONLY)} // Logik: PH_DIR_NOK (falsche Phasenfolge) (using RulePZD_481)
            IF (PZD_302 != 0) {PZD_302 (READ_ONLY)} // Logik: Phasenausfall (using RulePZD_302)
            IF (PZD_479 != 0) {PZD_479 (READ_ONLY)} // Logik: Netzqualität (using RulePZD_479)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_87_M "Sammel-Meldung 11: Konfigurationsfehler"
// 
MENU menu_PZD_87_M // Sammel-Meldung 11: Konfigurationsfehler
{
    LABEL		[TXT_PZD_87];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_671 != 0) {PZD_671 (READ_ONLY)} // System: Interner Fehler Konfiguration Stellungsgeber (using RulePZD_671)
            IF (PZD_809 != 0) {PZD_809 (READ_ONLY)} // System: Konfigurationsfehler \"FERN-Interface fehlt\" (using RulePZD_809)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_PZD_90_M "Sammel-Meldung 14: Interne Fehler"
// 
MENU menu_PZD_90_M // Sammel-Meldung 14: Interne Fehler
{
    LABEL		[TXT_PZD_90];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_664 != 0) {PZD_664 (READ_ONLY)} // Meldung: Ausgang defekt (using RulePZD_664)
            IF (PZD_557 != 0) {PZD_557 (READ_ONLY)} // Motorschutzüberwachung defekt (using RulePZD_557)
            IF (PZD_480 != 0) {PZD_480 (READ_ONLY)} // Logik: HW-Fehler (using RulePZD_480)
            IF (PZD_482 != 0) {PZD_482 (READ_ONLY)} // Logik: 24VAC Error (using RulePZD_482)
            IF (PZD_675 != 0) {PZD_675 (READ_ONLY)} // System: Interner Fehler Lcb-Exception (using RulePZD_675)
            IF (PZD_676 != 0) {PZD_676 (READ_ONLY)} // System: Interner Fehler Logik-Exception (using RulePZD_676)
            IF (PZD_678 != 0) {PZD_678 (READ_ONLY)} // System: Interner Fehler Bus-Exception (using RulePZD_678)
            IF (PZD_623 != 0) {PZD_623 (READ_ONLY)} // Warnung Signalbruch E2 (using RulePZD_623)
            IF (PZD_679 != 0) {PZD_679 (READ_ONLY)} // Fehler Stellungsgeber (using RulePZD_679)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_533_M "Namur-Meldungen"
// 
MENU menu_DIS_533_M // Namur-Meldungen
{
    LABEL		[TXT_DIS_533];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_83 != 0) {menu_DIS_534_M (READ_ONLY)} // außerhalb Spez. (using RulePZD_83)
            IF (PZD_84 != 0) {menu_DIS_535_M (READ_ONLY)} // Funktionskontrolle (using RulePZD_84)
            IF (PZD_86 != 0) {menu_DIS_537_M (READ_ONLY)} // Ausfall (using RulePZD_86)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_534_M "Sammel-Meldung7: Namur Out Of Spec"
// 
MENU menu_DIS_534_M // Sammel-Meldung7: Namur Out Of Spec
{
    LABEL		[TXT_DIS_534];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_78 != 0) {menu_DIS_541_M (READ_ONLY)} // Sammel-Meldung2: Warnung (using RulePZD_78)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_535_M "Sammel-Meldung8: Namur Funktionskontrolle"
// 
MENU menu_DIS_535_M // Sammel-Meldung8: Namur Funktionskontrolle
{
    LABEL		[TXT_DIS_535];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_553 != 0) {PZD_553 (READ_ONLY)} // Logik: Handschalter betätigt (using RulePZD_553)
            IF (PZD_607 != 0) {PZD_607 (READ_ONLY)} // Wahlschalter nicht Fern (using RulePZD_607)
            IF (PZD_685 != 0) {PZD_685 (READ_ONLY)} // lokaler HALT (using RulePZD_685)
            IF (PZD_285 != 0) {PZD_285 (READ_ONLY)} // Logik: Betriebsmodus EMCY_STOP (using RulePZD_285)
            IF (PZD_282 != 0) {PZD_282 (READ_ONLY)} // Logik: Betriebsmodus SERVICE (using RulePZD_282)
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   Defining MENU menu_DIS_537_M "Sammel-Meldung10: Namur Ausfall"
// 
MENU menu_DIS_537_M // Sammel-Meldung10: Namur Ausfall
{
    LABEL		[TXT_DIS_537];
    ACCESS		ONLINE;
    ITEMS
    {
            IF (PZD_79 != 0) {menu_DIS_543_M (READ_ONLY)} // Sammel-Meldung3: Fehler (using RulePZD_79)
    }
}
 
#endif /* defined(_PDM_) && !defined(_V700_) */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special methods
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Diagnosis method
// 
#ifdef _PDM_
// standard method for device specific diagnosis status
METHOD method_PDM_DeviceDiagnosis
{
    LABEL	[TXT_method_PDM_DeviceDiagnosis];
    ACCESS	ONLINE;
    DEFINITION
    {
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Start" );
        ReadCommand(read_view_DIS_612); // refresh menu Allgemein

        // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
        // read value of PZD_78 before checking its state
        ReadCommand(read_PZD_78);
        if(PZD_78 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
            // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
            // read value of PZD_82 before checking its state
            ReadCommand(read_PZD_82);
            if(PZD_82 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                // read value of PZD_666 before checking its state
                ReadCommand(read_PZD_666);
                if(PZD_666 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                // read value of PZD_758 before checking its state
                ReadCommand(read_PZD_758);
                if(PZD_758 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                // read value of PZD_759 before checking its state
                ReadCommand(read_PZD_759);
                if(PZD_759 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                // read value of PZD_762 before checking its state
                ReadCommand(read_PZD_762);
                if(PZD_762 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                // read value of PZD_763 before checking its state
                ReadCommand(read_PZD_763);
                if(PZD_763 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                // read value of PZD_764 before checking its state
                ReadCommand(read_PZD_764);
                if(PZD_764 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                // read value of PZD_765 before checking its state
                ReadCommand(read_PZD_765);
                if(PZD_765 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                // read value of PZD_808 before checking its state
                ReadCommand(read_PZD_808);
                if(PZD_808 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
            // read value of PZD_91 before checking its state
            ReadCommand(read_PZD_91);
            if(PZD_91 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                // PDM_DIAG_PROCESS_WARNING: PZD_663 "Potifehler (out of range)"
                // read value of PZD_663 before checking its state
                ReadCommand(read_PZD_663);
                if(PZD_663 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_663]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                // read value of PZD_483 before checking its state
                ReadCommand(read_PZD_483);
                if(PZD_483 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                // read value of PZD_484 before checking its state
                ReadCommand(read_PZD_484);
                if(PZD_484 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                // read value of PZD_621 before checking its state
                ReadCommand(read_PZD_621);
                if(PZD_621 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                // read value of PZD_622 before checking its state
                ReadCommand(read_PZD_622);
                if(PZD_622 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                }
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
            // read value of PZD_461 before checking its state
            ReadCommand(read_PZD_461);
            if(PZD_461 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
            // read value of PZD_486 before checking its state
            ReadCommand(read_PZD_486);
            if(PZD_486 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
            // read value of PZD_487 before checking its state
            ReadCommand(read_PZD_487);
            if(PZD_487 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
            // read value of PZD_556 before checking its state
            ReadCommand(read_PZD_556);
            if(PZD_556 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
            // read value of PZD_563 before checking its state
            ReadCommand(read_PZD_563);
            if(PZD_563 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
            // read value of PZD_485 before checking its state
            ReadCommand(read_PZD_485);
            if(PZD_485 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_490 "LCB: RTC nicht gesetzt"
            // read value of PZD_490 before checking its state
            ReadCommand(read_PZD_490);
            if(PZD_490 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
            // read value of PZD_629 before checking its state
            ReadCommand(read_PZD_629);
            if(PZD_629 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
            // read value of PZD_630 before checking its state
            ReadCommand(read_PZD_630);
            if(PZD_630 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
            // read value of PZD_631 before checking its state
            ReadCommand(read_PZD_631);
            if(PZD_631 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
            // read value of PZD_633 before checking its state
            ReadCommand(read_PZD_633);
            if(PZD_633 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
            // read value of PZD_634 before checking its state
            ReadCommand(read_PZD_634);
            if(PZD_634 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
            }
            // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
            // read value of PZD_637 before checking its state
            ReadCommand(read_PZD_637);
            if(PZD_637 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_542 "Sammel-Meldung4: nicht bereit Fern"
        // read value of PZD_80 before checking its state
        ReadCommand(read_PZD_80);
        if(PZD_80 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_542]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_89 "Sammel-Meldung 13: Falscher Befehl"
            // read value of PZD_89 before checking its state
            ReadCommand(read_PZD_89);
            if(PZD_89 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_89]);
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_371 "Logik: ungültiger Fahrbefehl"
                // read value of PZD_371 before checking its state
                ReadCommand(read_PZD_371);
                if(PZD_371 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_371]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_555 "Falscher Befehl Interface I"
                // read value of PZD_555 before checking its state
                ReadCommand(read_PZD_555);
                if(PZD_555 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_555]);
                }
                // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_688 "Falscher Befehl Feldbus"
                // read value of PZD_688 before checking its state
                ReadCommand(read_PZD_688);
                if(PZD_688 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_688]);
                }
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_275 "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
            // read value of PZD_275 before checking its state
            ReadCommand(read_PZD_275);
            if(PZD_275 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_275]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handschalter betätigt"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_607 "Wahlschalter nicht Fern"
            // read value of PZD_607 before checking its state
            ReadCommand(read_PZD_607);
            if(PZD_607 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_607]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_281 "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
            // read value of PZD_281 before checking its state
            ReadCommand(read_PZD_281);
            if(PZD_281 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_281]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_280 "Logik: Betriebsmodus EMCY_OP"
            // read value of PZD_280 before checking its state
            ReadCommand(read_PZD_280);
            if(PZD_280 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_280]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_606 "Feldbus Fail Safe aktiv"
            // read value of PZD_606 before checking its state
            ReadCommand(read_PZD_606);
            if(PZD_606 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_606]);
            }
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
        // read value of PZD_79 before checking its state
        ReadCommand(read_PZD_79);
        if(PZD_79 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
            // read value of PZD_87 before checking its state
            ReadCommand(read_PZD_87);
            if(PZD_87 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                // read value of PZD_671 before checking its state
                ReadCommand(read_PZD_671);
                if(PZD_671 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                // read value of PZD_809 before checking its state
                ReadCommand(read_PZD_809);
                if(PZD_809 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
            // read value of PZD_90 before checking its state
            ReadCommand(read_PZD_90);
            if(PZD_90 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                // read value of PZD_664 before checking its state
                ReadCommand(read_PZD_664);
                if(PZD_664 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                // read value of PZD_557 before checking its state
                ReadCommand(read_PZD_557);
                if(PZD_557 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                // read value of PZD_480 before checking its state
                ReadCommand(read_PZD_480);
                if(PZD_480 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                // read value of PZD_482 before checking its state
                ReadCommand(read_PZD_482);
                if(PZD_482 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                // read value of PZD_675 before checking its state
                ReadCommand(read_PZD_675);
                if(PZD_675 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                // read value of PZD_676 before checking its state
                ReadCommand(read_PZD_676);
                if(PZD_676 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                // read value of PZD_678 before checking its state
                ReadCommand(read_PZD_678);
                if(PZD_678 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_623 "Warnung Signalbruch E2"
                // read value of PZD_623 before checking its state
                ReadCommand(read_PZD_623);
                if(PZD_623 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_623]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                // read value of PZD_679 before checking its state
                ReadCommand(read_PZD_679);
                if(PZD_679 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                }
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
            if(PZD_268 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
            if(PZD_269 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
            // read value of PZD_270 before checking its state
            ReadCommand(read_PZD_270);
            if(PZD_270 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
            // read value of PZD_718 before checking its state
            ReadCommand(read_PZD_718);
            if(PZD_718 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
            // read value of PZD_481 before checking its state
            ReadCommand(read_PZD_481);
            if(PZD_481 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
            // read value of PZD_302 before checking its state
            ReadCommand(read_PZD_302);
            if(PZD_302 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
            }
            // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
            // read value of PZD_479 before checking its state
            ReadCommand(read_PZD_479);
            if(PZD_479 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
            }
        }
        // PDM_DIAG_PROCESS_WARNING: DIS_534 "Sammel-Meldung7: Namur Out Of Spec"
        // read value of PZD_83 before checking its state
        ReadCommand(read_PZD_83);
        if(PZD_83 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_534]);
            // PDM_DIAG_PROCESS_WARNING: DIS_541 "Sammel-Meldung2: Warnung"
            // read value of PZD_78 before checking its state
            ReadCommand(read_PZD_78);
            if(PZD_78 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_DIS_541]);
                // PDM_DIAG_PROCESS_WARNING: PZD_82 "Sammel-Meldung6: Konfigurationswarnung"
                // read value of PZD_82 before checking its state
                ReadCommand(read_PZD_82);
                if(PZD_82 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_82]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_666 "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
                    // read value of PZD_666 before checking its state
                    ReadCommand(read_PZD_666);
                    if(PZD_666 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_666]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_758 "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
                    // read value of PZD_758 before checking its state
                    ReadCommand(read_PZD_758);
                    if(PZD_758 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_758]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_759 "PRM-Konsistenz: Feldbuskonfiguration"
                    // read value of PZD_759 before checking its state
                    ReadCommand(read_PZD_759);
                    if(PZD_759 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_759]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_762 "PRM-Konsistenz: DigIn1-Konfiguration"
                    // read value of PZD_762 before checking its state
                    ReadCommand(read_PZD_762);
                    if(PZD_762 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_762]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_763 "PRM-Konsistenz: DigIn2-Konfiguration"
                    // read value of PZD_763 before checking its state
                    ReadCommand(read_PZD_763);
                    if(PZD_763 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_763]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_764 "PRM-Konsistenz: DigIn3-Konfiguration"
                    // read value of PZD_764 before checking its state
                    ReadCommand(read_PZD_764);
                    if(PZD_764 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_764]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_765 "PRM-Konsistenz: DigIn4-Konfiguration"
                    // read value of PZD_765 before checking its state
                    ReadCommand(read_PZD_765);
                    if(PZD_765 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_765]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_808 "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
                    // read value of PZD_808 before checking its state
                    ReadCommand(read_PZD_808);
                    if(PZD_808 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_808]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_91 "Sammel-Meldung 15: Interne Warnung"
                // read value of PZD_91 before checking its state
                ReadCommand(read_PZD_91);
                if(PZD_91 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_91]);
                    // PDM_DIAG_PROCESS_WARNING: PZD_663 "Potifehler (out of range)"
                    // read value of PZD_663 before checking its state
                    ReadCommand(read_PZD_663);
                    if(PZD_663 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_663]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_483 "Logik: 24VKD Error"
                    // read value of PZD_483 before checking its state
                    ReadCommand(read_PZD_483);
                    if(PZD_483 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_483]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_484 "Logik: 24VInt Error"
                    // read value of PZD_484 before checking its state
                    ReadCommand(read_PZD_484);
                    if(PZD_484 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_484]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_621 "Warnung keine Referenzfahrrt E2"
                    // read value of PZD_621 before checking its state
                    ReadCommand(read_PZD_621);
                    if(PZD_621 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_621]);
                    }
                    // PDM_DIAG_PROCESS_WARNING: PZD_622 "Warnung geringer Signalhub E2"
                    // read value of PZD_622 before checking its state
                    ReadCommand(read_PZD_622);
                    if(PZD_622 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_622]);
                    }
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_461 "FailSafe ist aktiv"
                // read value of PZD_461 before checking its state
                ReadCommand(read_PZD_461);
                if(PZD_461 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_461]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_486 "Lcb: ED Warnung 1: (Laufzeit)"
                // read value of PZD_486 before checking its state
                ReadCommand(read_PZD_486);
                if(PZD_486 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_486]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_487 "Lcb: ED Warnung 2 (Anläufe)"
                // read value of PZD_487 before checking its state
                ReadCommand(read_PZD_487);
                if(PZD_487 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_487]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_556 "Stellzeitwarnung"
                // read value of PZD_556 before checking its state
                ReadCommand(read_PZD_556);
                if(PZD_556 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_556]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_563 "Keine Reaktion: Warnung"
                // read value of PZD_563 before checking its state
                ReadCommand(read_PZD_563);
                if(PZD_563 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_563]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_485 "Logik: 24VExt Error"
                // read value of PZD_485 before checking its state
                ReadCommand(read_PZD_485);
                if(PZD_485 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_485]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_490 "LCB: RTC nicht gesetzt"
                // read value of PZD_490 before checking its state
                ReadCommand(read_PZD_490);
                if(PZD_490 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_490]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_629 "Warnung Temperatur Steuerung"
                // read value of PZD_629 before checking its state
                ReadCommand(read_PZD_629);
                if(PZD_629 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_629]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_630 "Warnung Temperatur Motor"
                // read value of PZD_630 before checking its state
                ReadCommand(read_PZD_630);
                if(PZD_630 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_630]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_631 "Warnung Temperatur Getriebe"
                // read value of PZD_631 before checking its state
                ReadCommand(read_PZD_631);
                if(PZD_631 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_631]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_633 "Warnung AnalogIn 1 E8"
                // read value of PZD_633 before checking its state
                ReadCommand(read_PZD_633);
                if(PZD_633 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_633]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_634 "Warnung AnalogIn 2 E9"
                // read value of PZD_634 before checking its state
                ReadCommand(read_PZD_634);
                if(PZD_634 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_634]);
                }
                // PDM_DIAG_PROCESS_WARNING: PZD_637 "Warnung Sollposition E1"
                // read value of PZD_637 before checking its state
                ReadCommand(read_PZD_637);
                if(PZD_637 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_PROCESS_WARNING;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_PROCESS_WARNING, [TXT_PZD_637]);
                }
            }
        }
        // PDM_DIAG_MODE_LOCAL_OVERRIDE: DIS_535 "Sammel-Meldung8: Namur Funktionskontrolle"
        // read value of PZD_84 before checking its state
        ReadCommand(read_PZD_84);
        if(PZD_84 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_DIS_535]);
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_553 "Logik: Handschalter betätigt"
            // read value of PZD_553 before checking its state
            ReadCommand(read_PZD_553);
            if(PZD_553 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_553]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_607 "Wahlschalter nicht Fern"
            // read value of PZD_607 before checking its state
            ReadCommand(read_PZD_607);
            if(PZD_607 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_607]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_685 "lokaler HALT"
            // read value of PZD_685 before checking its state
            ReadCommand(read_PZD_685);
            if(PZD_685 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_685]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_285 "Logik: Betriebsmodus EMCY_STOP"
            // read value of PZD_285 before checking its state
            ReadCommand(read_PZD_285);
            if(PZD_285 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_285]);
            }
            // PDM_DIAG_MODE_LOCAL_OVERRIDE: PZD_282 "Logik: Betriebsmodus SERVICE"
            // read value of PZD_282 before checking its state
            ReadCommand(read_PZD_282);
            if(PZD_282 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_LOCAL_OVERRIDE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_LOCAL_OVERRIDE, [TXT_PZD_282]);
            }
        }
        // PDM_DIAG_MAINT_LOW: DIS_536 "Sammel-Meldung9: Namur Wartungsbedarf"
        // read value of PZD_85 before checking its state
        ReadCommand(read_PZD_85);
        if(PZD_85 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MAINT_LOW;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MAINT_LOW, [TXT_DIS_536]);
        }
        // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_537 "Sammel-Meldung10: Namur Ausfall"
        // read value of PZD_86 before checking its state
        ReadCommand(read_PZD_86);
        if(PZD_86 != 0)
        {
            PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
            PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_537]);
            // PDM_DIAG_MODE_OUT_OF_SERVICE: DIS_543 "Sammel-Meldung3: Fehler"
            // read value of PZD_79 before checking its state
            ReadCommand(read_PZD_79);
            if(PZD_79 != 0)
            {
                PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_DIS_543]);
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_87 "Sammel-Meldung 11: Konfigurationsfehler"
                // read value of PZD_87 before checking its state
                ReadCommand(read_PZD_87);
                if(PZD_87 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_87]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_671 "System: Interner Fehler Konfiguration Stellungsgeber"
                    // read value of PZD_671 before checking its state
                    ReadCommand(read_PZD_671);
                    if(PZD_671 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_671]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_809 "System: Konfigurationsfehler \"FERN-Interface fehlt\""
                    // read value of PZD_809 before checking its state
                    ReadCommand(read_PZD_809);
                    if(PZD_809 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_809]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_90 "Sammel-Meldung 14: Interne Fehler"
                // read value of PZD_90 before checking its state
                ReadCommand(read_PZD_90);
                if(PZD_90 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_90]);
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_664 "Meldung: Ausgang defekt"
                    // read value of PZD_664 before checking its state
                    ReadCommand(read_PZD_664);
                    if(PZD_664 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_664]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_557 "Motorschutzüberwachung defekt"
                    // read value of PZD_557 before checking its state
                    ReadCommand(read_PZD_557);
                    if(PZD_557 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_557]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_480 "Logik: HW-Fehler"
                    // read value of PZD_480 before checking its state
                    ReadCommand(read_PZD_480);
                    if(PZD_480 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_480]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_482 "Logik: 24VAC Error"
                    // read value of PZD_482 before checking its state
                    ReadCommand(read_PZD_482);
                    if(PZD_482 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_482]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_675 "System: Interner Fehler Lcb-Exception"
                    // read value of PZD_675 before checking its state
                    ReadCommand(read_PZD_675);
                    if(PZD_675 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_675]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_676 "System: Interner Fehler Logik-Exception"
                    // read value of PZD_676 before checking its state
                    ReadCommand(read_PZD_676);
                    if(PZD_676 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_676]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_678 "System: Interner Fehler Bus-Exception"
                    // read value of PZD_678 before checking its state
                    ReadCommand(read_PZD_678);
                    if(PZD_678 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_678]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_623 "Warnung Signalbruch E2"
                    // read value of PZD_623 before checking its state
                    ReadCommand(read_PZD_623);
                    if(PZD_623 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_623]);
                    }
                    // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_679 "Fehler Stellungsgeber"
                    // read value of PZD_679 before checking its state
                    ReadCommand(read_PZD_679);
                    if(PZD_679 != 0)
                    {
                        PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                        PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_679]);
                    }
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_268 "Logik: Bypassed Drehmomentfehler AUF"
                if(PZD_268 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_268]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_269 "Logik: Bypassed Drehmomentfehler ZU"
                if(PZD_269 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_269]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_270 "Logik: Bypassed Thermofehler"
                // read value of PZD_270 before checking its state
                ReadCommand(read_PZD_270);
                if(PZD_270 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_270]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_718 "Keine Reaktion: Fehler"
                // read value of PZD_718 before checking its state
                ReadCommand(read_PZD_718);
                if(PZD_718 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_718]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_481 "Logik: PH_DIR_NOK (falsche Phasenfolge)"
                // read value of PZD_481 before checking its state
                ReadCommand(read_PZD_481);
                if(PZD_481 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_481]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_302 "Logik: Phasenausfall"
                // read value of PZD_302 before checking its state
                ReadCommand(read_PZD_302);
                if(PZD_302 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_302]);
                }
                // PDM_DIAG_MODE_OUT_OF_SERVICE: PZD_479 "Logik: Netzqualität"
                // read value of PZD_479 before checking its state
                ReadCommand(read_PZD_479);
                if(PZD_479 != 0)
                {
                    PDM_Diag_Status_Diagnosis |= PDM_DIAG_MODE_OUT_OF_SERVICE;
                    PDM_DIAG_FORMAT_MESSAGE_1 (PDM_DIAG_MODE_OUT_OF_SERVICE, [TXT_PZD_479]);
                }
            }
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: vor Gut-Auswertung, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
        // reset PDM status if there is no alarm:
        if(PDM_Diag_Status_Diagnosis == PDM_DIAG_NOT_VALIDATED)
        {
            PDM_Diag_Status_Diagnosis = PDM_DIAG_GOOD;
        }
        // ACKNOWLEDGE( "method_PDM_DeviceDiagnosis: Ende, PDM_Diag_Status_Diagnosis = " + PDM_Diag_Status_Diagnosis );
    }
}
#endif /* _PDM_ */
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3484
// 
METHOD coPRM_3484
{
    LABEL		[TXT_PRM_3484];
    HELP		[HLP_PRM_3484];
    DEFINITION
    {
        DELAY(2,[TXT_IN_PROGRESS]);
        iassign(PRM_3484, 1);
        WriteCommand(write_PRM_3484);
        /* reading back information */
        ReadCommand(read_PRM_3484);
        ACKNOWLEDGE([TXT_PROC_FINISHED]);
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   coPRM_3487
// 
METHOD coPRM_3487
{
    LABEL		[TXT_PRM_3487];
    HELP		[HLP_PRM_3487];
    DEFINITION
    {
        DELAY(2,[TXT_IN_PROGRESS]);
        iassign(PRM_3487, 1);
        WriteCommand(write_PRM_3487);
        /* reading back information */
        ReadCommand(read_PRM_3487);
        ACKNOWLEDGE([TXT_PROC_FINISHED]);
    }
}
 
#ifndef dtmGENERATOR
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert MMSS01 to U16
// 
METHOD convert_MMSS01_to_U16(DD_STRING & in, unsigned int & out, unsigned int min_val, unsigned int max_val)
{
    LABEL		[TXT_convert_MMSS01_to_U16];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int i, is_error;
        unsigned int min, sec, dsec, val;
        char smin[6], ssec[6], sdsec[6];
        is_error= 0;
        // check input value and calculate time values
        // structure "[<min>:]<sec>[,<dsec>]"
        // find string after ":":
        ssec= strstr(in,":");
        if (ssec[0]==':')
        {
            smin= in;
            // assign <sec> string (remove 1st char)
            for (i= 0; i<strlen(ssec)-1;i++) { ssec[i]=ssec[i+1]; }
            ssec[i]='\0';
        }
        // else: interpret value as in sec
        else
        {
            // set <min> string
            smin= "0";
            // assign <sec> string
            ssec= in;
        }
        // calculate string after "," or ".":
        sdsec= strstr(in,",");
        if (sdsec[0] == '\0') { sdsec= strstr(in,".");}
        for (i= 0; i<strlen(sdsec)-1;i++) { sdsec[i]=sdsec[i+1]; }
        sdsec[i]='\0';
        // interpret component strings
        dsec= atoi(sdsec) % 10;
        sec= (atoi(ssec) + atoi(sdsec) / 10) % 60;
        min= atoi(smin) + (atoi(ssec) + atoi(sdsec) / 10) / 60;
        // check limits
        val= (min*60 + sec)*10 + dsec;
        if (val > max_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_ERROR_MAX_VALUE]);
            is_error= 1;
        }
        else if (val < min_val)
        {
            // display error message
            ACKNOWLEDGE([TXT_ERROR_MIN_VALUE]);
            is_error= 1;
        }
        if (is_error)
        {
            // readjust values
            dsec= out % 10;
            sec= (out / 10) % 60;
            min= out / 600;
        }
        // merge time values and assign to DD_STRING
        if (min < 10)
            in= "0" + itoa(min) + ":";
        else
            in= itoa(min) + ":";
        if (sec < 10)
            in+= "0" + itoa(sec) + ",";
        else
            in+= itoa(sec) + ",";
        in+= itoa(dsec);
        // assign time value to U16
        out= (min*60 + sec)*10 + dsec;
        // make changes permanent
        save_values();
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Convert U16 to MMSS01
// 
METHOD convert_U16_to_MMSS01(unsigned int in, DD_STRING & out)
{
    LABEL		[TXT_convert_U16_to_MMSS01];
    ACCESS		OFFLINE;
    DEFINITION
    {
        int min;
        int sec;
        int dsec;
        // calculate time values from in
        min= in / 600;
        sec= (in / 10) % 60;
        dsec= in % 10;
        // merge values and assign to out string
        // structure "<min>:<sec>,<dsec>"
        if (min < 10)
            out= "0" + itoa(min) + ":";
        else
            out= itoa(min) + ":";
        if (sec < 10)
            out+= "0" + itoa(sec) + ",";
        else
            out+= itoa(sec) + ",";
        out+= itoa(dsec);
        // make changes permanent
        save_values();
    }
}
 
#endif /* !dtmGENERATOR */
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Special menus
// 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Download menu
// 
#ifdef dtmGENERATOR
MENU upload_parameters	// parameters will be read from device
{
    LABEL		"Read parameters from device...";
#else
MENU download_variables	// parameter will be read from device
{
    LABEL		[menu_load_to_PC]; //PDM based reference text
#endif  /* dtmGENERATOR */
    ITEMS
    {
        // all READ VARIABLE's
        PRM_5,          // Slot: 254  Index: 16   Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 254  Index: 16   Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 254  Index: 16   Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 254  Index: 16   Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 254  Index: 8    Name: "Abschaltart AUF"
        PRM_12,         // Slot: 254  Index: 10   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 254  Index: 16   Name: "Takbetrieb Mode AUF"
        PRM_45,         // Slot: 0    Index: 45   Name: "Interface1-Vorhanden SOLL-Konfiguration"
        PRM_67,         // Slot: 254  Index: 15   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 254  Index: 15   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 254  Index: 15   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 254  Index: 15   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 254  Index: 15   Name: "NOT Überbrückung Taktgeber"
        PRM_79,         // Slot: 254  Index: 27   Name: "Drehsinn"
        PRM_82,         // Slot: 254  Index: 9    Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 254  Index: 37   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 254  Index: 13   Name: "Totzeit Tt"
        PRM_87,         // Slot: 254  Index: 13   Name: "Totzone Xt"
        PRM_163,        // Slot: 254  Index: 42   Name: "MotorRunningTime (User)"
        PRM_164,        // Slot: 254  Index: 42   Name: "NumberOfStarts (User)"
        PRM_165,        // Slot: 254  Index: 42   Name: "Resets (User)"
        PRM_166,        // Slot: 254  Index: 42   Name: "StopsTrqClose (User)"
        PRM_167,        // Slot: 254  Index: 42   Name: "ErrorsEDMax (User)"
        PRM_168,        // Slot: 254  Index: 42   Name: "ErrorsEDTime (User)"
        PRM_170,        // Slot: 254  Index: 42   Name: "ErrorsThermo (User)"
        PRM_171,        // Slot: 254  Index: 42   Name: "ErrorsTrqOpen (User)"
        PRM_172,        // Slot: 254  Index: 42   Name: "StopsPosClose (User)"
        PRM_173,        // Slot: 254  Index: 42   Name: "StopsTrqOpen (User)"
        PRM_174,        // Slot: 254  Index: 42   Name: "StopsPosOpen (User)"
        PRM_175,        // Slot: 254  Index: 42   Name: "ErrorsTrqClose (User)"
        PRM_181,        // Slot: 1    Index: 81   Name: "Bus-Vorhanden SOLL-Konfiguration"
        PRM_185,        // Slot: 254  Index: 43   Name: "Filesize in kByte"
        PRM_186,        // Slot: 254  Index: 43   Name: "SD-Refreshtime in mSec"
        PRM_187,        // Slot: 254  Index: 43   Name: "BufferSize in Ereignissen"
        PRM_188,        // Slot: 254  Index: 43   Name: "Prozessdaten Filtereinstellung (bitorientiert)"
        PRM_189,        // Slot: 254  Index: 43   Name: "System Filtereinstellung (bitorientiert)"
        PRM_208,        // Slot: 254  Index: 27   Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 254  Index: 29   Name: "DelayTime"
        PRM_212,        // Slot: 254  Index: 13   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 254  Index: 13   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 254  Index: 13   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 254  Index: 13   Name: "Toleranz E1 ZU"
        PRM_230,        // Slot: 254  Index: 15   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 254  Index: 15   Name: "NOT-Position"
        PRM_232,        // Slot: 254  Index: 15   Name: "NOT-Drehzahl"
        PRM_495,        // Slot: 254  Index: 41   Name: "MotorRunningTime (Factory)"
        PRM_496,        // Slot: 254  Index: 41   Name: "NumberOfStarts (Factory)"
        PRM_497,        // Slot: 254  Index: 41   Name: "StopsTrqClose (Factory)"
        PRM_498,        // Slot: 254  Index: 41   Name: "StopsPosClose (Factory)"
        PRM_499,        // Slot: 254  Index: 41   Name: "StopsTrqOpen (Factory)"
        PRM_500,        // Slot: 254  Index: 41   Name: "StopsPosOpen (Factory)"
        PRM_501,        // Slot: 254  Index: 41   Name: "ErrorsTrqClose (Factory)"
        PRM_502,        // Slot: 254  Index: 41   Name: "ErrorsTrqOpen (Factory)"
        PRM_503,        // Slot: 254  Index: 41   Name: "ErrorsThermo (Factory)"
        PRM_505,        // Slot: 254  Index: 41   Name: "ErrorsEDTime (Factory)"
        PRM_506,        // Slot: 254  Index: 41   Name: "ErrorsEDMax (Factory)"
        PRM_507,        // Slot: 254  Index: 41   Name: "Resets (Factory)"
        PRM_519,        // Slot: 254  Index: 11   Name: "Selbsthaltungsverhalten Fern1"
        PRM_578,        // Slot: 254  Index: 8    Name: "Abschaltart ZU"
        PRM_590,        // Slot: 254  Index: 16   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 254  Index: 16   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 254  Index: 16   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 254  Index: 16   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 254  Index: 16   Name: "Taktstrecke: Start ZU"
        PRM_828,        // Slot: 254  Index: 48   Name: "EndpositionAUF-Rohwert	"
        PRM_829,        // Slot: 254  Index: 48   Name: "EndpositionZU-Rohwert	"
        PRM_873,        // Slot: 254  Index: 22   Name: "DigitalIn1-Signal-Ausgang (Default: MODE)"
        PRM_878,        // Slot: 254  Index: 22   Name: "IsInverted (Invertierter Eingang)"
        PRM_920,        // Slot: 254  Index: 22   Name: "Digital-Signal-Ausgang (Default: Fern HALT)"
        PRM_921,        // Slot: 254  Index: 22   Name: "IsInverted (Invertierter Eingang)"
        PRM_926,        // Slot: 254  Index: 22   Name: "Digital-Signal-Ausgang (Default: Fahre AUF)"
        PRM_927,        // Slot: 254  Index: 22   Name: "IsInverted (Invertierter Eingang)"
        PRM_932,        // Slot: 254  Index: 22   Name: "Digital-Signal-Ausgang (Default: Fahre ZU)"
        PRM_933,        // Slot: 254  Index: 22   Name: "IsInverted (Invertierter Eingang)"
        PRM_1012,       // Slot: 254  Index: 24   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 254  Index: 24   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 254  Index: 24   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 254  Index: 24   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 254  Index: 24   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 254  Index: 24   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 254  Index: 24   Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 254  Index: 24   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1129,       // Slot: 254  Index: 23   Name: "Normierter Wert (0 ... 1000): Default: Stellungssollwert E1"
        PRM_1130,       // Slot: 254  Index: 23   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 254  Index: 23   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1164,       // Slot: 254  Index: 1    Name: "Gerätebezeichnung"
        PRM_1165,       // Slot: 254  Index: 33   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 254  Index: 1    Name: "Projektname"
        PRM_1169,       // Slot: 254  Index: 34   Name: "Stellungsregler Aktivierung"
        PRM_1176,       // Slot: 254  Index: 34   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 254  Index: 34   Name: "Taktgeber Aktivierung ZU"
        PRM_1178,       // Slot: 11   Index: 78   Name: "Stellungsregler \"Kauf\""
        PRM_1179,       // Slot: 254  Index: 13   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 254  Index: 9    Name: "Anfahrüberbrückung Freigabe"
        PRM_1254,       // Slot: 254  Index: 25   Name: "Prozessdaten-Eingang(Default: Stellungsistwert E2)"
        PRM_1255,       // Slot: 254  Index: 25   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1256,       // Slot: 254  Index: 26   Name: "Leitsystem-Korrektur 20 mA"
        PRM_1257,       // Slot: 254  Index: 26   Name: "Leitsystem-Korrektur 0 / 4 mA"
        PRM_1310,       // Slot: 254  Index: 31   Name: "Soll-Drehzahl"
        PRM_1321,       // Slot: 13   Index: 21   Name: "Profibus Adresse 1"
        PRM_1752,       // Slot: 17   Index: 52   Name: "MWG-Vorhanden SOLL-Konfiguration"
        PRM_1759,       // Slot: 254  Index: 4    Name: "Firmware Version AC01.2"
        PRM_1760,       // Slot: 254  Index: 2    Name: "KommNr Steuerung"
        PRM_1761,       // Slot: 254  Index: 3    Name: "KommNr Antrieb"
        PRM_1762,       // Slot: 254  Index: 2    Name: "Werksnummer Steuerung"
        PRM_1763,       // Slot: 254  Index: 3    Name: "Werksnummer Antrieb"
        PRM_1764,       // Slot: 254  Index: 2    Name: "Schaltplannummer Steuerung"
        PRM_1765,       // Slot: 254  Index: 3    Name: "Schaltplannummer Antrieb"
        PRM_1869,       // Slot: 254  Index: 14   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 254  Index: 14   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 254  Index: 14   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 254  Index: 14   Name: "FailSafe-Position"
        PRM_1873,       // Slot: 254  Index: 14   Name: "FailSafe-Drehzahl (Speed)"
        PRM_1874,       // Slot: 254  Index: 14   Name: "FailsSafe-Verzögerungszeit"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2121,       // Slot: 254  Index: 17   Name: "EDEnable"
        PRM_2122,       // Slot: 254  Index: 17   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 254  Index: 17   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 254  Index: 33   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2176,       // Slot: 254  Index: 2    Name: "Datum der Endabnahme"
        PRM_2219,       // Slot: 254  Index: 5    Name: "App-Logik"
        PRM_2220,       // Slot: 254  Index: 5    Name: "Btl-Logik"
        PRM_2400,       // Slot: 254  Index: 28   Name: "Mindestwert 5V-Referenzspannung (0...1023)"
        PRM_2401,       // Slot: 254  Index: 28   Name: "Mindestwert Poti-Signal (0...1023)"
        PRM_2402,       // Slot: 254  Index: 48   Name: "Mindestwert Poti-Hub (0...1023)"
        PRM_2546,       // Slot: 254  Index: 19   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 254  Index: 19   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 254  Index: 18   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 254  Index: 18   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 254  Index: 18   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2755,       // Slot: 27   Index: 55   Name: "Stellungsgeber SOLL-Konfiguration"
        PRM_2781,       // Slot: 254  Index: 6    Name: "P70 ArtikelNr Logik IST-Konfiguration"
        PRM_2878,       // Slot: 254  Index: 32   Name: "Parameter: Activate (Default = Aktiviert)"
        PRM_2916,       // Slot: 254  Index: 13   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 254  Index: 13   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 254  Index: 34   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 254  Index: 15   Name: "Auswahl Auslösequelle"
        PRM_2993,       // Slot: 254  Index: 31   Name: "P70 BCD-Schalter Drehzahl"
        PRM_2994,       // Slot: 254  Index: 9    Name: "P70 BCD-Schalter Abschaltmoment AUF"
        PRM_2995,       // Slot: 254  Index: 9    Name: "P70 BCD-Schalter Abschaltmoment ZU"
        PRM_3006,       // Slot: 254  Index: 40   Name: "Profibus Ident Nr"
        PRM_3053,       // Slot: 254  Index: 28   Name: "Hysterese"
        PRM_3157,       // Slot: 254  Index: 20   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 254  Index: 20   Name: "Applikation: Überwachungszeit"
        PRM_3633,       // Slot: 36   Index: 33   Name: "Ident Code für Identifikation innerhalb AUMA Gruppe (entspricht Modbus Slave ID):"
        PRM_4015,       // Slot: 254  Index: 15   Name: "Parameter: DelayTime (Default: 1,0 sec)"
        PRM_4033,       // Slot: 254  Index: 27   Name: "P70 Parametrierschalter (HW/SW)"
        PRM_4035,       // Slot: 254  Index: 12   Name: "P70 Profibusadresse (Schaltercodierung)"
        PRM_4036,       // Slot: 254  Index: 9    Name: "P70 Schalter Abschaltmoment AUF (SW)"
        PRM_4037,       // Slot: 254  Index: 9    Name: "P70 Schalter Abschaltmoment ZU (SW)"
        PRM_4067,       // Slot: 254  Index: 31   Name: "Drehzahl Fern"
        PRM_4068,       // Slot: 254  Index: 31   Name: "Drehzahl Interface Select (extern / intern)"
        PRM_4069,       // Slot: 254  Index: 31   Name: "Drehzahl Feldbus Select (extern / intern)"
        PRM_4070,       // Slot: 254  Index: 13   Name: "Proportionalbereich"
        PRM_4071,       // Slot: 254  Index: 13   Name: "minimale Drehzahl (Proportinalfahrt)"
        PRM_4076,       // Slot: 254  Index: 13   Name: "Proportionalfahrt Enable"
        PRM_4233,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 1Info"
        PRM_4234,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 2AUMA WArnung"
        PRM_4235,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 3AUMA Fehler"
        PRM_4236,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 4Nicht Bereit Fern"
        PRM_4237,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 5AUMA OK"
        PRM_4238,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 6Konfigurationswarnung"
        PRM_4239,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 7Namur Out Of Spec"
        PRM_4240,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 8Namur Funktionskoantrolle"
        PRM_4241,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 9Namur Wartungsbedarf"
        PRM_4242,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 10Namur Ausfall"
        PRM_4243,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 11Konfigurationsfehler"
        PRM_4244,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 12Fehler Hydraulik"
        PRM_4245,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 13Falscher Befehl"
        PRM_4246,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 14Interne Fehler"
        PRM_4247,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 15Interne Warnung"
        PRM_4248,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 16Diagnose Feldbus"
        PRM_4249,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 17Warnung Hydraulik"
        PRM_4250,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 18Störung AC1 kompatibel"
        PRM_4251,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 19Kunde Fehler Konfigurierbar"
        PRM_4252,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 20Kunde Warnung Konfigurierbar"
        PRM_4253,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 21Kunde NBF Konfigurierbar"
        PRM_4254,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 22Konfigurationsfehler Fern"
        PRM_4255,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 23Kunde Status EPAC konfigurierbar"
        PRM_4256,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 24Status Safety (SIL)"
        PRM_4257,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 25Reserve 25"
        PRM_4258,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 26Reserve 26"
        PRM_4259,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 27Reserve 27"
        PRM_4260,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 28Reserve 28"
        PRM_4261,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 29LWL Warnung (für auma service)"
        PRM_4262,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 30Service 1"
        PRM_4263,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 31Service 2"
        PRM_4264,       // Slot: 254  Index: 47   Name: "Pzd Aktivierung Sammelmeldung 32Service 3"
        PRM_4462,       // Slot: 44   Index: 62   Name: "P70 BCD-Schalter Abschaltart AUF"
        PRM_4463,       // Slot: 44   Index: 63   Name: "P70 BCD-Schalter Abschaltart ZU"
        PZD_2,          // Slot: 254  Index: 37   Name: "Stellungsistwert Stellantrieb E2"
        PZD_4,          // Slot: 254  Index: 44   Name: "Temperatur Steuerung"
        PZD_7,          // Slot: 254  Index: 37   Name: "Stellungs-Sollwert E1"
        PZD_77,         // Slot: 0    Index: 205  Name: "Sammel-Meldung1: Ereignisprotokoll PVST"
        PZD_78,         // Slot: 0    Index: 206  Name: "Sammel-Meldung2: Warnung"
        PZD_79,         // Slot: 0    Index: 207  Name: "Sammel-Meldung3: Fehler"
        PZD_80,         // Slot: 0    Index: 208  Name: "Sammel-Meldung4: nicht bereit Fern"
        PZD_81,         // Slot: 0    Index: 209  Name: "Sammel-Meldung5: auma OK"
        PZD_82,         // Slot: 0    Index: 210  Name: "Sammel-Meldung6: Konfigurationswarnung"
        PZD_83,         // Slot: 0    Index: 211  Name: "Sammel-Meldung7: Namur Out Of Spec"
        PZD_84,         // Slot: 0    Index: 212  Name: "Sammel-Meldung8: Namur Funktionskontrolle"
        PZD_85,         // Slot: 0    Index: 213  Name: "Sammel-Meldung9: Namur Wartungsbedarf"
        PZD_86,         // Slot: 0    Index: 214  Name: "Sammel-Meldung10: Namur Ausfall"
        PZD_87,         // Slot: 0    Index: 215  Name: "Sammel-Meldung 11: Konfigurationsfehler"
        PZD_89,         // Slot: 0    Index: 217  Name: "Sammel-Meldung 13: Falscher Befehl"
        PZD_90,         // Slot: 0    Index: 218  Name: "Sammel-Meldung 14: Interne Fehler"
        PZD_91,         // Slot: 0    Index: 219  Name: "Sammel-Meldung 15: Interne Warnung"
        PZD_92,         // Slot: 0    Index: 220  Name: "Sammel-Meldung 16: Diagnose Feldbus"
        PZD_93,         // Slot: 0    Index: 221  Name: "Sammel-Meldung 17: Warnung Hydraulik"
        PZD_101,        // Slot: 1    Index: 129  Name: "Sammel-Meldung: Reserve 32 "
        PZD_104,        // Slot: 1    Index: 132  Name: "Sammel-Meldung: Reserve 29"
        PZD_112,        // Slot: 254  Index: 36   Name: "Wahlschalter"
        PZD_120,        // Slot: 254  Index: 36   Name: "Logik: Betriebsmodus"
        PZD_144_speed,      // Slot: 1    Index: 172  Name: "Logik: Fahrbefehl (speed)"
        PZD_144_cmd,      // Slot: 1    Index: 172  Name: "Logik: Fahrbefehl (cmd)"
        PZD_144_dir,      // Slot: 1    Index: 172  Name: "Logik: Fahrbefehl (direction)"
        PZD_144_position,      // Slot: 1    Index: 172  Name: "Logik: Fahrbefehl (position)"
        PZD_264,        // Slot: 254  Index: 36   Name: "Logik: Fährt Richtung AUF (logisch)"
        PZD_265,        // Slot: 254  Index: 36   Name: "Logik: Fährt Richtung ZU (logisch)"
        PZD_268,        // Slot: 254  Index: 36   Name: "Logik: Bypassed Drehmomentfehler AUF"
        PZD_269,        // Slot: 254  Index: 36   Name: "Logik: Bypassed Drehmomentfehler ZU"
        PZD_270,        // Slot: 2    Index: 198  Name: "Logik: Bypassed Thermofehler"
        PZD_275,        // Slot: 2    Index: 203  Name: "Remote_Bus Aktivierung mit 0, Remote Interface Aktivierung mit 1 "
        PZD_280,        // Slot: 2    Index: 208  Name: "Logik: Betriebsmodus EMCY_OP"
        PZD_281,        // Slot: 2    Index: 209  Name: "Logik: Betriebsmodus Sperre (Interlock) durch Bypass oder sonstige Funktionen"
        PZD_282,        // Slot: 2    Index: 210  Name: "Logik: Betriebsmodus SERVICE"
        PZD_285,        // Slot: 2    Index: 213  Name: "Logik: Betriebsmodus EMCY_STOP"
        PZD_302,        // Slot: 3    Index: 130  Name: "Logik: Phasenausfall"
        PZD_345,        // Slot: 254  Index: 48   Name: "Poti-Rohwert in [mV]"
        PZD_371,        // Slot: 3    Index: 199  Name: "Logik: ungültiger Fahrbefehl"
        PZD_375,        // Slot: 254  Index: 36   Name: "Logik: Wegendlage Shalter AUF (konditioniert)"
        PZD_376,        // Slot: 254  Index: 36   Name: "Logik: Wegendlage Schalter ZU (konditioniert)"
        PZD_401,        // Slot: 254  Index: 36   Name: "Logik: Position erreicht"
        PZD_459,        // Slot: 254  Index: 36   Name: "Logik: Signal Torque OPEN "
        PZD_460,        // Slot: 254  Index: 36   Name: "Logik: Signal Torque CLOSE"
        PZD_461,        // Slot: 4    Index: 189  Name: "FailSafe ist aktiv"
        PZD_479,        // Slot: 4    Index: 207  Name: "Logik: Netzqualität"
        PZD_480,        // Slot: 4    Index: 208  Name: "Logik: HW-Fehler"
        PZD_481,        // Slot: 4    Index: 209  Name: "Logik: PH_DIR_NOK (falsche Phasenfolge)"
        PZD_482,        // Slot: 4    Index: 210  Name: "Logik: 24VAC Error"
        PZD_483,        // Slot: 4    Index: 211  Name: "Logik: 24VKD Error"
        PZD_484,        // Slot: 4    Index: 212  Name: "Logik: 24VInt Error"
        PZD_485,        // Slot: 4    Index: 213  Name: "Logik: 24VExt Error"
        PZD_486,        // Slot: 4    Index: 214  Name: "Lcb: ED Warnung 1: (Laufzeit)"
        PZD_487,        // Slot: 4    Index: 215  Name: "Lcb: ED Warnung 2 (Anläufe)"
        PZD_488,        // Slot: 254  Index: 38   Name: "Lcb: ED Aktuelle Einschaltzeit"
        PZD_489,        // Slot: 254  Index: 38   Name: "Lcb: ED Aktuelle Schaltspiele"
        PZD_490,        // Slot: 4    Index: 218  Name: "LCB: RTC nicht gesetzt"
        PZD_545,        // Slot: 254  Index: 36   Name: "Drehmomentwert AUF/ZU in % normiert auf 0 bis 1000 ( ZU 127% = 0, 0% = 500, AUF 127% = 1000)"
        PZD_553,        // Slot: 5    Index: 181  Name: "Logik: Handschalter betätigt"
        PZD_555,        // Slot: 5    Index: 183  Name: "Falscher Befehl Interface I"
        PZD_556,        // Slot: 5    Index: 184  Name: "Stellzeitwarnung"
        PZD_557,        // Slot: 5    Index: 185  Name: "Motorschutzüberwachung defekt"
        PZD_563,        // Slot: 5    Index: 191  Name: "Keine Reaktion: Warnung"
        PZD_576,        // Slot: 5    Index: 204  Name: "Watchdog-Status (Kanal 1)"
        PZD_577,        // Slot: 5    Index: 205  Name: "DP-Status (Kanal 1)"
        PZD_578,        // Slot: 5    Index: 206  Name: "Baudrate (Kanal 1)"
        PZD_579,        // Slot: 5    Index: 207  Name: "0 Byte Tele Clear (Kanal 1)"
        PZD_580,        // Slot: 5    Index: 208  Name: "Global Control Clear (Kanal 1)"
        PZD_581,        // Slot: 5    Index: 209  Name: "Global Control Freeze (Kanal 1)"
        PZD_582,        // Slot: 5    Index: 210  Name: "Global Control Sync (Kanal 1)"
        PZD_604,        // Slot: 254  Index: 40   Name: "Fahrbefehlskanal 1 aktiv"
        PZD_606,        // Slot: 6    Index: 134  Name: "Feldbus Fail Safe aktiv"
        PZD_607,        // Slot: 6    Index: 135  Name: "Wahlschalter nicht Fern"
        PZD_621,        // Slot: 6    Index: 149  Name: "Warnung keine Referenzfahrrt E2"
        PZD_622,        // Slot: 6    Index: 150  Name: "Warnung geringer Signalhub E2"
        PZD_623,        // Slot: 6    Index: 151  Name: "Warnung Signalbruch E2"
        PZD_629,        // Slot: 6    Index: 157  Name: "Warnung Temperatur Steuerung"
        PZD_630,        // Slot: 6    Index: 158  Name: "Warnung Temperatur Motor"
        PZD_631,        // Slot: 6    Index: 159  Name: "Warnung Temperatur Getriebe"
        PZD_633,        // Slot: 6    Index: 161  Name: "Warnung AnalogIn 1 E8"
        PZD_634,        // Slot: 6    Index: 162  Name: "Warnung AnalogIn 2 E9"
        PZD_637,        // Slot: 6    Index: 165  Name: "Warnung Sollposition E1"
        PZD_657,        // Slot: 6    Index: 185  Name: "DP-Status Data Ex (Kanal 1)"
        PZD_659,        // Slot: 254  Index: 37   Name: "Aktuelle Totzone (Stellungsreglerausgang), (Maximum von Totzone AUF und  ZU)"
        PZD_663,        // Slot: 6    Index: 191  Name: "Potifehler (out of range)"
        PZD_664,        // Slot: 6    Index: 192  Name: "Meldung: Ausgang defekt"
        PZD_666,        // Slot: 6    Index: 194  Name: "Warnung: keine Sollwertquelle bei aktiviertem Stellungsregler parametriert"
        PZD_671,        // Slot: 6    Index: 199  Name: "System: Interner Fehler Konfiguration Stellungsgeber"
        PZD_675,        // Slot: 6    Index: 203  Name: "System: Interner Fehler Lcb-Exception"
        PZD_676,        // Slot: 6    Index: 204  Name: "System: Interner Fehler Logik-Exception"
        PZD_678,        // Slot: 6    Index: 206  Name: "System: Interner Fehler Bus-Exception"
        PZD_679,        // Slot: 6    Index: 207  Name: "Fehler Stellungsgeber"
        PZD_685,        // Slot: 6    Index: 213  Name: "lokaler HALT"
        PZD_688,        // Slot: 6    Index: 216  Name: "Falscher Befehl Feldbus"
        PZD_718,        // Slot: 7    Index: 146  Name: "Keine Reaktion: Fehler"
        PZD_737,        // Slot: 254  Index: 40   Name: "DPV1_Control"
        PZD_738,        // Slot: 254  Index: 40   Name: "DPV1 C2-Verbindung aktiv"
        PZD_744,        // Slot: 254  Index: 40   Name: "DP-V1 GSD aktiv"
        PZD_758,        // Slot: 7    Index: 186  Name: "PRM-Konsistenz: Stellungsregler-Totzonenkonfiguration"
        PZD_759,        // Slot: 7    Index: 187  Name: "PRM-Konsistenz: Feldbuskonfiguration"
        PZD_762,        // Slot: 7    Index: 190  Name: "PRM-Konsistenz: DigIn1-Konfiguration"
        PZD_763,        // Slot: 7    Index: 191  Name: "PRM-Konsistenz: DigIn2-Konfiguration"
        PZD_764,        // Slot: 7    Index: 192  Name: "PRM-Konsistenz: DigIn3-Konfiguration"
        PZD_765,        // Slot: 7    Index: 193  Name: "PRM-Konsistenz: DigIn4-Konfiguration"
        PZD_808,        // Slot: 8    Index: 136  Name: "PRM-Konsistenz: Konfiguration der Auslösequelle für die NOT-Funktion"
        PZD_809,        // Slot: 8    Index: 137  Name: "System: Konfigurationsfehler \"FERN-Interface fehlt\""
        PZD_928,        // Slot: 254  Index: 48   Name: "Aktueller Poti-Hub (Diagnoseausgang )"
        PZD_958,        // Slot: 254  Index: 39   Name: "Slave Address Profibus Kanal 1"
        PZD_1030,       // Slot: 254  Index: 37   Name: "Äussere Totzone AUF (Stellungsreglerausgang)"
        PZD_1031,       // Slot: 254  Index: 37   Name: "Äussere Totzone ZU (Stellungsreglerausgang)"
        PZD_1032,       // Slot: 254  Index: 37   Name: "Innere Totzone AUF (Stellungsreglerausgang)"
        PZD_1033        // Slot: 254  Index: 37   Name: "Innere Totzone ZU (Stellungsreglerausgang)"
    }
}
 
//---------------------------------------------------------------------------------------------------------------------
//~
//   EDD Upload menu
// 
#ifdef dtmGENERATOR
MENU download_parameters	// parameters will be written to device
{
    LABEL		"Write parameters to device...";
#else
MENU upload_variables	// parameter will be written to device
{
    LABEL		[menu_load_to_device]; //PDM based reference text
#endif /* dtmGENERATOR */
    ITEMS
    {
        // all WRITE VARIABLE's
        PRM_5,          // Slot: 0    Index: 5    Name: "Taktstrecke: Start AUF"
        PRM_6,          // Slot: 0    Index: 6    Name: "Taktstrecke: Ende AUF"
        PRM_7,          // Slot: 0    Index: 7    Name: "Taktfahrzeit AUF"
        PRM_8,          // Slot: 0    Index: 8    Name: "Taktpausenzeit AUF"
        PRM_9,          // Slot: 0    Index: 9    Name: "Abschaltart AUF"
        PRM_12,         // Slot: 0    Index: 12   Name: "Selbsthaltungsverhalten Ort"
        PRM_13,         // Slot: 0    Index: 13   Name: "Takbetrieb Mode AUF"
        PRM_67,         // Slot: 0    Index: 67   Name: "NOT-Funktion Betriebsart"
        PRM_68,         // Slot: 0    Index: 68   Name: "NOT-Funktion Auslösung"
        PRM_69,         // Slot: 0    Index: 69   Name: "NOT Überbrückung Thermofehler"
        PRM_70,         // Slot: 0    Index: 70   Name: "NOT Überbrückung Drehmomentfehler"
        PRM_71,         // Slot: 0    Index: 71   Name: "NOT Überbrückung Taktgeber"
        PRM_82,         // Slot: 0    Index: 82   Name: "Anfahrüberbrückungszeit"
        PRM_84,         // Slot: 0    Index: 84   Name: "Stellungsregler Adaptives Verhalten"
        PRM_86,         // Slot: 0    Index: 86   Name: "Totzeit Tt"
        PRM_87,         // Slot: 0    Index: 87   Name: "Totzone Xt"
        PRM_208,        // Slot: 2    Index: 8    Name: "Mode Temperaturfehler"
        PRM_209,        // Slot: 2    Index: 9    Name: "DelayTime"
        PRM_212,        // Slot: 2    Index: 12   Name: "Nachlauf AUF (innere Totzone Xi_AUF)"
        PRM_213,        // Slot: 2    Index: 13   Name: "Nachlauf ZU (innere Totzone Xi_ZU)"
        PRM_214,        // Slot: 2    Index: 14   Name: "Toleranz E1 AUF"
        PRM_215,        // Slot: 2    Index: 15   Name: "Toleranz E1 ZU"
        PRM_230,        // Slot: 2    Index: 30   Name: "NOT-Funktion Verhalten"
        PRM_231,        // Slot: 2    Index: 31   Name: "NOT-Position"
        PRM_232,        // Slot: 2    Index: 32   Name: "NOT-Drehzahl"
        PRM_519,        // Slot: 5    Index: 19   Name: "Selbsthaltungsverhalten Fern1"
        PRM_578,        // Slot: 5    Index: 78   Name: "Abschaltart ZU"
        PRM_590,        // Slot: 5    Index: 90   Name: "Taktbetrieb Mode ZU"
        PRM_591,        // Slot: 5    Index: 91   Name: "Taktpausenzeit ZU"
        PRM_592,        // Slot: 5    Index: 92   Name: "Taktfahrzeit ZU"
        PRM_593,        // Slot: 5    Index: 93   Name: "Taktstrecke: Ende ZU"
        PRM_594,        // Slot: 5    Index: 94   Name: "Taktstrecke: Start ZU"
        PRM_1012,       // Slot: 10   Index: 12   Name: "Digital-Signal-Eingang (Default AUMA-Fehler)"
        PRM_1013,       // Slot: 10   Index: 13   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1092,       // Slot: 10   Index: 92   Name: "Digital-Signal-Eingang (Default: Wahlschalter FERN)"
        PRM_1093,       // Slot: 10   Index: 93   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1097,       // Slot: 10   Index: 97   Name: "Digital-Signal-Eingang (Default: Endlage AUF)"
        PRM_1098,       // Slot: 10   Index: 98   Name: "IsInverted (Invertierter Ausgang)"
        PRM_1102,       // Slot: 11   Index: 2    Name: "Digital-Signal-Eingang (Default: Endlage ZU)"
        PRM_1103,       // Slot: 11   Index: 3    Name: "IsInverted (Invertierter Ausgang)"
        PRM_1130,       // Slot: 11   Index: 30   Name: "Oberer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1133,       // Slot: 11   Index: 33   Name: "Unterer Grenzwert [0,1 mA] für das Eingangssignal"
        PRM_1165,       // Slot: 11   Index: 65   Name: "Geräte-TAG"
        PRM_1166,       // Slot: 11   Index: 66   Name: "Projektname"
        PRM_1169,       // Slot: 11   Index: 69   Name: "Stellungsregler Aktivierung"
        PRM_1176,       // Slot: 11   Index: 76   Name: "Taktgeber Aktivierung AUF"
        PRM_1177,       // Slot: 11   Index: 77   Name: "Taktgeber Aktivierung ZU"
        PRM_1179,       // Slot: 11   Index: 79   Name: "max. zulässige Anläufe /h"
        PRM_1182,       // Slot: 11   Index: 82   Name: "Anfahrüberbrückung Freigabe"
        PRM_1255,       // Slot: 12   Index: 55   Name: "Auswahlparameter Ausgangsbereich"
        PRM_1256,       // Slot: 12   Index: 56   Name: "Leitsystem-Korrektur 20 mA"
        PRM_1257,       // Slot: 12   Index: 57   Name: "Leitsystem-Korrektur 0 / 4 mA"
        PRM_1310,       // Slot: 13   Index: 10   Name: "Soll-Drehzahl"
        PRM_1869,       // Slot: 18   Index: 69   Name: "Auslösung Sicherheitsbetrieb (Default:1 = Zuerst GUT)"
        PRM_1870,       // Slot: 18   Index: 70   Name: "Verhalten Sicherheitsbetrieb (Default: 0 = STOP)"
        PRM_1871,       // Slot: 18   Index: 71   Name: "Auslösequelle Sicherheitsbetrieb (Default: 4 = Sollwert + Bus-Ausfall)"
        PRM_1872,       // Slot: 18   Index: 72   Name: "FailSafe-Position"
        PRM_1873,       // Slot: 18   Index: 73   Name: "FailSafe-Drehzahl (Speed)"
        PRM_1874,       // Slot: 18   Index: 74   Name: "FailsSafe-Verzögerungszeit"
        PRM_2036,       // Slot: 20   Index: 36   Name: "Abschaltmoment AUF [Nm]"
        PRM_2041,       // Slot: 20   Index: 41   Name: "Abschaltmoment ZU [Nm]"
        PRM_2121,       // Slot: 21   Index: 21   Name: "EDEnable"
        PRM_2122,       // Slot: 21   Index: 22   Name: "EDMaxTimeHour"
        PRM_2123,       // Slot: 21   Index: 23   Name: "EDMaxStartHour"
        PRM_2175,       // Slot: 21   Index: 75   Name: " Betriebsart ServiceMotion-Betrieb 0 = NUR_ORT1 = FERN_ORT"
        PRM_2402,       // Slot: 24   Index: 2    Name: "Mindestwert Poti-Hub (0...1023)"
        PRM_2546,       // Slot: 25   Index: 46   Name: "Applikationsparameter Betriebsart"
        PRM_2547,       // Slot: 25   Index: 47   Name: "Applikationsparameter Stellzeit (Einheit 0,1 sec)"
        PRM_2554,       // Slot: 25   Index: 54   Name: "Applikationsparameter: Betriebsart (0 = AUS, 1 = EIN)"
        PRM_2555,       // Slot: 25   Index: 55   Name: "Applikationsparameter: Zeitintervall für die Erkennung (Einheit: 0,1 sec)"
        PRM_2556,       // Slot: 25   Index: 56   Name: "Applikationsparameter: Wegintervall für die Erkennung der Bewegung (Einheit: 0,1 % des Stellwegs)"
        PRM_2916,       // Slot: 29   Index: 16   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung AUF für adaptiven Stellungsregler "
        PRM_2917,       // Slot: 29   Index: 17   Name: "Hysterese zwischen innerer Totzone und äußerer Tozone in Richtung ZU für adaptiven Stellungsregler "
        PRM_2923,       // Slot: 29   Index: 23   Name: "Aktivierung NOT-Funktion"
        PRM_2924,       // Slot: 29   Index: 24   Name: "Auswahl Auslösequelle"
        PRM_3157,       // Slot: 31   Index: 57   Name: "Applikation: Betriebsart Standard-Ausführung"
        PRM_3158,       // Slot: 31   Index: 58   Name: "Applikation: Überwachungszeit"
        PRM_4036,       // Slot: 40   Index: 36   Name: "P70 Schalter Abschaltmoment AUF (SW)"
        PRM_4037,       // Slot: 40   Index: 37   Name: "P70 Schalter Abschaltmoment ZU (SW)"
        PRM_4067,       // Slot: 40   Index: 67   Name: "Drehzahl Fern"
        PRM_4068,       // Slot: 40   Index: 68   Name: "Drehzahl Interface Select (extern / intern)"
        PRM_4069,       // Slot: 40   Index: 69   Name: "Drehzahl Feldbus Select (extern / intern)"
        PRM_4070,       // Slot: 40   Index: 70   Name: "Proportionalbereich"
        PRM_4071,       // Slot: 40   Index: 71   Name: "minimale Drehzahl (Proportinalfahrt)"
        PRM_4076,       // Slot: 40   Index: 76   Name: "Proportionalfahrt Enable"
        PRM_4250,       // Slot: 42   Index: 50   Name: "Pzd Aktivierung Sammelmeldung 18Störung AC1 kompatibel"
        PRM_4251,       // Slot: 42   Index: 51   Name: "Pzd Aktivierung Sammelmeldung 19Kunde Fehler Konfigurierbar"
        PRM_4252,       // Slot: 42   Index: 52   Name: "Pzd Aktivierung Sammelmeldung 20Kunde Warnung Konfigurierbar"
        PRM_4253        // Slot: 42   Index: 53   Name: "Pzd Aktivierung Sammelmeldung 21Kunde NBF Konfigurierbar"
    }
}
 
